
 ChangeLog for LAME
-==================-

 - All dates/times are in GMT.
 - Generated from svn log entries (svn2cl)

-- 

2026-07-11 07:40  aleidinger

	* testcase.mp3:
	  Prepare for release

2026-07-11 07:39  aleidinger

	* libmp3lame/version.h:
	  Prepare for release

2026-07-11 07:36  aleidinger

	* doc/html/history.html, frontend/get_audio.c:
	  get_audio: reject AIFF files with an undersized FORM chunk size
	  
	  A crafted AIFF/AIFC whose FORM chunk size is below 4 underflowed
	  the
	  unsigned chunk-size counter when the 4-byte form type is
	  subtracted from
	  it, wrapping it to roughly 4 billion and sending the
	  chunk-scanning loop
	  into an effectively unbounded spin - a denial of service
	  triggerable with
	  a tiny (~16-byte) malicious file. Validate the size before the
	  subtraction. The remaining in-loop subtractions are already
	  bounded by
	  the surrounding "chunk size >= 8" loop guard, so the single entry
	  check
	  closes the hole.
	  
	  CVSS 5.5 (AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H).

2026-07-11 07:36  aleidinger

	* libmp3lame/util.c:
	  util.c: document why fill_buffer_resample's offset assert is a
	  sufficient guard
	  
	  The blackfilt[joff] table index in fill_buffer_resample() looks
	  like it could
	  run one slot past the precomputed window table when offset
	  exceeds +0.5,
	  guarded only by an assert that compiles out under NDEBUG. It
	  cannot: offset is
	  bounded to [-0.5, +0.5) by construction for integer sample rates,
	  which are
	  the only kind LAME ever sees, so joff always stays within
	  blackfilt[0..2*bpc].
	  Record that reasoning next to the assert so the assert-only guard
	  is not later
	  mistaken for a missing runtime bounds check.

2026-07-11 07:35  aleidinger

	* Dll/BladeMP3EncDLL.c, Dll/BladeMP3EncDLL.h,
	  doc/html/history.html:
	  Blade DLL: bounds-check beInitStream() config copy, fix packed
	  layout
	  
	  beInitStream() copied the caller-supplied BE_CONFIG into a stack
	  local
	  using the caller-controlled dwStructSize as the length, with no
	  check
	  that it fits. A host that sets dwStructSize larger than the
	  struct --
	  whether malicious or merely built with a different compiler --
	  overflows
	  the stack. Clamp the copy to sizeof(lameConfig).
	  
	  The size mismatch was also reachable benignly: ATTRIBUTE_PACKED
	  was
	  attached to the pointer typedef, not the struct, so under
	  GCC/MinGW the
	  packed attribute was ignored and sizeof(BE_CONFIG) was 332 rather
	  than
	  the 331 the header intends and MSVC produces. Apply the existing
	  pack(1)/pop pragma unconditionally so both compilers agree on
	  331.
	  
	  CVSS 8.4 (AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H).

2026-07-11 07:34  aleidinger

	* doc/html/history.html, include/libmp3lame.sym,
	  libmp3lame/id3tag.c:
	  id3tag: export the UTF-8 tag functions and guard against OOM
	  
	  Export id3tag_set_textinfo_utf8 and id3tag_set_comment_utf8 from
	  the shared
	  library, and fix a possible crash on out-of-memory in the ID3v2
	  user-defined
	  tag setters. SF bug #518.

2026-07-11 07:30  aleidinger

	* doc/html/history.html, include/lame.h, libmp3lame/id3tag.c:
	  id3tag: retype the UTF-8 text setters to char* to fix modern
	  GCC/Clang builds
	  
	  Their text parameter was cloned from the UTF-16 siblings
	  (unsigned short*),
	  which recent GCC/Clang reject as an incompatible pointer type;
	  char* matches
	  the UTF-8 bytes the function bodies already handle, and also
	  fixes the
	  --id3v2-utf8 --tg genre corruption.
	  
	  Patch by Rudi Heitbaum, SF patch #102. Reported by lazka, SF bug
	  #523.

2026-07-11 07:26  aleidinger

	* doc/html/history.html:
	  history.html: switch entry colours to descriptive CSS classes,
	  add security category
	  
	  Use descriptive CSS classes instead of direct per-entry colour
	  references, and
	  add a "security" category (class plus legend entry) ahead of the
	  first security
	  fix that will use it.

2026-07-10 18:28  aleidinger

	* ABOUT-NLS, ACM/ADbg/Makefile.in, ACM/Makefile.in,
	  ACM/ddk/Makefile.in, ACM/tinyxml/Makefile.in, Dll/Makefile.in,
	  Makefile.in, aclocal.m4, compile, config.h.in, config.rpath,
	  configure, configure.ac, depcomp, doc/Makefile.in,
	  doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	  frontend/Makefile.in, include/Makefile.in, install-sh,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  libmp3lame/vector/Makefile.in, ltmain.sh, m4/build-to-host.m4,
	  m4/gettext.m4, m4/host-cpu-c-abi.m4, m4/iconv.m4,
	  m4/intlmacosx.m4, m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4,
	  m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4, m4/ltversion.m4,
	  m4/lt~obsolete.m4, m4/nls.m4, m4/po.m4, m4/progtest.m4,
	  mac/Makefile.in, misc/Makefile.in, missing, mpglib/Makefile.in,
	  po, po/Makefile.in.in, po/Makevars.template, po/Rules-quot,
	  po/boldquot.sed, po/en@boldquot.header, po/en@quot.header,
	  po/insert-header.sed, po/quot.sed, po/remove-potcdate.sed,
	  vc_solution/Makefile.in:
	  update/regen with more recent autotools

2026-07-10 18:18  aleidinger

	* .gitignore, configure.ac, doc/Doxyfile.in, doc/Makefile.am,
	  doc/doxygen, doc/doxygen/doxygen-awesome-css,
	  doc/doxygen/doxygen-awesome-css/doxygen-awesome.css,
	  doc/doxygen/lame-theme.css, doc/doxygen/logo,
	  doc/doxygen/logo/lame_logo.svg,
	  doc/doxygen/logo/lame_logo_full.svg, doc/doxygen/mainpage.md:
	  Add Doxyfile: API documentation build configuration
	  
	  Sets up Doxygen-based API documentation for include/,
	  libmp3lame/, and
	  frontend/, generated on demand via a new "doxygen" target in
	  doc/Makefile.am - not part of all/check, since there's no
	  per-function
	  documentation yet for it to build.
	  
	  - doc/Doxyfile.in is a template rather than a static Doxyfile.
	  - Graphviz's dot is autodetected via configure, or specified
	  explicitly
	  with --with-dot=PATH; HAVE_DOT/DOT_PATH fall back cleanly to no
	  diagrams when it isn't found.
	  - doc/doxygen/mainpage.md is a purpose-written entry page (API
	  entry
	  points, license pointer) for the generated docs.
	  - Vendored doxygen-awesome-css (MIT-licensed,
	  https://github.com/jothepro/doxygen-awesome-css) with a
	  color/font
	  override (doc/doxygen/lame-theme.css) matching the lame.sf.net
	  site's own palette.
	  - Doxyfile comments mark the public (include/lame.h) vs. internal
	  (everything else in libmp3lame/) surface split.

2026-07-10 18:17  aleidinger

	* configure.ac, doc/html/history.html, libmp3lame/VbrTag.c,
	  libmp3lame/machine.h, libmp3lame/version.c, libmp3lame/version.h:
	  Bump major version to 4.0 to fix LAME-tag encoder-version field
	  overflow
	  
	  The LAME tag embedded in every encoded MP3 has a fixed 9-byte
	  field for
	  the encoder-version string ("LAME" + major + "." + minor +
	  type-marker).
	  Since 3.100, the 3-digit minor version left no room for the
	  trailing
	  alpha/beta/release marker character: strncpy(...,9) silently
	  truncated
	  it on every 3.100-3.102 build. The field's width and format can't
	  change
	  without breaking third-party decoders that parse it at a fixed
	  offset
	  and pattern-match its exact format, so the version numbers had to
	  give
	  instead.
	  
	  - libmp3lame/version.h, configure.ac: version bump
	  (LIB_MAJOR_VERSION/
	  LIB_MINOR_VERSION, the shared-library ABI version, are untouched
	  - the
	  ABI hasn't changed)
	  - libmp3lame/version.c: add a compile-time assertion tying the
	  encoder-
	  version string's actual length to the 9-byte budget, so a future
	  version bump that reintroduces the overflow fails the build
	  instead
	  of silently truncating again; Doxygen documentation of the
	  field's
	  fixed width/format and the exact byte-budget formula
	  - libmp3lame/VbrTag.c: matching documentation at the field's
	  write site
	  - libmp3lame/machine.h: fix compiletime_assert(), which the check
	  above
	  needed - ##-pasting doesn't expand __FILE__/__LINE__, so two uses
	  in
	  one translation unit collided on the same enum tag (dead code
	  before
	  this, zero call sites)
	  - doc/html/history.html: user-facing changelog entry
	  
	  Verified: rebuilt with UCRT64 GCC; the assertion compiles clean
	  at 4.0
	  and correctly fails against the original 3.102 numbers;
	  spot-checked
	  across major/minor digit-count combinations (10.0, 99.9, 9.99
	  pass;
	  10.89, 10.90, 100.0, 9.999 correctly fail) to confirm it checks
	  the
	  true combined string length rather than a fixed digit-count rule.

2026-07-09 13:13  aleidinger

	* configure.ac, libmp3lame/version.h:
	  Welcome to 3.102

2026-07-09 12:14  aleidinger

	* ChangeLog:
	  Update ChangeLog for 3.101 release.

2026-07-09 12:08  aleidinger

	* doc/html/history.html, libmp3lame/version.h, testcase.mp3:
	  Prepare 3.101 release.

2023-12-18 13:41  aleidinger

	* frontend/get_audio.c:
	  Use suitable typedef for Windows.

2023-12-18 13:40  aleidinger

	* frontend/main.h, frontend/parse.c:
	  Use better return types and provide prototype for toUtf8().

2023-12-15 12:07  aleidinger

	* frontend/parse.c, include/lame.def, include/lame.h,
	  libmp3lame/id3tag.c:
	  Fix UTF8 id3tag support.

2023-12-14 09:13  aleidinger

	* frontend/parse.c:
	  Unbreak UTF8 genre tag. Text tags still broken.
	  
	  Disable UTF8 for now in the frontend.

2023-12-14 09:12  aleidinger

	* include/lame.def, include/lame.h, libmp3lame/id3tag.c:
	  Unbreak UTF8 genre tag, text-tags still broken (wrong encoding).

2023-12-12 21:07  aleidinger

	* frontend/parse.c:
	  Try to provide a toUtf8() function for Windows.
	  Completely untested, based upon the assumption that
	  Windows already uses UTF8. This assumption is based
	  upon the function names of the Windows implementation
	  of toUtf18() and toLatin1().

2023-11-21 18:00  aleidinger

	* libmp3lame/version.h:
	  increase beta patch-level after todays changes

2023-11-21 15:12  aleidinger

	* configure:
	  regen

2023-11-21 15:12  aleidinger

	* config.h.in:
	  regen

2023-11-21 15:12  aleidinger

	* configure.ac, doc/html/history.html, frontend/mp3rtp.c,
	  frontend/rtp.c:
	  Add IPv6 support for mp3rtp.
	  This includes an incompatible change to the command line
	  arguments for existing use cases / scripts.
	  
	  Submitted by: Surabhi
	  Patch: #69

2023-11-21 15:06  aleidinger

	* doc/html/history.html:
	  pkg-config support and some tab to spaces

2023-11-21 14:34  aleidinger

	* configure:
	  regen

2023-11-21 14:33  aleidinger

	* configure.ac:
	  fix variable name

2023-11-21 14:32  aleidinger

	* config.h.in:
	  regen / modernize with newer autotools

2023-11-21 14:32  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  libmp3lame/vector/Makefile.in, mac/Makefile.in, misc/Makefile.in,
	  mpglib/Makefile.in, vc_solution/Makefile.in:
	  regen / modernize with newer autotools

2023-11-21 14:31  aleidinger

	* configure:
	  regen / modernize with newer autotools

2023-11-21 14:31  aleidinger

	* aclocal.m4:
	  regen / modernize with newer autotools

2023-11-21 14:30  aleidinger

	* configure.ac, configure.in:
	  rename to current convention and modernize with newer autotools

2023-11-21 14:29  aleidinger

	* Makefile.am:
	  modernize with newer autotools

2023-11-21 14:29  aleidinger

	* m4, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4, m4/lt~obsolete.m4:
	  modernize with newer autotools

2023-11-21 14:29  aleidinger

	* compile, depcomp, missing:
	  modernize with newer autotools

2023-11-21 14:28  aleidinger

	* install-sh, ltmain.sh:
	  modernize with newer autotools

2023-11-21 14:27  aleidinger

	* libmp3lame/Makefile.am, libmp3lame/lame.pc.in:
	  Add pkg-config support.
	  
	  Taken from: Nicolas Boulenguez <nicolas@debian.org>
	  https://salsa.debian.org/multimedia-team/lame/-/blob/master/debian/patches/pkg-config.patch
	  Support Request: #42

2023-11-21 13:34  aleidinger

	* doc/html/history.html, doc/man/lame.1, frontend/parse.c,
	  include/lame.def, include/lame.h, include/libmp3lame.sym,
	  libmp3lame/id3tag.c, libmp3lame/id3tag.h:
	  Add ID3v2.4 support (UTF-8) to libmp3lame.
	  
	  Submitted by: "kris"
	  Patch: #99
	  
	  The use in the frontend is by me and only slightly tested (simple
	  --tt with umlauts).

2021-06-19 12:14  aleidinger

	* frontend/get_audio.c:
	  Fix build on cygwin with configure options --disable-static
	  --enable-shared --disable-decoder.
	  
	  Submitted by: Carlo Bramini
	  Patch: #97

2021-06-19 12:05  aleidinger

	* libmp3lame/util.c:
	  Fix build on FreeBSD riscv (replace compile time arch detection
	  by feature detection).
	  
	  Patch by: arichardson of LLVM project.
	  Submitted by: Robert Clausecker
	  Patch: #96

2021-03-12 12:58  aleidinger

	* libmp3lame/version.h:
	  bump to beta 2

2021-03-12 12:48  aleidinger

	* libmp3lame/vector/xmm_quantize_sub.c:
	  Fix some issues with clang build.
	  
	  Obtained from: VLC
	  
	  Original commit log from mstorsjo:
	  ---snip---
	  …GCC target("sse")
	  
	  Clang doesn't support the pragma, but does support the attribute.
	  Update the existing patch to do things this way.
	  
	  With previous versions of lame, this hasn't been an issue,
	  because
	  if one doesn't pass any -march flag, clang defaults to pentium4
	  as
	  target for i386 targets, and there both sse and sse2 are
	  available
	  by default.
	  
	  Since lame 3.100, lame now passes -march=i686 even for clang,
	  which
	  disables SSE by default, requiring the per-function enabling to
	  actually work.
	  ---snip---

2021-03-12 12:39  aleidinger

	* INSTALL:
	  Remove the part about NDEBUG, we use existing asserts as a quick
	  and easy way to prevent bad input to cause issues.

2021-03-10 12:07  aleidinger

	* doc/html/history.html:
	  Fix version of upcomming release.

2021-03-10 11:45  aleidinger

	* COPYING:
	  Correct the address of the FSF. [bugs#420]

2021-03-10 11:37  aleidinger

	* frontend/lametime.c:
	  Cygwin documents O_BINARY instead of _O_BINARY, see
	  https://cygwin.com/cygwin-ug-net/using-textbinary.html
	  
	  This should fix [bugs#451] and [bugs#494].

2021-03-10 11:25  aleidinger

	* configure:
	  regen

2021-03-10 11:25  aleidinger

	* configure.in:
	  Simplify (remove superflous).
	  
	  Suggested by: Thomas Orgis

2021-03-10 10:13  aleidinger

	* Makefile.in:
	  regen

2021-03-10 10:12  aleidinger

	* configure:
	  regen

2021-03-10 10:05  aleidinger

	* configure.in:
	  Fix decoder/mpg123 logic.

2021-03-10 10:05  aleidinger

	* frontend/get_audio.c:
	  Fix implicit declaration.

2021-03-10 10:03  aleidinger

	* Makefile.am:
	  Remove superflous dependency.
	  
	  Submitted by: vemakereporter via [patches#84]

2021-03-09 13:12  aleidinger

	* ChangeLog:
	  Add recent commits.

2021-03-09 12:01  aleidinger

	* libmp3lame/version.h:
	  Update version to 3.101 beta 1.

2021-03-09 11:51  aleidinger

	* configure:
	  regen

2021-03-09 11:51  aleidinger

	* config.h.in:
	  regen

2021-03-09 11:50  aleidinger

	* configure.in:
	  Remove reference to internal decoder.

2021-03-09 11:29  aleidinger

	* doc/html/history.html:
	  Add recent changes.

2021-03-09 11:29  aleidinger

	* README:
	  Document dependency on mpg123.

2021-03-09 11:27  aleidinger

	* mpglib/common.c, mpglib/common.h, mpglib/dct64_i386.c,
	  mpglib/dct64_i386.h, mpglib/decode_i386.c, mpglib/decode_i386.h,
	  mpglib/huffman.h, mpglib/interface.c, mpglib/interface.h,
	  mpglib/l2tables.h, mpglib/layer1.c, mpglib/layer1.h,
	  mpglib/layer2.c, mpglib/layer2.h, mpglib/layer3.c,
	  mpglib/layer3.h, mpglib/mpg123.h, mpglib/tabinit.c,
	  mpglib/tabinit.h:
	  RIP mpglib

2021-03-09 11:26  aleidinger

	* Makefile.in, mpglib/Makefile.in:
	  regen

2021-03-09 11:26  aleidinger

	* mpglib/mpglib.h:
	  Replace mpeg decoder with external libmpg123 - step 2
	  
	  Remove the internal mpglib.
	  
	  Submitted by: Michael Fink via [patches:#95]

2021-03-09 11:26  aleidinger

	* libmp3lame/mpglib_interface.c, mpglib/Makefile.am, mpglib/README:
	  Replace mpeg decoder with external libmpg123 - step 2
	  
	  Remove the internal mpglib.
	  
	  Submitted by: Michael Fink via [patches:#95]

2021-03-09 11:25  aleidinger

	* configure:
	  regen

2021-03-09 11:24  aleidinger

	* configure.in:
	  remove macosx xcode directory

2021-03-09 11:04  aleidinger

	* Makefile.am, macosx:
	  Remove xcode project, nobody stepped up to adapt it for the
	  libmpg123 changes.

2021-03-09 10:52  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  libmp3lame/vector/Makefile.in, mac/Makefile.in,
	  macosx/English.lproj/Makefile.in,
	  macosx/LAME.xcodeproj/Makefile.in, macosx/Makefile.in,
	  misc/Makefile.in, mpglib/Makefile.in, vc_solution/Makefile.in:
	  regen

2021-03-09 10:52  aleidinger

	* configure:
	  regen

2021-03-09 10:52  aleidinger

	* aclocal.m4:
	  regen

2021-03-09 10:35  aleidinger

	* configure.in:
	  - Remove cases which matches all previous cases, this was not
	  intended.
	  - In the clang case, do the same as for gcc, if someone provied
	  CFLAGS on his own,
	  do not add flags on our own.

2020-08-25 10:24  aleidinger

	* vc_solution/README.vs2019.txt, vc_solution/vs2019_lame.sln,
	  vc_solution/vs2019_lame_config.props,
	  vc_solution/vs2019_lame_lame.vcxproj,
	  vc_solution/vs2019_libmp3lame.vcxproj,
	  vc_solution/vs2019_libmp3lame_dll.vcxproj,
	  vc_solution/vs2019_libmpg123_config.props,
	  vc_solution/vs2019_libsndfile_config.props:
	  Add 64-bit support.
	  
	  Submitted by: Michael Fink via [patches:#94]

2020-08-25 10:18  aleidinger

	* include/lame.def, include/libmp3lame.sym:
	  Add hip_decode_init_gapless() to the linker exports.
	  
	  Submitted by: Michael Fink via [patches:#92]

2020-08-25 10:14  aleidinger

	* frontend/get_audio.c:
	  Fix the "Could not close audio input file" message when decoding
	  from mp3
	  or transcoding. The message only occurred on Win32 builds of
	  lame.exe.
	  
	  Submitted by: Michael Fink via [patches:#93]

2020-08-19 14:06  aleidinger

	* ACM/acm.rc, Dll/BladeMP3EncDLL.c, LICENSE, Makefile.MSVC,
	  debian/copyright, doc/man/lame.1, dshow/Property.rc,
	  libmp3lame/id3tag.c, misc/abx.c:
	  Fix the homepage of LAME. The old www.mp3dev.org is pointing to
	  the
	  sourceforge page.

2020-08-19 13:13  aleidinger

	* libmp3lame/i386/nasm.h:
	  Fix nasm include file (UTF-8 BOM which nasm does't know about).
	  
	  Submitted by: KO Myung-Hun via [patches:#81]

2020-08-19 12:56  aleidinger

	* vc_solution/Makefile.am, vc_solution/Makefile.in,
	  vc_solution/README.vs2019.txt, vc_solution/arch_nasm.vsprops,
	  vc_solution/arch_sse2.vsprops, vc_solution/arch_x87.vsprops,
	  vc_solution/vc9_lame.sln, vc_solution/vc9_lame_acm.vcproj,
	  vc_solution/vc9_lame_acm_adbg.vcproj,
	  vc_solution/vc9_lame_acm_tinyxml.vcproj,
	  vc_solution/vc9_lame_clients.sln,
	  vc_solution/vc9_lame_config.vsprops,
	  vc_solution/vc9_lame_dll.vcproj,
	  vc_solution/vc9_lame_dll_example.vcproj,
	  vc_solution/vc9_lame_dshow.vcproj,
	  vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3rtp.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj,
	  vc_solution/vc9_lame_test.vcproj,
	  vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj,
	  vc_solution/vc9_mpglib.vcproj, vc_solution/vc9_nasm.rules,
	  vc_solution/vs2019_arch_nasm.props,
	  vc_solution/vs2019_arch_sse2.props,
	  vc_solution/vs2019_arch_x87.props,
	  vc_solution/vs2019_gtk_config.props, vc_solution/vs2019_lame.sln,
	  vc_solution/vs2019_lame_acm.vcxproj,
	  vc_solution/vs2019_lame_acm.vcxproj.filters,
	  vc_solution/vs2019_lame_acm_adbg.vcxproj,
	  vc_solution/vs2019_lame_acm_adbg.vcxproj.filters,
	  vc_solution/vs2019_lame_acm_tinyxml.vcxproj,
	  vc_solution/vs2019_lame_clients.sln,
	  vc_solution/vs2019_lame_config.props,
	  vc_solution/vs2019_lame_dshow.vcxproj,
	  vc_solution/vs2019_lame_dshow.vcxproj.filters,
	  vc_solution/vs2019_lame_enc_dll.vcxproj,
	  vc_solution/vs2019_lame_enc_dll.vcxproj.filters,
	  vc_solution/vs2019_lame_lame.vcxproj,
	  vc_solution/vs2019_lame_lame.vcxproj.filters,
	  vc_solution/vs2019_lame_mp3rtp.vcxproj,
	  vc_solution/vs2019_lame_mp3rtp.vcxproj.filters,
	  vc_solution/vs2019_lame_mp3x.vcxproj,
	  vc_solution/vs2019_lame_mp3x.vcxproj.filters,
	  vc_solution/vs2019_lame_test.vcxproj,
	  vc_solution/vs2019_libmp3lame.vcxproj,
	  vc_solution/vs2019_libmp3lame.vcxproj.filters,
	  vc_solution/vs2019_libmp3lame_dll.vcxproj,
	  vc_solution/vs2019_libmpg123_config.props,
	  vc_solution/vs2019_libsndfile_config.props,
	  vc_solution/vs2019_nasm.props, vc_solution/vs2019_nasm.targets,
	  vc_solution/vs2019_nasm.xml,
	  vc_solution/vs2019_win71sdk_config.props:
	  - add files to build LAME with Visual Studio 2019
	  - remove the old project files for VC 9
	  - add a readme with a description about what you can do with the
	  files
	  
	  Submitted by: Michael Fink via [patches:#91]

2020-08-19 12:45  aleidinger

	* frontend/get_audio.c:
	  On Win32 compiles it can happen that lame.exe and libmp3lame.dll
	  use
	  different C++ runtimes, which maintail different FILE* lists, and
	  fileno() would produce invalid file numbers for those msvcrt
	  instances.
	  So use mpg123_replace_reader_handle() / mpg123_open_handle() here
	  instead of mpg123_open_fd().
	  
	  Submitted by: Michael Fink via [patches:#90]

2020-08-19 12:36  aleidinger

	* libmp3lame/version.h:
	  Change the URL of the LAME webpage to the canonical https
	  location.
	  
	  Submitted by: Michael Fink via [patches:#89]

2020-08-19 12:29  aleidinger

	* ACM/ACM.cpp:
	  An obsolete method TranslateURL() is called which is not strictly
	  necessary.
	  The patch is in the ACM module, which is the ancient Windows
	  "Audio Codec
	  Manager". Applying this patch is necessary before applying the
	  Visual Studio
	  2019 project files patch.
	  
	  Submitted by: Michael Fink via [patches:#88]

2020-07-11 10:24  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  libmp3lame/vector/Makefile.in, mac/Makefile.in,
	  macosx/English.lproj/Makefile.in,
	  macosx/LAME.xcodeproj/Makefile.in, macosx/Makefile.in,
	  misc/Makefile.in, mpglib/Makefile.in, vc_solution/Makefile.in:
	  Replace mpeg decoder with external libmpg123 - step 1/2 part 3/3
	  
	  Step 1 is to allow to use external libmp123 (preferred) or
	  interal mpglib to decode mpeg audio.
	  
	  Patch by Thomas Orgis <thomas-forum@orgis.org>, with some
	  minor modifications to the autotools build by me.
	  
	  Part 3: Regenerate automake stuff.
	  
	  
	  
	  Step 2 would be to remove the internal mpglib.

2020-07-11 10:23  aleidinger

	* config.h.in, configure:
	  Replace mpeg decoder with external libmpg123 - step 1/2 part 2/3
	  
	  Step 1 is to allow to use external libmp123 (preferred) or
	  interal mpglib to decode mpeg audio.
	  
	  Patch by Thomas Orgis <thomas-forum@orgis.org>, with some
	  minor modifications to the autotools build by me.
	  
	  Part 2: regenerate autoconf stuff
	  
	  
	  
	  Step 2 would be to remove the internal mpglib.

2020-07-11 10:23  aleidinger

	* configure.in:
	  Replace mpeg decoder with external libmpg123 - step 1/2 part 1/3
	  
	  Step 1 is to allow to use external libmp123 (preferred) or
	  interal mpglib to decode mpeg audio.
	  
	  Patch by Thomas Orgis <thomas-forum@orgis.org>, with some
	  minor modifications to the autotools build by me.
	  
	  Part 1: commit the source files and the input files for the
	  build.
	  
	  
	  
	  Step 2 would be to remove the internal mpglib.

2020-07-11 10:22  aleidinger

	* frontend/Makefile.am, frontend/get_audio.c, frontend/parse.c,
	  include/lame.h, libmp3lame/Makefile.am,
	  libmp3lame/mpglib_interface.c, libmp3lame/util.h,
	  mpglib/Makefile.am, mpglib/common.h, mpglib/mpglib.h,
	  mpglib/tabinit.c, mpglib/tabinit.h:
	  Replace mpeg decoder with external libmpg123 - step 1/2 part 1/3
	  
	  Step 1 is to allow to use external libmp123 (preferred) or
	  interal mpglib to decode mpeg audio.
	  
	  Patch by Thomas Orgis <thomas-forum@orgis.org>, with some
	  minor modifications to the autotools build by me.
	  
	  Part 1: commit the source files and the input files for the
	  build.
	  
	  
	  
	  Step 2 would be to remove the internal mpglib.

2020-05-08 16:02  aleidinger

	* doc/html/history.html:
	  Add recent changes.

2020-05-08 15:33  aleidinger

	* configure:
	  regen

2020-05-08 15:32  aleidinger

	* configure.in:
	  Disable Takehiros IEEE hack by default, add an option for
	  not so modern CPU architectures to enable it.
	  
	  While I'm here, make some whitespace fixes in user visible
	  parts of the --help option.

2020-05-07 07:51  aleidinger

	* libmp3lame/Makefile.in:
	  regen

2020-05-07 07:51  aleidinger

	* libmp3lame/Makefile.am, libmp3lame/VbrTag.c,
	  libmp3lame/VbrTagCrc.h:
	  Faster CRC calculation by Robert Kausch from the fre:ac project
	  (https://freac.org/developer-blog-mainmenu-9/14-freac/277-fastcrc).
	  
	  The gain here is small, but measurable. If you encode multiple
	  independent streams at once and if there are not small (not just
	  a few minutes of play time), you may notice a difference.

2020-05-06 13:17  aleidinger

	* include/libmp3lame.sym:
	  Remove lame_init_old from symbols file. It is made static in
	  lame.h and as
	  such is not available as a symbold for export in libmp3lame.

2020-05-06 12:31  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in, configure,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  libmp3lame/vector/Makefile.in, mac/Makefile.in,
	  macosx/English.lproj/Makefile.in,
	  macosx/LAME.xcodeproj/Makefile.in, macosx/Makefile.in,
	  misc/Makefile.in, mpglib/Makefile.in, vc_solution/Makefile.in:
	  regen

2020-05-06 12:31  aleidinger

	* config.h.in:
	  regen

2020-05-06 12:30  aleidinger

	* aclocal.m4:
	  regen

2020-05-06 12:29  aleidinger

	* compile, config.guess, config.sub, depcomp, install-sh, missing:
	  Update do recent autotools.

2020-05-06 12:08  aleidinger

	* configure.in:
	  Fix case statements with character ranges. Autoconf is eating up
	  the single '[' and ']'. Duplicating them escapes them.
	  Reported as part of [bugs:#491].
	  
	  While I'm here add gcc v10.* until v19.x to the gcc optimization
	  parts.

2020-05-06 10:06  aleidinger

	* ChangeLog:
	  Add 2 years of changes.

2019-07-23 12:20  robert

	* doc/html/history.html:
	  udating history

2019-07-23 09:34  robert

	* ACM/ddk/msacmdrv.h:
	  fix for tracker item #444 msacmdrv.h (structure packing
	  alignment)

2019-07-23 09:18  robert

	* ACM/ACM.cpp, ACM/AEncodeProperties.cpp:
	  fixed some uninitialzed variables

2019-07-19 13:27  robert

	* libmp3lame/quantize.c:
	  bug fix for tracker item 501 Encoder: Assertion
	  `eov->bitrate_index <= cfg->vbr_max_bitrate_index' failed
	  
	  When encoding a file in ABR mode, the resulting frame size could
	  exceed the targeted amount of bits.
	  This happens, when analog silence is detected and 'analog slince
	  bits' is larger than 'target bits'.

2019-06-28 13:05  robert

	* doc/html/history.html, libmp3lame/lame.c:
	  bug fix for tracker item #500 Buffer overflow in encoder

2019-01-10 23:25  robert

	* libmp3lame/vector/xmm_quantize_sub.c:
	  bug tracker item #496: A critical bug in init_xrpow_core_sse

2018-04-06 19:40  robert

	* doc/html/history.html, frontend/console.c, frontend/console.h,
	  frontend/timestatus.c, frontend/timestatus.h:
	  - patch #82: Take advantage of terminal width on printing file
	  names
	  - some code refactorings

2018-04-05 23:31  robert

	* ACM/tinyxml/tinyxml.cpp, ACM/tinyxml/tinyxmlparser.cpp,
	  Dll/Example.cpp, dshow/Encoder.cpp, dshow/Encoder.h,
	  dshow/Mpegac.cpp, dshow/Mpegac.h, frontend/get_audio.c,
	  frontend/get_audio.h, frontend/lame_main.c, frontend/main.c,
	  frontend/main.h, frontend/parse.c, frontend/parse.h,
	  frontend/rtp.c, libmp3lame/quantize.c, libmp3lame/reservoir.h,
	  libmp3lame/set_get.c, libmp3lame/util.c, libmp3lame/util.h,
	  misc/abx.c, misc/scalartest.c, test/lame_test.cpp:
	  fixing some issues found by the cppcheck tool

2018-03-17 10:53  robert

	* configure.in, doc/html/history.html, frontend/main.c,
	  frontend/parse.c, libmp3lame/i386/nasm.h, libmp3lame/version.h:
	  patch #80 OS/2 patches, submitted by KO Myung-Hun

2018-01-23 20:05  robert

	* frontend/get_audio.c:
	  Apple AIF format 'fl32' now possible to read, even without
	  libsndfile

2017-10-25 16:12  rjamorim

	* doc/html/about.html, doc/html/abr.html, doc/html/cbr.html,
	  doc/html/contact.html, doc/html/contributors.html,
	  doc/html/detailed.html, doc/html/images/valid-html401.png,
	  doc/html/index.html, doc/html/introduction.html,
	  doc/html/list.html, doc/html/ms_stereo.html, doc/html/usage.html,
	  doc/html/vbr.html:
	  Comprehensive HTML formatting. Code now is much more readable

2017-10-25 16:02  rjamorim

	* doc/html/links.html:
	  Minor fix

2017-10-25 15:59  rjamorim

	* doc/html/history.html:
	  Fixed lots of formatting

2017-10-24 18:41  rjamorim

	* doc/html/styles/lame.css:
	  Made the style more similar to the webpage's

2017-10-24 18:30  rjamorim

	* doc/html/history.html:
	  Ooops. Missed one remote image in the history

2017-10-24 18:17  rjamorim

	* doc/html/links.html:
	  Updated links information based on web site

2017-10-24 17:20  rjamorim

	* doc/html/about.html, doc/html/abr.html, doc/html/cbr.html,
	  doc/html/contact.html, doc/html/contributors.html,
	  doc/html/detailed.html, doc/html/images/sflogo.gif,
	  doc/html/index.html, doc/html/introduction.html,
	  doc/html/links.html, doc/html/list.html, doc/html/ms_stereo.html,
	  doc/html/usage.html, doc/html/vbr.html:
	  Replaced remote SF logo with local one. Because we care about
	  privacy!

2017-10-23 19:50  robert

	* configure.in, frontend/parse.c:
	  lame patches ticket #75: Fix for completing svn-r6410
	  submitted by Elio Blanca

2017-10-23 19:17  robert

	* doc/man/lame.1, frontend/get_audio.c:
	  some changes in spelling, suggested by Fabian Greffrath

2017-10-14 15:41  robert

	* frontend/parse.c:
	  bug tracker item #487: v3.100 breaks Windows compatibility
	  
	  the change is incomplete, we need to add 'HAVE_LANGINFO' to our
	  autoconf magic

2017-10-14 14:17  aleidinger

	* ChangeLog:
	  svn2cl does not include branches anymore, this is "current-branch
	  only" now

2017-10-14 14:14  aleidinger

	* Makefile.in:
	  regen

2017-10-14 14:12  aleidinger

	* ChangeLog.header, Makefile.am, doc/html/contact.html,
	  doc/html/contributors.html, doc/html/links.html,
	  make_changelog.sh:
	  switch references from CVS to SVN

2017-10-13 20:39  aleidinger

	* doc/html/history.html:
	  release date of lame 3.100

2017-10-13 20:27  aleidinger

	* ChangeLog, vc_solution/Makefile.in:
	  update

2017-10-13 20:21  aleidinger

	* vc_solution/Makefile.am:
	  list each file explicitely, make dist does not like globs.

2017-10-13 20:16  aleidinger

	* testcase.mp3:
	  Update testcase for 3.100 release.
	  Build on FreeBSD 64bit, clang 5.0.0, no advanced compiler
	  flags/optimisations.

2017-10-10 19:31  aleidinger

	* ChangeLog:
	  update

2017-09-26 12:25  robert

	* frontend/parse.c:
	  forcing MS for j-stereo mode only

2017-09-26 12:14  robert

	* Dll/BladeMP3EncDLL.c, frontend/parse.c, libmp3lame/lame.c:
	  forcing MS for j-stereo mode only

2017-09-26 10:31  robert

	* libmp3lame/lame.c:
	  set 'use of safe joint' for joint-stereo only, (only effects a
	  bit in vbr tag, sometimes)

2017-09-21 11:00  robert

	* libmp3lame/gain_analysis.c, libmp3lame/machine.h:
	  + fix multiple_of macro

2017-09-19 16:58  robert

	* libmp3lame/version.h:
	  release candidate

2017-09-19 16:57  robert

	* frontend/parse.c:
	  patch for bug #484: Lame doesn't recognize user locale correctly

2017-09-06 19:40  aleidinger

	* ChangeLog:
	  update

2017-09-06 19:38  aleidinger

	* libmp3lame/psymodel.c:
	  Add missing (at least in FreeBSD) include for FLT_EPSILON.

2017-09-06 15:07  robert

	* frontend/get_audio.c, libmp3lame/fft.c,
	  libmp3lame/gain_analysis.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/set_get.c,
	  libmp3lame/takehiro.c, libmp3lame/util.c, libmp3lame/util.h,
	  mpglib/interface.c, mpglib/tabinit.c:
	  small fixes

2017-08-31 14:14  robert

	* frontend/lame_main.c, include/lame.def, include/lame.h,
	  include/libmp3lame.sym, libmp3lame/bitstream.c,
	  libmp3lame/lame.c, libmp3lame/set_get.c:
	  another go to fix bug #474: Buffer Overflow possible when input
	  sample rate very low
	  
	  - do_copy_buffer did not check buffer size, when size was zero!
	  0 was a bad choice for the purpose of not checking, because
	  it was possible to get there, even when checking was demeanded!

2017-08-30 20:48  robert

	* libmp3lame/lame.c:
	  fix for bug #474: Buffer Overflow possible when input sample rate
	  very low
	  
	  When the input sample rate is very low, like 1 Hz, resampling to
	  8 kHz can result in a buffer overflow.
	  Found by Gustavo Grieco.

2017-08-30 14:11  robert

	* frontend/lame_main.c, frontend/parse.c, frontend/parse.h:
	  fix for bug #473: Buffer Overflow possible in lame_main.c
	  - replaced parse_nogap_filename by generateOutPath
	  (now there is only one function building the output file names)
	  - all nogap file names are now build before any encoding starts
	  - decode and nogap are no valid combination of arguments anymore,
	  wouldn't work as expected

2017-08-28 15:39  robert

	* libmp3lame/id3tag.c:
	  fix for bug #472: NULL Pointer Dereference in
	  id3v2AddAudioDuration
	  - plus some more pointer checks

2017-08-28 12:48  robert

	* frontend/gtkanal.c:
	  fixing resource leak, hip deocder wasn't closed on quit

2017-08-26 13:20  robert

	* libmp3lame/lame.c, libmp3lame/set_get.c:
	  lame_init_params:
	  - removed some impossible returns

2017-08-26 10:54  robert

	* libmp3lame/encoder.c:
	  more of psy downgrade

2017-08-24 20:43  robert

	* frontend/mp3rtp.c:
	  - free was called twice for some argument c-string

2017-08-23 13:22  robert

	* mpglib/interface.c, mpglib/layer1.c:
	  hip layer 1 decode: testing for illegal bit allocation value

2017-08-22 23:31  robert

	* mpglib/layer2.c:
	  fix for bug #470: global-buffer-overflow mpglib/layer2.c:144
	  II_step_one

2017-08-22 19:44  robert

	* libmp3lame/id3tag.c, libmp3lame/id3tag.h, libmp3lame/util.c:
	  id3v2: set 'language'property to a valid language code (COMM
	  field)

2017-08-22 16:02  robert

	* doc/html/history.html, frontend/get_audio.c,
	  frontend/lame_main.c:
	  fixing bug i#434: --clipdetect scale suggestion unaware of
	  --scale input value

2017-08-21 17:10  robert

	* frontend/get_audio.c:
	  fix for bug #469 Unable to build without mpglib

2017-08-20 20:06  robert

	* mpglib/layer3.c:
	  It looks like 'intensity stereo' decoding is broken. This change
	  prevents a buffer overflow (read) and instead prints an
	  indication, that there is something wrong.

2017-08-20 13:56  robert

	* mpglib/layer3.c:
	  fixing map for mixed-block band infos

2017-08-19 20:17  robert

	* mpglib/layer3.c:
	  fix for #467: stack-buffer-overflow mpglib/layer3.c:945
	  III_dequantize_sample
	  
	  fix for #468 global-buffer-overflow mpglib/layer3.c:1244
	  III_i_stereo

2017-08-19 14:20  robert

	* mpglib/common.c:
	  fix for bug #465: global-buffer-overflow layer2.c:144 II_step_one
	  - mpeg-2.5 is only supported by Layer3

2017-08-19 12:51  aleidinger

	* ChangeLog:
	  update

2017-08-18 22:06  robert

	* mpglib/layer3.c:
	  fix for bug #466: "stack-buffer-overflow in
	  ./mpglib/layer3.c:1264 III_i_stereo"

2017-08-18 21:56  robert

	* frontend/get_audio.c, frontend/lame_main.c:
	  fix for bug #464: attempting double-free

2017-08-15 19:51  robert

	* libmp3lame/set_get.c:
	  estimation of total number of frames changed

2017-08-15 15:40  aleidinger

	* make_changelog.sh:
	  add comment how to generate the input file

2017-08-15 15:35  aleidinger

	* ChangeLog:
	  update ChangeLog

2017-08-15 15:20  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  aclocal.m4, configure, doc/Makefile.in, doc/html/Makefile.in,
	  doc/man/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	  include/Makefile.in, libmp3lame/Makefile.in,
	  libmp3lame/i386/Makefile.in, libmp3lame/vector/Makefile.in,
	  mac/Makefile.in, macosx/English.lproj/Makefile.in,
	  macosx/LAME.xcodeproj/Makefile.in, macosx/Makefile.in,
	  misc/Makefile.in, mpglib/Makefile.in, vc_solution/Makefile.in:
	  regenerate

2017-08-15 15:16  aleidinger

	* configure.in:
	  Improve compiler version detection (clang changed version
	  string).
	  Add some future GCC versions in the optimisation part.

2017-08-15 15:15  aleidinger

	* include/lame.def:
	  Add lame_encode_buffer_interleaved_int() by Michael Fink.
	  LAME Patch #27.

2017-08-15 14:51  aleidinger

	* include/lame.h, include/libmp3lame.sym, libmp3lame/lame.c:
	  patch #27: Add lame_encode_buffer_interleaved_int() by Michael
	  Fink

2017-08-15 14:46  aleidinger

	* compile, config.sub, depcomp, frontend/depcomp, install-sh,
	  libmp3lame/depcomp, misc/depcomp, missing, mpglib/depcomp:
	  update to a more recent autotools version

2017-08-13 16:18  robert

	* libmp3lame/set_get.c:
	  prevent some rare overflow in estimation of total number of
	  frames
	  in case samplerate-out is higher than samplerate-in
	  (it is a visual glitch only)

2017-08-13 13:57  robert

	* doc/html/history.html, frontend/get_audio.c,
	  libmp3lame/version.h:
	  - sanity check when reading pcm data, avoid buffer overflow
	  - version 3.100 beta 0

2017-08-12 18:56  robert

	* frontend/get_audio.c, frontend/lame_main.c, frontend/main.c,
	  mpglib/common.c, mpglib/interface.c:
	  - avoid calling exit in library
	  - free up resources after error condition in frontend

2017-08-12 18:14  robert

	* mpglib/layer3.c:
	  - workaround for heap corruption while decoding layer3
	  - some fix for mpeg2.5 decoding with mixed block feature, taken
	  from Takehiro's branch

2017-08-08 17:52  robert

	* doc/man/lame.1:
	  fix typo

2017-08-08 13:56  robert

	* doc/html/history.html, libmp3lame/vector/xmm_quantize_sub.c:
	  Fix for bug ticket [ #449 ] Make sure functions with SSE
	  instructions maintain their own properly aligned stack. Thanks to
	  Fabian Greffrath

2017-08-08 13:26  robert

	* doc/html/history.html, mpglib/interface.c:
	  Fix for bug ticket #445: dereference of a null pointer possible
	  in loop. Thanks to Renu Tyagi

2017-08-08 12:40  robert

	* doc/html/history.html, frontend/lame_main.c:
	  Fix for bug ticket #447: Fix dereference NULL and Buffer not NULL
	  terminated issues. Thanks to Surabhi Mishra

2017-08-06 18:15  robert

	* frontend/get_audio.c, libmp3lame/VbrTag.c, libmp3lame/lame.c,
	  libmp3lame/set_get.c, libmp3lame/util.h:
	  in case of illegal sample rate and number of channel, let lame
	  print an error message

2017-08-03 13:07  rjamorim

	* HACKING, INSTALL, LICENSE, README, README.WINGTK, TODO:
	  Typos, formatting, grammar...

2017-08-03 13:06  rjamorim

	* ACM/lame.ico:
	  Updated icon to the current LAME logo

2017-08-03 12:32  rjamorim

	* USAGE:
	  Updated USAGE: fixed typos, formatting, some grammar

2017-08-02 19:56  robert

	* doc/html/history.html:
	  - reverting psymodel to that of version 3.99.5
	  - changing version back to 3.99.5 to ease binary mp3 file
	  comparisons with version 3.99.5
	  
	  Committed on the Free edition of March Hare Software CVSNT
	  Client.
	  Upgrade to CVS Suite for more features and support:
	  http://march-hare.com/cvsnt/

2017-08-02 19:48  robert

	* libmp3lame/psymodel.c, libmp3lame/quantize.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/util.h,
	  libmp3lame/version.h:
	  - reverting psymodel to that of version 3.99.5
	  - changing version back to 3.99.5 to ease binary mp3 file
	  comparisons with version 3.99.5
	  
	  Committed on the Free edition of March Hare Software CVSNT
	  Client.
	  Upgrade to CVS Suite for more features and support:
	  http://march-hare.com/cvsnt/

2016-01-29 21:36  aleidinger

	* ChangeLog:
	  update history

2016-01-29 21:09  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  aclocal.m4, compile, config.guess, config.h.in, config.sub,
	  configure, depcomp, doc/Makefile.in, doc/html/Makefile.in,
	  doc/man/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	  frontend/depcomp, include/Makefile.in, install-sh,
	  libmp3lame/Makefile.in, libmp3lame/depcomp,
	  libmp3lame/i386/Makefile.in, libmp3lame/vector/Makefile.in,
	  ltmain.sh, mac/Makefile.in, macosx/English.lproj/Makefile.in,
	  macosx/LAME.xcodeproj/Makefile.in, macosx/Makefile.in,
	  misc/Makefile.in, misc/depcomp, missing, mpglib/Makefile.in,
	  mpglib/depcomp, vc_solution/Makefile.in:
	  regen

2016-01-29 21:06  aleidinger

	* Dll/Makefile.mingw32, HACKING, Makefile.MSVC, Makefile.am.global,
	  Makefile.unix, configure.in, libmp3lame/Makefile.am:
	  - better check for SSE intrinsics [1]
	  - don't define NDEBUG in release builds
	  -> asserts trigger segfaults even in release builds
	  -> quick and user-unfriendly fix until user-fiendly error checks
	  are
	  implemented
	  - fix spelling mistakes in HACKING file [2]
	  - enable cross-compiling for mingw [3]
	  - fix linker path for libmpelame for mingw [3]
	  - fix out-of-source-tree builds [4]
	  - update files to automake 1.15, autconf 2.69
	  - update compiler version detection (detect clang and add
	  optimization
	  for at least 3.7.x)
	  
	  Submitted by: dim@FreeBSD.org [1], FreeBSD PR 206620
	  tridecethtwelve@users.sf.net [2] LAME patch #68
	  bardware@users.sf.net [3] LAME patch #70
	  m-a@users.sf.net [4] LAmE patch #67

2015-05-11 07:01  rbrito

	* libmp3lame/lame.c:
	  libmp3lame: Remove redundant check for invalid sample rates.
	  
	  Thanks Fabian Greffrath for letting me know that I screwed up. :)
	  
	  Signed-off-by: Rogério Brito <rbrito@ime.usp.br>

2015-04-28 22:12  rbrito

	* libmp3lame/lame.c:
	  libmp3lame: Add check for negative number of channels.
	  
	  Thanks to Maks Naumov and Fabian Greffrath for the contribution.

2015-04-28 22:07  rbrito

	* libmp3lame/util.c:
	  libmp3lame: Fix decision if sample rate ratio is an integer value
	  or not.
	  
	  From Fabian Greffrath's original description:
	  
	  If the sample rate of the input file is sufficiently close to an
	  integer
	  multiple of the output sample rate, the value of the intratio
	  variable is
	  calculated incorrectly. This leads to further values being
	  miscalculated
	  up to the joff variable which is used as an index to dereference
	  the
	  esv->blackfilt array. This leads top an overflow and causes a
	  segmentation fault.
	  
	  See https://bugs.debian.org/778529 for a discussion.

2015-04-28 22:03  rbrito

	* frontend/get_audio.c:
	  frontend: Avoid division by zero.
	  
	  Avoid malformed wav causing floating point exception (integer
	  divide by
	  zero).
	  
	  Kindly contributed by Fabian Greffrath
	  <fabian+debian@greffrath.com>. See
	  https://bugs.debian.org/777159 for a discussion.

2015-02-21 23:03  rbrito

	* test/lametest.py:
	  test: lametest: Some more PEP-8 love.
	  
	  This is mostly regarding not having parentheses around boolean
	  expressions.

2015-02-21 22:57  rbrito

	* test/lametest.py:
	  test: lametest: Add some PEP-8 love.

2015-02-21 22:49  rbrito

	* test/lametest.py:
	  test: lametest: Fix some trailing whitespace.

2015-02-21 22:35  rbrito

	* libmp3lame/lame.c:
	  Add check for invalid input sample rate.
	  
	  Patch by Maks Naumov <maksqwe1@ukr.net>, forwared to me by Fabian
	  Greffrath
	  <fabian@greffrath.com> from the Debian packaging.
	  
	  Thanks for the contribution!

2014-10-01 17:54  jaz001

	* doc/html/links.html:
	  links update.

2014-01-28 14:48  robert

	* Makefile.MSVC, frontend/get_audio.c, frontend/main.c,
	  libmp3lame/lame.c, libmp3lame/machine.h:
	  some minor changes:
	  - do not disable replaygain calc and find peak sample, when not
	  writing LAME info header (patch tracker item #66)
	  - remove deprecated linker option from Makefile.MSVC (bug tracker
	  item #442)

2013-12-17 11:24  robert

	* frontend/get_audio.c, frontend/main.h, frontend/parse.c,
	  libmp3lame/gain_analysis.c, libmp3lame/id3tag.h,
	  libmp3lame/machine.h, libmp3lame/psymodel.c:
	  applying submitted patches
	  #64: fixes undefined references when compiling with mingw32 (send
	  by Patrick)
	  #59: changes static_assert into a more portable form (send by
	  Doug Cook)
	  #55: fixes issues with wave files >2GB (send by lvqcl)
	  
	  plus some minor changes to reduce compiler warnings with GCC
	  v4.7.1

2013-12-08 19:49  jaz001

	* LICENSE, USAGE, doc/html/detailed.html, doc/man/lame.1,
	  frontend/parse.c:
	  Documentation updates:
	  -q setting rewording in all docs
	  general updates in USAGE and man page.
	  Small updates in the --help, --longhelp , and --preset help

2013-06-12 09:16  rbrito

	* aclocal.m4, configure.in, doc/html/Makefile.am,
	  doc/man/Makefile.am, libmp3lame/i386/Makefile.am:
	  Make autotools files compatible with automake >= 1.12
	  
	  Newer autotools versions don't seem to support ansi2knr, which is
	  probably
	  not a problem, given the last decades of compilers accepting ANSI
	  C (and the
	  rest of the LAME code being written in ANSI C itself).
	  
	  This fixes ticket #60, with a patch of Brennan Shacklett, from
	  the Gentoo
	  community.

2013-06-12 09:06  rbrito

	* aclocal.m4, configure.in, doc/html/Makefile.am:
	  Kill spurious trailing whitespace from some files.

2013-06-11 08:41  rbrito

	* frontend/brhist.c:
	  frontend: brhist: Fix type of formatting string parameter.

2013-06-11 08:41  rbrito

	* frontend/get_audio.c:
	  frontend: get_audio: Add missing formatting string parameter.

2013-06-11 08:19  rbrito

	* Dll/Example.cpp:
	  Dll/Example.cpp: Remove (some) spurious whitespace.

2013-06-11 08:19  rbrito

	* Dll/Example.cpp:
	  Dll/Example.cpp: Remove resource leaks in example code.

2013-06-11 07:26  rbrito

	* config.guess, config.sub:
	  config.{sub,guess}: Update files to pick up newer arches.
	  
	  This closes ticket #406. Perhaps a better solution would be to
	  rewrite part
	  of our autotools system, but, then, perhaps not.

2013-06-11 06:46  rbrito

	* include/libmp3lame.sym:
	  libmp3lame: Regenerate libmp3lame.sym from header file.
	  
	  Part of patch submitted by Reimar Döffinger on ticket #63.
	  
	  We should review this to check if there are any symbols that we
	  don't want
	  exported.

2013-06-11 06:45  rbrito

	* libmp3lame/Makefile.am:
	  libmp3lame: Consider the symbols in libmp3lame.sym.
	  
	  This is part of the patch sent by Reimar Döffinger in ticket #63.

2013-03-20 20:41  robert

	* doc/html/history.html, frontend/timestatus.c:
	  fix for tracker item 3608583: input file name displayed with
	  wrong character encoding (windows)

2012-10-25 18:46  robert

	* doc/html/history.html, frontend/lame_main.c, frontend/main.c,
	  frontend/parse.c:
	  fix for tracker item 3580176: environment variable LAMEOPT
	  doesn't work anymore

2012-10-13 14:10  robert

	* doc/html/history.html, frontend/parse.c:
	  fix for tracker item 3544957: scale (empty) silent encode without
	  warning
	  
	  switches with missing argument values will be ignored. (Those
	  with integer or floating point values, at least)

2012-10-13 11:50  robert

	* doc/html/history.html, frontend/parse.c:
	  fix for tracker item 3565659: no progress indication with pipe
	  input :(

2012-10-13 10:36  robert

	* doc/html/history.html, frontend/parse.c:
	  fix for tracker item 3567844: problem with Tag genre

2012-10-13 09:33  robert

	* doc/html/history.html, frontend/parse.c:
	  fix for tracker item ID 3558466: Bug in path handling

2012-10-09 21:39  robert

	* libmp3lame/version.h:
	  bump version

2012-10-09 21:37  robert

	* libmp3lame/psymodel.c, libmp3lame/util.h:
	  trying to improve strong tonal samples (lead-voice.wav)

2012-10-09 21:35  robert

	* frontend/parse.c:
	  ignore developer-only switches, but parse them for command line
	  compatibility reasons

2012-10-06 15:54  robert

	* libmp3lame/psymodel.c:
	  - code refactorings
	  - changed "mask adding", get the max of 3 different ones

2012-10-06 11:44  robert

	* frontend/parse.c, libmp3lame/presets.c:
	  + new command line option "--gain x", more convenient to adjust
	  replay gain, just use whatever decibel value LAME reported
	  before.
	  + out-dir option mentioned in long help text

2012-07-19 20:57  robert

	* doc/html/history.html, frontend/get_audio.c,
	  libmp3lame/version.h, mpglib/interface.c:
	  Improved detection of MPEG audio data in RIFF WAVE files.
	  see tracker item 3545112: Invalid sampling detection

2012-07-11 18:31  jaz001

	* doc/html/detailed.html, doc/html/usage.html:
	  Updates to reflect recent changes in hydrogenaudio wiki.

2012-06-19 00:15  rbrito

	* doc/html/history.html:
	  Update the HTML changelog.

2012-06-19 00:00  rbrito

	* Makefile.am, configure.in:
	  Don't use use the debian directory as build target.
	  
	  Include debian as extra directory instead of directory part of
	  subdirectories used in build.
	  
	  Patch stolen from:
	  
	  http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lame.git;a=tree;f=debian/patches

2012-06-18 20:52  rbrito

	* libmp3lame/i386/Makefile.am:
	  libmp3lame: Fix possible race condition causing build failures.
	  
	  This was discovered in automated builds by the Debian project and
	  the patch
	  provided is by Andres Mejia <amejia@debian.org>.
	  
	  Please, note that only part of the patch (the one touching
	  Makefile.am) was
	  applied, since the changes in Makefile.in should be picked up
	  when
	  regenerating files with autotools.
	  
	  Signed-off-by: Rogério Brito <rbrito@ime.usp.br>

2012-06-18 20:51  rbrito

	* acinclude.m4:
	  acinclude.m4: Include GTK-1 autoconf directives in build system.
	  
	  Resurrect knowledge of how to deal with GTK1. This was
	  transplanted back
	  from aclocal.m4 with a patch provided by Andres Mejia
	  <amejia@debian.org>,
	  from Debian's packaging of lame, even though the original code is
	  attributed
	  to Owen Taylor and dated 97-11-3.
	  
	  Anyway, with this part not lost again, we can easily regenerate
	  autotools'
	  files with a simple `autoconf -vfi` invocation.
	  
	  Signed-off-by: Rogério Brito <rbrito@ime.usp.br>

2012-06-18 20:48  rbrito

	* configure.in:
	  configure.in: Rewrap for (human) legibility.
	  
	  This also helps by being diff-friendly if we change only one of
	  the parts of
	  a long line.
	  
	  Signed-off-by: Rogério Brito <rbrito@ime.usp.br>

2012-02-28 19:07  robert

	* doc/html/history.html:
	  bug-fix release 3.99.5

2012-02-19 00:02  robert

	* libmp3lame/gain_analysis.c, libmp3lame/machine.h:
	  rearranging gain analysis kernel table and calc loops to allow
	  better code vectorization

2012-02-18 13:09  robert

	* frontend/get_audio.c, frontend/lame_main.c, frontend/main.c,
	  frontend/parse.c, libmp3lame/mpglib_interface.c, mpglib/layer2.c:
	  removing VC11 x86-64 compiler warnings

2012-02-14 14:24  robert

	* libmp3lame/VbrTag.c, libmp3lame/bitstream.c,
	  libmp3lame/encoder.c, libmp3lame/id3tag.c, libmp3lame/lame.c,
	  libmp3lame/machine.h, libmp3lame/mpglib_interface.c,
	  libmp3lame/psymodel.c, libmp3lame/util.c, libmp3lame/util.h:
	  some code refactorings

2012-02-14 11:06  robert

	* ChangeLog, doc/html/history.html:
	  updating history/changelog

2012-02-11 12:11  robert

	* frontend/get_audio.c:
	  Bug fix for tracker item ID: 3486753 Artifacts at the beginning
	  of decoded file

2012-02-11 12:10  robert

	* mpglib/layer3.c:
	  some hidden global temporary variable removed, could have been
	  some multi threading issue

2012-02-10 18:13  rbrito

	* config.h.in, configure.in:
	  autotools: Fix compilation on alpha using proper ifdef guards.
	  
	  Thanks to Andres Mejia <amejia004@gmail.com> for the patch (with
	  minor
	  whitespace adjustments).

2012-02-10 18:11  rbrito

	* doc/html/history.html:
	  doc: Correctly spell Fabian Greffrath's name to give proper
	  credit.

2012-02-07 13:52  robert

	* configMS.h:
	  reduce compiler warnings for SSE2 build with VC 11

2012-02-07 13:40  robert

	* configMS.h, libmp3lame/l3side.h, libmp3lame/machine.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/vbrquantize.c:
	  - workaround for cygwin build problem
	  - fix "fast floating point math" problem (possible bitrate bloat
	  on quiet pieces)

2012-01-25 13:01  robert

	* ChangeLog, doc/html/history.html:
	  updating Changelog and History

2012-01-19 12:15  robert

	* frontend/parse.c:
	  fix for tracker item ID: 3475581 - lame crashes at .w64 input
	  file

2012-01-08 23:50  robert

	* include/lame.h, libmp3lame/id3tag.c, libmp3lame/id3tag.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/util.c:
	  Addressing things brought to attention by tracker item ID:
	  3463197: 3.99.x problem WFED and PCST frames
	  
	  + WFED and PCST frames can now be added, to tag podcasts iTunes
	  recognizes
	  + USER frames are now supported
	  + COMM frames can now have a description, when passed via --tv
	  "COMM=<description>=<full text>"
	  
	  - possible divide-by-zero exception should be fixed
	  - adding malformed user-defined-frames could result in abnormal
	  program termination, fixed

2011-12-04 12:35  robert

	* libmp3lame/lame.rc:
	  re tracker ID: 3449748 Incomplete resource definition file
	  A translation value seems to be mandatory by convention.

2011-11-26 18:26  robert

	* doc/html/history.html, libmp3lame/id3tag.c:
	  bug fix for tracker item ID: 3441349: --tg does not handle genre
	  number when adding unicode tag

2011-11-18 09:51  robert

	* doc/html/history.html, libmp3lame/VbrTag.c, libmp3lame/version.c:
	  merge with 3.99 branch modifications

2011-11-10 18:46  robert

	* libmp3lame/version.c:
	  small fix

2011-11-10 13:19  robert

	* frontend/get_audio.c, frontend/get_audio.h, frontend/lame_main.c:
	  when transcoding, copy old id3v2 tag. feature requests:
	  ID: 1985551 lame --pass-ID3-tags-unscathed
	  ID: 977304 ID3 tags lost when transcoding

2011-11-09 00:15  robert

	* libmp3lame/quantize.c, libmp3lame/quantize_pvt.c:
	  aiming for a more balanced bit reservoir usage

2011-11-08 19:36  robert

	* libmp3lame/quantize_pvt.c:
	  at lower sample rates, make a cut at last usable scalefactor band

2011-11-08 18:19  robert

	* libmp3lame/quantize.c:
	  8kHz mpeg2.5 uses fewer scale factor bands.

2011-11-06 18:34  robert

	* libmp3lame/encoder.c:
	  use same meaning of PE in cbr and vbr modes

2011-11-05 17:53  robert

	* configure, configure.in, doc/html/history.html,
	  libmp3lame/version.h:
	  main-branch open for next development cycle

2011-11-05 16:32  robert

	* misc/Makefile.am, misc/Makefile.in:
	  adding mk_mp3.sh to dist files

2011-11-02 00:20  robert

	* Makefile.MSVC, libmp3lame/machine.h:
	  fixing vc6 compile problem, VC6 seems to miss exporting some
	  inline functions from math.h.

2011-11-01 19:50  robert

	* libmp3lame/id3tag.c:
	  oops, fixing writing unicode strings in id3tags

2011-11-01 16:59  robert

	* doc/html/history.html, frontend/parse.c, libmp3lame/id3tag.c:
	  Fixes for several issues with ID3v2 unicode tags, using
	  Big-Endian text
	  encodings. Because of several other software (like Windows Media
	  Player),
	  LAME writes Little-Endian unicode tags only.
	  Thanks to Taihei Monma, for reporting these issues.
	  Tracker items: [ 3431203, 3431222, 3431241 ]

2011-10-18 21:54  robert

	* Dll/BladeMP3EncDLL.h:
	  Fixing typedef HBE_STREAM, has to be a pointer type.

2011-10-18 21:51  robert

	* libmp3lame/lame.c, libmp3lame/util.c:
	  Fixing a small display problem for x64 platform

2011-10-17 23:15  robert

	* libmp3lame/id3tag.c:
	  bug fix: ID3 tags are always added

2011-10-16 13:09  robert

	* frontend/Makefile.am, frontend/Makefile.in:
	  file rtp.h was missing in distribution list

2011-10-15 15:46  robert

	* doc/html/history.html:
	  Updating history

2011-10-15 14:37  robert

	* ChangeLog:
	  updating Changelog

2011-10-15 14:31  robert

	* debian/Makefile.am, debian/Makefile.in, doc/html/detailed.html,
	  libmp3lame/version.h, testcase.mp3:
	  preparing release

2011-10-15 12:38  robert

	* misc/mk_mp3.sh:
	  updating script for building mp3 collection from lossless archive

2011-10-06 23:12  robert

	* ChangeLog:
	  updating changelog

2011-10-06 23:07  robert

	* frontend/get_audio.c, frontend/parse.c:
	  let iconv use transliteration

2011-10-04 15:37  robert

	* frontend/parse.c:
	  fixing compiler warning

2011-10-04 11:42  robert

	* frontend/get_audio.c, frontend/lame_main.c, frontend/main.h,
	  frontend/parse.c:
	  using our input file reading functions when reading from stdin
	  allow -s to overwrite input samplerate for non RAW input files
	  too

2011-10-03 13:28  robert

	* doc/html/history.html, frontend/lame_main.c:
	  fix for tracker item ID: 3034259 Fix for confusing fatal error:
	  can't update LAME-tag frame!

2011-10-03 13:22  robert

	* frontend/parse.c, libmp3lame/id3tag.c:
	  making sure, the id3v1 tags get filled

2011-10-02 21:45  robert

	* doc/html/history.html, frontend/get_audio.c:
	  Bug fix for tracker item ID: 3368977 Wave Parser doesn't pad
	  chunks

2011-10-02 18:39  robert

	* frontend/portableio.c, frontend/portableio.h:
	  removing portableio.[ch] files, not needed anymore

2011-10-02 18:24  robert

	* frontend/parse.c, libmp3lame/id3tag.c:
	  fixing some compiler warnings

2011-10-02 17:13  robert

	* Makefile.MSVC, Makefile.unix, frontend/Makefile.am,
	  frontend/Makefile.in, frontend/get_audio.c, frontend/mp3rtp.c,
	  vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3rtp.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj:
	  replacing "portableio" by own code in get_audio.c

2011-10-02 14:52  robert

	* doc/html/detailed.html, doc/man/lame.1, frontend/main.c,
	  frontend/main.h, frontend/parse.c, include/lame.def,
	  include/lame.h, libmp3lame/id3tag.c:
	  clearify, unicode tags are utf-16

2011-09-28 19:11  robert

	* doc/html/history.html, frontend/parse.c, libmp3lame/id3tag.c,
	  vc_solution/vc9_lame.sln, vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3rtp.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj,
	  vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj,
	  vc_solution/vc9_mpglib.vcproj:
	  bug fix for tracker item 3395813: id3tag_set_fieldvalue for URL
	  link frames Broken
	  
	  now one can add URL link frames to the ID3v2 tag, like:
	  --tv "WOAR=www.mypage.com" --tv "WXXX=get remixes
	  here=www.dj.org"

2011-09-25 17:08  robert

	* libmp3lame/version.h:
	  increasing patch level

2011-07-26 11:48  rbrito

	* frontend/parse.c:
	  frontend: Update licensing message.
	  
	  Patch supplied by Andres Mejia <mcitadel@gmail.com> according to
	  previous
	  discussions in the mailing lists `lame-dev` and
	  `pkg-multimedia-maintainers`.
	  
	  http://lists.alioth.debian.org/pipermail/pkg-multimedia-maintainers/2011-July/020417.html

2011-06-17 06:22  aleidinger

	* Makefile.am.global:
	  Remove ansi2knr part. It will be deprecated and subsequently
	  removed from
	  automake.
	  
	  Notified by: Stefano Lattarini <stefano.lattarini@gmail.com>

2011-05-24 20:45  robert

	* Makefile.unix, libmp3lame/psymodel.c, libmp3lame/quantize_pvt.c:
	  small change in addition of simultaneous maskings

2011-05-24 20:40  robert

	* mpglib/layer2.c:
	  workaround for tracker item 3301963:"assertion failed in layer 2
	  decoding"

2011-05-07 16:05  rbrito

	* Dll/BladeMP3EncDLL.c, Dll/BladeMP3EncDLL.h, Dll/Example.cpp,
	  README, debian/copyright, frontend/brhist.c, frontend/brhist.h,
	  frontend/get_audio.c, frontend/get_audio.h,
	  frontend/gpkplotting.c, frontend/gpkplotting.h,
	  frontend/gtkanal.c, frontend/gtkanal.h, frontend/lame_main.c,
	  frontend/lametime.c, frontend/lametime.h, frontend/main.c,
	  frontend/main.h, frontend/mp3rtp.c, frontend/parse.c,
	  frontend/rtp.c, frontend/rtp.h, frontend/timestatus.c,
	  frontend/timestatus.h, include/lame.h, libmp3lame/VbrTag.c,
	  libmp3lame/VbrTag.h, libmp3lame/bitstream.c,
	  libmp3lame/bitstream.h, libmp3lame/encoder.c,
	  libmp3lame/encoder.h, libmp3lame/fft.h, libmp3lame/id3tag.c,
	  libmp3lame/l3side.h, libmp3lame/lame-analysis.h,
	  libmp3lame/lame.c, libmp3lame/machine.h,
	  libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	  libmp3lame/newmdct.h, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	  libmp3lame/quantize.c, libmp3lame/quantize.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/reservoir.c, libmp3lame/reservoir.h,
	  libmp3lame/set_get.c, libmp3lame/set_get.h, libmp3lame/tables.c,
	  libmp3lame/tables.h, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c,
	  libmp3lame/vbrquantize.h, libmp3lame/vector/lame_intrin.h,
	  libmp3lame/vector/xmm_quantize_sub.c, libmp3lame/version.c,
	  libmp3lame/version.h, test/lame_test.cpp:
	  Make explicit that the licence is the Library GPLv2.
	  
	  According to Jonas Smedegaard, there is no Lesser GPLv2, only
	  Lesser GPLv2.1.
	  
	  Thanks to Andres.

2011-05-07 15:56  rbrito

	* frontend/parse.c:
	  Fix some warnings in 64-bit arches. Changing s/size_t/unsigned
	  int/
	  
	  This should not be a problem with the variables in question, as
	  they can't
	  be much larger than what an unsigned int is able to hold.
	  
	  Patch from:
	  
	  http://git.debian.org/?p=pkg-multimedia/lame.git;a=blob;f=debian/patches/07-field-width-fix.patch
	  
	  Sent by Andres.

2011-05-07 15:44  rbrito

	* configure.in:
	  Work round buggy softfloat optimization in ARM EABI compilers.
	  
	  A bug present in gcc-4.[123] up to 4.3.3 makes a buggy
	  optimization
	  for single-precision floats when -ffinite-math-only (enabled by
	  -ffast-math)
	  Refer to the following.
	  
	  https://sourceforge.net/tracker/index.php?func=detail&aid=2681646&group_id=290&atid=100290
	  https://trac.xiph.org/ticket/1526
	  http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39501
	  
	  Thanks to Andres Mejia. This fixes SF bug 2681646.

2011-05-07 15:35  rbrito

	* libmp3lame/i386/nasm.h:
	  Disable executable patch.
	  
	  Patch from Russell Coker to disable executable stack from
	  Christian
	  Marillat's packaging. Sent by Andres Mejia.

2011-05-07 01:23  rbrito

	* README:
	  Tweak slightly the disclaimer of patents from the README file.
	  
	  This change was proposed by me with suggestions made by Andres
	  Mejia.

2011-05-06 20:14  rbrito

	* libmp3lame/lame.c:
	  libmp3lame: lame: Put some parentheses to shut up some static
	  analysis tools.
	  
	  The statement
	  
	  frames_left -= ((frame_num != gfc->ov_enc.frame_number) ? 1 : 0);
	  
	  could probably be written as
	  
	  
	  frames_left -= (frame_num != gfc->ov_enc.frame_number);
	  
	  unless we know of some platform where a boolean evaluation does
	  not result
	  in a 1 in case of it being true.

2011-05-06 19:59  rbrito

	* README:
	  Remove problematic restriction to the LGPL, to make it legally
	  OK.
	  
	  Also update the copyright years of the LAME team.

2011-04-20 13:03  aleidinger

	* config.rpath:
	  looks like this is needed now

2011-04-20 12:53  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  aclocal.m4, config.h.in, configure, debian/Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  libmp3lame/vector/Makefile.in, mac/Makefile.in,
	  macosx/English.lproj/Makefile.in,
	  macosx/LAME.xcodeproj/Makefile.in, macosx/Makefile.in,
	  misc/Makefile.in, mpglib/Makefile.in, vc_solution/Makefile.in:
	  regen

2011-04-20 12:51  aleidinger

	* configure.in:
	  - correct the VBR check message to something more correct
	  (curses)
	  - check for libiconv and use it in the frontend

2011-04-19 15:36  robert

	* doc/man/lame.1, frontend/parse.c:
	  lame(1) manpage patch - ID: 3161674
	  Typo in --longhelp - ID: 3288886
	  replaced strnicmp, isn't portable

2011-04-15 20:17  robert

	* libmp3lame/lame.c:
	  Bug fix: when aborting an encode before any samples were fed into
	  the encoder, an assert was falsely triggered.

2011-04-14 20:48  robert

	* frontend/parse.c:
	  Allow -Z switch in none alpha builds (for now)

2011-04-14 19:36  robert

	* doc/html/history.html, frontend/parse.c, libmp3lame/presets.c,
	  libmp3lame/version.h:
	  3.99 beta phase

2011-04-08 23:50  robert

	* misc/mk_mp3.sh:
	  mk_mp3.sh - script to encode and tag CDs

2011-04-08 22:55  robert

	* libmp3lame/psymodel.c:
	  some code cleanup: unused vars, defines, etc.

2011-04-08 19:26  robert

	* frontend/lame_main.c, frontend/main.c, frontend/main.h:
	  Unicode support for extra options passed via environment varialbe
	  LAMEOPT

2011-04-07 23:03  robert

	* frontend/get_audio.c:
	  quick fix for tracker item 3277412: Segmentation fault at
	  layer2.c:105 with
	  --decode
	  (problem sample contains multiple ID3v2 tags)

2011-04-07 23:01  robert

	* libmp3lame/psymodel.c, libmp3lame/util.h:
	  - some code cleanup
	  - calculate short block thm from long blocks, in case we
	  eventually
	  may need it for pre-echo control of the next granule

2011-04-05 19:17  jaz001

	* doc/html/detailed.html:
	  corrected spelling.

2011-04-04 19:40  robert

	* libmp3lame/psymodel.c:
	  small update for the pre-echo control

2011-04-04 11:49  aleidinger

	* ChangeLog:
	  Update upto now.

2011-04-04 11:48  aleidinger

	* make_changelog.sh:
	  Add the script to generate the changelog, not added to
	  Makefile.am as it
	  does not make sense to distribute it.
	  
	  I keep the "cvs log" output in '../log_output', the script
	  expects it there.

2011-04-04 09:54  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  aclocal.m4, config.h.in, configure, debian/Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  libmp3lame/vector/Makefile.in, mac/Makefile.in,
	  macosx/English.lproj/Makefile.in,
	  macosx/LAME.xcodeproj/Makefile.in, macosx/Makefile.in,
	  misc/Makefile.in, mpglib/Makefile.in, vc_solution/Makefile.in:
	  regen

2011-04-04 09:49  aleidinger

	* configure.in:
	  - depend upon at least autoconf 2.68, this should fix the
	  variable type
	  size check in configure on Windows (mingw)
	  - readd check for termcap lib (needed for brhist)
	  - remove float8 (requested by Robert Hegemann)
	  - my gcc moans about -march=generic not being supported
	  (anymore), use
	  'native' instead of 'generic' in one place

2011-04-04 09:45  aleidinger

	* Makefile.am.global:
	  Depend upon automake 1.11.

2011-04-04 09:42  aleidinger

	* libmp3lame/i386/Makefile.am:
	  Create the directory in any case, seems to prevent a race
	  condition.

2011-04-04 09:41  aleidinger

	* configMS.h:
	  Remove superflous brhist define.

2011-04-04 09:40  aleidinger

	* INSTALL:
	  Remove superflous explication about brhist switch.

2011-04-04 09:36  aleidinger

	* depcomp, frontend/depcomp, install-sh, libmp3lame/depcomp,
	  ltmain.sh, misc/depcomp, missing, mpglib/depcomp:
	  Update files from automake 1.11 and libtool 2.2.10.

2011-04-03 22:26  robert

	* libmp3lame/psymodel.c, libmp3lame/version.h:
	  pre-echo control for short blocks is dependent on previous frame.
	  maybe we can relax it later, to speed-up things again.

2011-03-25 19:57  robert

	* frontend/parse.c:
	  dropping note about mpglib being GPL, because we use HIP for
	  decoding.

2011-03-24 20:19  robert

	* doc/html/detailed.html, doc/man/lame.1, frontend/parse.c,
	  libmp3lame/id3tag.c:
	  new switches controlling the string encoding mode for ID3v2 tags:
	  --id3v2-latin1 turns on ID3v2 tags, text encoding ISO-8859-1
	  --id3v2-ucs2 turns on ID3v2 only tags, text encoding UCS-2
	  
	  Similar experimental switches removed.

2011-03-24 10:25  robert

	* doc/html/history.html:
	  fixing glitch in Joseph's name

2011-03-24 10:21  robert

	* doc/html/history.html:
	  updating history with info about latest changes

2011-03-22 20:35  robert

	* ChangeLog, libmp3lame/version.h:
	  updating ChangeLog

2011-03-05 20:05  robert

	* libmp3lame/presets.c, libmp3lame/quantize_pvt.c:
	  adapting some parameters for vbr-old/cbr/abr, because of the now
	  used psy model

2011-03-05 18:54  robert

	* libmp3lame/encoder.c, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/quantize_pvt.c:
	  now all modes use the same (latest) psy model
	  
	  code cleanup

2011-03-05 14:06  robert

	* mpglib/layer3.c:
	  fix for a possible out of bounds array access
	  
	  re ID: 3091776 crash at III_dequantize_sample
	  This bug may be fixed now, don't have original problem sample to
	  be sure.

2011-03-02 16:56  rbrito

	* debian/changelog:
	  debian: Update changelog.

2011-03-02 16:56  rbrito

	* debian/changelog:
	  Put my SF email or we get warnings from lintian.

2011-03-02 16:54  rbrito

	* debian/control:
	  Verified that the packaging conforms to the Policy version 3.9.1

2011-03-02 16:54  rbrito

	* debian/control:
	  Verified that the packaging conforms to the Policy version 3.9.0

2011-03-02 16:54  rbrito

	* debian/control:
	  Remove unused Conflicts: and Replaces: fields.
	  
	  They were never part of any stable release and 3rd party sites
	  were,
	  perhaps, faster than us in providing changed packages (when the
	  packaging
	  was not up-to-date).

2011-03-02 16:53  rbrito

	* debian/control:
	  Verified that the packaging conforms to the Policy version 3.8.4

2011-03-02 16:53  rbrito

	* debian/control:
	  Verified that the packaging conforms to the Policy version 3.8.3

2011-03-02 16:52  rbrito

	* debian/control:
	  Verified that the packaging conforms to the Policy version 3.8.2

2011-03-02 16:52  rbrito

	* debian/control:
	  Verified that the packaging conforms to the Policy version
	  3.8.1.0

2011-03-02 16:52  rbrito

	* debian/control:
	  Fix lintian's debhelper-but-no-misc-depends from the binary
	  packages.

2011-03-02 16:51  rbrito

	* debian/changelog:
	  Update debian/changelog.

2011-03-02 16:50  rbrito

	* debian/control:
	  debian/control: Change B-D on nasm to allow any i386 platform (no
	  amd64, though).

2011-03-02 16:50  rbrito

	* debian/control:
	  debian/control: Rewrap the Build-Depends field for legibility.
	  
	  This also buys us some diff-friendliness.

2011-03-02 16:48  rbrito

	* debian/changelog, debian/rules:
	  debian: Transition to the debhelper 7 format.
	  
	  This format is easier to manage and other people should find it
	  easy to
	  adapt to downstream necessities.

2011-03-01 00:34  robert

	* libmp3lame/lame.c, libmp3lame/vbrquantize.c, testcase.mp3:
	  - new VBR: mpeg2.5 at 8 kHz doesn't use some scalefactor bands

2011-02-27 21:08  robert

	* libmp3lame/lame.c:
	  small update for q_map

2011-02-27 01:52  robert

	* libmp3lame/lame.c, libmp3lame/presets.c:
	  last patch made manual lowpass setting impossable (for VBR)

2011-02-27 00:52  robert

	* Makefile.unix, libmp3lame/lame.c, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/version.h:
	  make use of resampling at lower VBR quality levels

2011-02-22 19:00  robert

	* libmp3lame/bitstream.c, libmp3lame/encoder.c, libmp3lame/lame.c,
	  libmp3lame/psymodel.c, libmp3lame/quantize.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/version.h:
	  Starting to use newer VBR psy-model for CBR and ABR encoding too
	  
	  bug tracker ID: 3187397 - Strange compression behavior

2011-02-22 17:58  robert

	* libmp3lame/bitstream.c, libmp3lame/lame.c, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/version.c:
	  some code cleanup

2011-02-13 22:54  rbrito

	* frontend/brhist.c:
	  frontend: remove unused variable and computation from brhist.c

2011-02-13 16:36  robert

	* libmp3lame/lame.c, libmp3lame/quantize.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/version.h:
	  make vbr_mt the default vbr mode

2011-02-13 13:50  robert

	* frontend/parse.c, include/lame.h, libmp3lame/lame.c,
	  libmp3lame/presets.c, libmp3lame/set_get.c:
	  new mono encoding switches:
	  -ml encodes left channel only
	  -mr encodes right channel only

2011-02-12 16:16  robert

	* frontend/main.h, libmp3lame/presets.c, libmp3lame/vbrquantize.c:
	  small fixes for compiler warnings
	  (vbrquantize.c) bug fix, out of bounds memory write

2011-02-11 20:17  robert

	* libmp3lame/lame.c, libmp3lame/presets.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize.c, libmp3lame/vbrquantize.c,
	  libmp3lame/version.h:
	  - reintroduction of fast encoding mode (-q7 / -f) (vbr_mt /
	  vbr_mtrh)
	  - minor fix for sfb21 encoding (vbr_mt / vbr_mrth)
	  - small tunings

2010-12-08 15:28  robert

	* Dll/BladeMP3EncDLL.c, Dll/BladeMP3EncDLL.h:
	  fixing some compile issues when compiling as C++ code
	  
	  bug tracker ID: 3125235: make -f Makefile.mingw32 fails

2010-12-05 12:25  robert

	* Dll/BladeMP3EncDLL.c:
	  fixing some compile issues when compiling as C++ code
	  
	  bug tracker ID: 3125235: make -f Makefile.mingw32 fails

2010-12-04 20:43  jaz001

	* doc/html/detailed.html:
	  spelling and better description on -b, -F and -t settings

2010-12-04 13:30  robert

	* libmp3lame/gain_analysis.h:
	  fixing some compile issues with strict compiler settings.
	  
	  bug tracker ID: 3025801: gain_analysis.h needs int constants

2010-12-04 12:55  robert

	* Dll/BladeMP3EncDLL.c:
	  fixing some compile issues with strict compiler settings.
	  
	  bug tracker ID: 3125235: make -f Makefile.mingw32 fails

2010-12-03 19:46  jaz001

	* doc/html/about.html:
	  fixed listening tests URL.

2010-11-21 20:45  jaz001

	* doc/html/detailed.html, doc/html/usage.html:
	  yet more small detail changes.

2010-11-21 20:31  jaz001

	* doc/html/detailed.html:
	  more details about the q switch and the vbr-new/old
	  some formating changes

2010-11-21 20:07  jaz001

	* doc/html/abr.html, doc/html/cbr.html, doc/html/detailed.html,
	  doc/html/usage.html:
	  updates/fixes to the documentation.

2010-10-30 13:21  robert

	* Dll/LameDll_vc8.vcproj, Dll/Makefile.am, Dll/Makefile.in,
	  Makefile.am, Makefile.in, frontend/Makefile.am,
	  frontend/Makefile.in, frontend/lame_vc8.vcproj,
	  frontend/mp3x_vc8.vcproj, lame_vc8.sln, libmp3lame/Makefile.am,
	  libmp3lame/Makefile.in, libmp3lame/libmp3lame_vc8.vcproj,
	  mpglib/Makefile.am, mpglib/Makefile.in, mpglib/mpglib_vc8.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj:
	  VC8 no more

2010-09-30 20:58  jaz001

	* doc/html/Makefile.am, doc/html/Makefile.in:
	  fixed the erroneous naming of files. (fixes: 3078255)

2010-08-17 23:39  rbrito

	* README:
	  Put a notice that Mark Taylor is not the current maintainer, but
	  The
	  LAME team is.

2010-08-17 23:36  rbrito

	* README:
	  Update the URL to point to the Sourceforge webpage.

2010-08-17 23:35  rbrito

	* README:
	  Update the date of the README file.

2010-08-17 23:34  rbrito

	* README:
	  Cosmetic: delete trailing whitespaces.

2010-08-17 23:32  rbrito

	* README:
	  Remove duplicate copyright entry for Mark Taylor.

2010-08-17 23:32  rbrito

	* README:
	  Update copyright years of the LAME Project.

2010-07-09 18:59  jaz001

	* doc/html/basic.html, doc/html/examples.html, doc/html/id3.html,
	  doc/html/lame.css, doc/html/modes.html, doc/html/node6.html,
	  doc/html/switchs.html:
	  delete old documentation

2010-07-09 18:58  jaz001

	* doc/html/detailed.html:
	  added anchors to the descriptions, so that one can link to them
	  with an URL.
	  Corrected a few errors.

2010-06-11 17:44  jaz001

	* doc/html/Makefile.am, doc/html/about.html, doc/html/abr.html,
	  doc/html/cbr.html, doc/html/contact.html,
	  doc/html/contributors.html, doc/html/detailed.html,
	  doc/html/images, doc/html/images/logo.gif,
	  doc/html/images/valid-css.png, doc/html/images/valid-xhtml10.png,
	  doc/html/index.html, doc/html/introduction.html,
	  doc/html/links.html, doc/html/list.html, doc/html/ms_stereo.html,
	  doc/html/styles, doc/html/styles/lame.css, doc/html/usage.html,
	  doc/html/vbr.html:
	  Initial commit of the new documentation. Makefile.in should be
	  regenerated.

2010-06-07 00:18  robert

	* libmp3lame/presets.c, libmp3lame/psymodel.c:
	  something to try later

2010-06-06 19:20  robert

	* frontend/rtp.c:
	  fix compile problem on Linux system

2010-06-06 01:04  robert

	* libmp3lame/encoder.c, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/quantize.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/set_get.c,
	  libmp3lame/util.h, libmp3lame/version.h:
	  some further tweaking of vbr new

2010-06-01 21:55  robert

	* libmp3lame/lame.c, libmp3lame/presets.c, libmp3lame/quantize.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/util.h, libmp3lame/version.h:
	  more tuning on vbr_mt

2010-06-01 18:51  robert

	* libmp3lame/bitstream.c, libmp3lame/lame.c:
	  changing default buffer constraint for vbr_mt

2010-06-01 16:21  robert

	* libmp3lame/lame.c:
	  fixing some compiler warnings

2010-06-01 15:59  robert

	* frontend/get_audio.c, frontend/get_audio.h, frontend/lametime.c,
	  frontend/lametime.h, libmp3lame/lame.c, libmp3lame/presets.c,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/util.c, libmp3lame/util.h, libmp3lame/version.h:
	  some work on VBR scale tuning, accessible with --vbr-new

2010-05-02 20:29  robert

	* frontend/get_audio.c, frontend/get_audio.h, frontend/gtkanal.c,
	  libmp3lame/lame.c, libmp3lame/presets.c, libmp3lame/util.c,
	  libmp3lame/version.h:
	  work-in-progress: VBR scale tuning

2010-04-29 00:29  robert

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/quantize.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/util.h, libmp3lame/version.h:
	  some work on VBR scale tuning, accessible with --vbr-new

2010-04-15 10:44  robert

	* libmp3lame/VbrTag.c, libmp3lame/lame.c, libmp3lame/util.h:
	  - calculate input transform matrix once on initialization
	  - calculate clip detect even when scaling was set; else one
	  doesn't notice that clipping still might happen.

2010-04-14 09:38  robert

	* libmp3lame/i386/Makefile.in:
	  Bug fix for tracker item ID: 2986823: Error when building Lame
	  with NASM support -still exists

2010-04-11 15:46  robert

	* Makefile.MSVC, libmp3lame/lame.rc, libmp3lame/set_get.h:
	  adding version/icon resource to VC6 binary builds

2010-04-11 13:07  robert

	* include/lame.def, include/lame.h, libmp3lame/lame.c:
	  add encoding functions passing double precision pcm values ( +/-
	  1 fulll scale)

2010-04-09 21:51  robert

	* doc/html/switchs.html, doc/man/lame.1, frontend/get_audio.c,
	  frontend/main.h, frontend/parse.c:
	  - unicode filenames now working with libsndfile on MS-Windows
	  - presets use the default VBR engine, no need for extra parameter
	  "fast"

2010-04-08 11:07  robert

	* frontend/get_audio.c, frontend/get_audio.h, frontend/lame_main.c,
	  frontend/mp3rtp.c, frontend/mp3x.c, frontend/parse.c,
	  libmp3lame/id3tag.c, libmp3lame/version.h:
	  enabling to read OGG Vorbis files via libsndfile

2010-04-06 11:13  robert

	* frontend/get_audio.h, frontend/lame_main.c, frontend/parse.c,
	  include/lame.def, include/lame.h, libmp3lame/id3tag.c,
	  libmp3lame/lame.c:
	  - preparing to use ieee float [-1,+1] as internal pcm sample
	  representation in LAME frontend
	  - removing id3v2 picture size limit
	  - fixing id3v2 TXXX frame storage

2010-03-23 11:22  robert

	* include/lame.h:
	  small typo

2010-03-22 23:12  robert

	* libmp3lame/quantize.c, libmp3lame/version.h:
	  vbrnew: pad frame to build up bitrservoir

2010-03-22 20:28  robert

	* doc/html/history.html:
	  updating latest changes

2010-03-22 20:20  robert

	* doc/html/history.html:
	  updating latest changes

2010-03-22 19:44  robert

	* vc_solution/vc9_mpglib.vcproj:
	  adding header file to project

2010-03-22 14:44  robert

	* mpglib/AUTHORS, mpglib/README:
	  update licence information/header in decoder files

2010-03-22 14:32  robert

	* LICENSE, mpglib/Makefile.am, mpglib/Makefile.in, mpglib/common.c,
	  mpglib/common.h, mpglib/dct64_i386.c, mpglib/dct64_i386.h,
	  mpglib/decode_i386.c, mpglib/decode_i386.h, mpglib/huffman.h,
	  mpglib/interface.c, mpglib/interface.h, mpglib/l2tables.h,
	  mpglib/layer1.c, mpglib/layer1.h, mpglib/layer2.c,
	  mpglib/layer2.h, mpglib/layer3.c, mpglib/layer3.h,
	  mpglib/mpg123.h, mpglib/mpglib.h, mpglib/tabinit.c,
	  mpglib/tabinit.h:
	  update licence information/header in decoder files

2010-03-21 22:22  robert

	* frontend/parse.c, libmp3lame/set_get.c, mpglib/common.c,
	  mpglib/layer3.c:
	  minor changes

2010-03-21 22:18  robert

	* libmp3lame/reservoir.c:
	  Bug fix for tracker item ID: 2973877: A problem regarding the new
	  drain code

2010-03-15 01:32  robert

	* frontend/gtkanal.c, vc_solution/vc9_lame.sln,
	  vc_solution/vc9_lame_mp3x.vcproj:
	  it makes no sense, to link mp3x against libmp3lame.dll, because
	  of strong dependencies between them. (pinfo struct)

2010-03-15 01:07  robert

	* frontend/parse.c, include/lame.def, include/lame.h,
	  libmp3lame/VbrTag.c, libmp3lame/bitstream.c, libmp3lame/lame.c,
	  libmp3lame/tables.c, libmp3lame/tables.h, libmp3lame/util.c:
	  access functions for bitrate and samplerate tables. exporting of
	  global vars doesn't work well with DLLs.

2010-03-14 22:47  robert

	* frontend/get_audio.c, frontend/lame_main.c, frontend/main.c,
	  frontend/main.h, frontend/parse.c, frontend/timestatus.c,
	  libmp3lame/set_get.h, vc_solution/vc9_lame.sln:
	  some code refactorings

2010-03-14 19:48  robert

	* frontend/timestatus.c, libmp3lame/lame.rc,
	  vc_solution/vc9_lame_mp3x.vcproj:
	  adding resource file containing version and program icon to MP3x
	  project

2010-03-14 17:23  robert

	* Makefile.MSVC, Makefile.unix, configure.in, frontend/Makefile.am,
	  frontend/Makefile.in, frontend/brhist.c, frontend/lame_main.c,
	  frontend/timestatus.c, include/Makefile.am,
	  include/libmp3lame.sym, vc_solution/Makefile.am:
	  BRHIST is mandatory
	  Layer1 and Layer2 decoding is mandatory
	  adding libmp3lame.sym file, to use with libtool, declares
	  exported symbols

2010-03-14 16:15  robert

	* frontend/mp3rtp.c, libmp3lame/set_get.c:
	  fixing some compiler warnings

2010-03-14 15:39  robert

	* frontend/main.c, frontend/timestatus.c, libmp3lame/encoder.c,
	  libmp3lame/psymodel.c, libmp3lame/quantize.c,
	  libmp3lame/set_get.c, libmp3lame/util.h, testcase.mp3:
	  trying to get rid of remaining GCC compiler warnings

2010-03-13 21:10  robert

	* Makefile.MSVC:
	  additional target mp3rtp

2010-03-13 20:45  robert

	* Makefile.MSVC, Makefile.unix, frontend/Makefile.am,
	  frontend/Makefile.in, frontend/lame_main.c,
	  frontend/lame_vc8.vcproj, frontend/main.c, frontend/mp3rtp.c,
	  frontend/mp3x.c, frontend/mp3x_vc8.vcproj,
	  vc_solution/vc9_lame.sln, vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3rtp.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj:
	  main.c is now entry point for all frontend programs
	  similar to mp3x and mp3rtp, there is now lame_main.c for lame

2010-03-13 01:49  robert

	* doc/html/history.html:
	  support for WAVE_FORMAT_IEEE_FLOAT

2010-03-13 01:17  robert

	* frontend/get_audio.c:
	  support for WAVE_FORMAT_IEEE_FLOAT (for reading via libsndfile)

2010-03-12 14:00  robert

	* frontend/get_audio.c:
	  support for WAVE_FORMAT_IEEE_FLOAT (for reading)

2010-03-11 00:59  robert

	* frontend/console.c, frontend/get_audio.c, frontend/main.c,
	  frontend/main.h, frontend/mp3rtp.c, frontend/parse.c,
	  frontend/rtp.c, frontend/timestatus.c, include/lame.def,
	  include/lame.h, libmp3lame/id3tag.h:
	  experimental unicode support on Windows OS

2010-03-10 01:41  robert

	* frontend/main.c, frontend/timestatus.c:
	  Starting with Unicode support for LAME on Windows

2010-03-10 00:43  robert

	* frontend/timestatus.c:
	  small fix for time status display during encoding

2010-03-10 00:35  robert

	* frontend/get_audio.c, frontend/main.c, frontend/timestatus.c,
	  frontend/timestatus.h:
	  display of estimated number of frames should be more accurate
	  now, even when re-encoding mp3->mp3

2010-03-09 00:03  robert

	* libmp3lame/set_get.c:
	  calculation of totalframes more in line with current
	  enc-delay+padding

2010-03-08 00:17  robert

	* frontend/get_audio.c, frontend/main.c, frontend/timestatus.c,
	  libmp3lame/bitstream.c, libmp3lame/util.h:
	  - reducing some warnings
	  - lame_get_totalframes still returns wrong estimate when
	  re-encoding

2010-03-07 21:14  robert

	* frontend/get_audio.c, frontend/get_audio.h, frontend/main.c,
	  frontend/mp3rtp.c, frontend/mp3x.c, frontend/timestatus.c:
	  some more code refactoring to clean up encoder/decoder loops

2010-03-06 21:34  robert

	* doc/html/history.html, frontend/get_audio.c, frontend/main.c:
	  Bug fix for tracker item ID: 2962223: Encoder delay and padding
	  values ignored when transcoding

2010-03-06 02:15  robert

	* frontend/get_audio.c, frontend/get_audio.h, frontend/main.c,
	  frontend/parse.c:
	  some code refactorings

2010-03-05 02:01  robert

	* doc/html/history.html:
	  updating history text

2010-03-04 21:37  robert

	* frontend/rtp.c:
	  cleanup some pre-processor code

2010-03-04 20:03  robert

	* frontend/rtp.c:
	  more work on mp3rtp

2010-03-04 19:42  robert

	* frontend/mp3rtp.c, frontend/rtp.c, frontend/rtp.h:
	  more work on mp3rtp
	  should compile with VC9 and GCC now

2010-03-04 16:38  robert

	* frontend/mp3rtp.c, frontend/rtp.c, frontend/rtp.h,
	  include/lame.def, vc_solution/vc9_lame.sln,
	  vc_solution/vc9_lame_mp3rtp.vcproj:
	  mp3rtp compiles with VC9 now

2010-03-04 09:32  robert

	* vc_solution/vc9_lame_mp3rtp.vcproj:
	  adding mp3rtp project to VC solution

2010-03-04 09:23  robert

	* vc_solution/vc9_lame.sln:
	  adding mp3rtp project to VC solution

2010-03-03 00:32  robert

	* mpglib/layer3.c, mpglib/mpglib.h:
	  Eliminated some remaining global variable in layer3 decoder code.

2010-03-02 01:21  robert

	* frontend/brhist.h, frontend/console.h, frontend/get_audio.c,
	  frontend/gtkanal.c, frontend/lametime.h, frontend/main.c,
	  frontend/main.h, frontend/mp3rtp.c, frontend/parse.c,
	  frontend/parse.h, frontend/portableio.h, frontend/timestatus.c,
	  frontend/timestatus.h:
	  some code refactoring

2010-02-28 17:22  robert

	* ChangeLog:
	  updating Changelog

2010-02-28 16:52  robert

	* libmp3lame/bitstream.c:
	  For free format mp3 above 320 kbps, the maximum allowed bits was
	  limited too far.

2010-02-27 03:18  robert

	* doc/html/history.html:
	  updating history text

2010-02-26 00:55  robert

	* libmp3lame/i386/Makefile.am:
	  Tracker item ID: 2807676:
	  Error when building Lame with NASM support
	  
	  Patch reported by Bernhard Doebler.

2010-02-20 21:19  robert

	* test/lame_test.cpp, vc_solution/vc9_lame_clients.sln,
	  vc_solution/vc9_lame_test.vcproj:
	  adding some small LAME test project.

2010-02-20 21:08  robert

	* libmp3lame/lame.c:
	  Bug fix for tracker ID: 2824296
	  wrong enc_padding value in LAME 3.99a & 3.98.3 (from CVS)

2010-02-20 21:01  robert

	* libmp3lame/VbrTag.c:
	  Bug fix for tracker ID: 2872590
	  LameTAG: "Music length" missmatch in Lame3.98

2010-02-19 00:46  robert

	* libmp3lame/id3tag.c:
	  Bug fix for tracker ID: 2887359
	  Wrong length in ID3v2 tag when num_samples isn't set

2010-02-19 00:30  robert

	* Dll/BladeMP3EncDLL.c:
	  Bug fix for tracker ID: 2893101
	  Access Violation in BladeMP3EncDLL if UNICODE was defined.

2010-02-19 00:05  robert

	* doc/man/lame.1:
	  Bug fix for tracker ID: 2928684
	  Error in man page about "fast insane"

2010-02-13 23:21  robert

	* frontend/brhist.c, frontend/console.h, frontend/get_audio.c,
	  frontend/parse.c, frontend/timestatus.c, include/lame.h,
	  libmp3lame/bitstream.c, libmp3lame/bitstream.h,
	  libmp3lame/lame.c, libmp3lame/reservoir.c, libmp3lame/version.h:
	  Revisiting the FhG decoder problem (FhG V1.5 build 50, ships with
	  MS Windows):
	  enabling the new drain code seems to solve that issue better,
	  than restricting the buffer size.

2010-02-06 23:01  robert

	* frontend/parse.c, include/lame.h, libmp3lame/lame.c,
	  libmp3lame/reservoir.c, libmp3lame/set_get.c, libmp3lame/util.h:
	  added new switch for control buffer constraint

2009-12-12 15:28  robert

	* frontend/console.c:
	  increasing size of term_buff array, it might have become too
	  small by now

2009-12-11 23:19  robert

	* libmp3lame/util.c:
	  small issue,: if-def out hip functions, when not using
	  decode-on-the-fly

2009-12-11 22:30  robert

	* frontend/parse.c:
	  Tracker ID: 2891879
	  Because of Windows API change, there was a problem with prority
	  switch. Should work again.

2009-11-22 22:29  rbrito

	* debian/rules:
	  Enable the frontend to be dynamically linked to libmp3lame.

2009-11-22 22:09  rbrito

	* debian/lame.doc-base:
	  Fix correct section of doc-base.

2009-11-22 21:27  rbrito

	* debian/changelog:
	  Consolidate changelog entries.

2009-11-22 21:18  rbrito

	* debian/source, debian/source/format:
	  Part of migration to new format (3.0 quilt) of Debian packages.

2009-09-17 06:42  rbrito

	* debian/lame.doc-base:
	  Update the section field.

2009-09-17 05:54  rbrito

	* debian/lame.doc-base:
	  Include Debian's doc-base configuration.

2009-05-16 10:20  rbrito

	* debian/rules:
	  Revert cleaning of files in the debian/rules file.

2009-05-16 10:19  rbrito

	* debian/Makefile.am, debian/rules:
	  Update the list of files in Makefile.am

2009-05-15 23:09  robert

	* mpglib/interface.c, mpglib/layer1.c, mpglib/layer1.h,
	  mpglib/layer2.c, mpglib/layer2.h, mpglib/layer3.c,
	  mpglib/layer3.h:
	  trying to handle the case, when audio data exceeds frame size

2009-05-15 23:05  robert

	* libmp3lame/bitstream.c, libmp3lame/lame.c:
	  starting to demangle bitstream buffer handling from
	  postprocessing features like "clip detect" and "replaygain".

2009-05-10 22:08  jwflynn1

	* dshow/Mpegac.h:
	  minor correction

2009-05-10 22:06  jwflynn1

	* dshow/Mpegac.cpp:
	  Allocator buffer count on the output pin had been hardcoded to 1.
	  This was changed so that it will now attempt to use the buffer
	  count suggested by the downstream filter or default to 1 if none
	  is specified.

2009-05-02 13:45  rbrito

	* debian/lame.files, debian/libmp3lame0-dev.docs,
	  debian/libmp3lame0-dev.files, debian/libmp3lame0.files:
	  Remove obsolete files. We need to fix the auto* files to use the
	  new files.

2009-05-02 13:44  rbrito

	* debian/changelog, debian/compat, debian/control,
	  debian/lame.install, debian/libmp3lame-dev.install,
	  debian/libmp3lame0.install, debian/rules:
	  Update Debian/Ubuntu packaging. Add new files.

2009-04-20 21:48  robert

	* frontend/console.c, frontend/get_audio.c, frontend/main.c,
	  frontend/parse.c, frontend/portableio.c, libmp3lame/fft.c,
	  mpglib/common.c, mpglib/common.h, mpglib/layer1.c,
	  mpglib/layer2.c, vc_solution/vc9_lame_config.vsprops:
	  fixing some more compiler warnings

2009-04-20 05:39  rbrito

	* debian/changelog, debian/control, debian/copyright, debian/rules,
	  debian/watch:
	  Updating the Debian packaging and doing some investigation
	  regarding symbols.

2009-04-19 22:18  robert

	* libmp3lame/id3tag.c, libmp3lame/takehiro.c, mpglib/layer1.c:
	  reducing compiler warnings

2009-04-19 18:10  robert

	* mpglib/interface.c, mpglib/layer2.c:
	  Starting to fix decoding bugs.

2009-04-18 18:33  robert

	* libmp3lame/lame.rc, mpglib/interface.c, mpglib/layer1.c,
	  mpglib/layer2.c, mpglib/mpg123.h:
	  Starting to fix decoding bugs.

2009-04-17 22:21  robert

	* frontend/console.c, frontend/console.h, frontend/get_audio.c,
	  frontend/main.c, frontend/parse.c, frontend/timestatus.c,
	  libmp3lame/lame.c, libmp3lame/util.c, libmp3lame/util.h,
	  mpglib/interface.c, mpglib/mpglib.h:
	  commandline option 'quiet' should suppress any message now

2009-04-17 11:24  robert

	* frontend/get_audio.c, include/lame.h, libmp3lame/lame.c,
	  libmp3lame/mpglib_interface.c, libmp3lame/util.c,
	  libmp3lame/util.h, mpglib/common.c, mpglib/common.h,
	  mpglib/interface.c, mpglib/layer3.c, mpglib/mpglib.h:
	  replaced fprintf calls by lame reporting function calls. this
	  allows to silence decoder. (it used to spit out error messages to
	  stderr)

2009-04-11 16:04  jwflynn1

	* dshow/README:
	  *** empty log message ***

2009-04-11 15:59  jwflynn1

	* dshow/Mpegac.cpp:
	  - Added support for the DirectShow IAMStreamConfig Interface to
	  the LAME encoder filter output pin.
	  
	  - Modified the DirectShow filter registration section so that the
	  LAME Encoder filter is correctly registered in the Audio
	  Compressors filter category. This will allow third-party encoding
	  applications using the DirectShow System Device Enumerator
	  Interface to correctly detect the LAME encoder when querying the
	  Audio Compressors filter group.
	  
	  - Modified the filter registration information so that the MP3
	  audio subtype is correctly reported as being supported on the
	  encoder output pin. This will allow third-party encoding
	  applications using the DirectShow IFilterMapper2 Interface to
	  recognize that the LAME encoder supports MP3 output.
	  
	  - Altered the Filter Merit Value that was being used when the
	  filter was registered so that it is now using the standard
	  DirectShow compressor filter merit value of MERIT_DO_NOT_USE
	  (0x200000). Previously, the filter was being registered using a
	  value of MERIT_SW_COMPRESSOR (0x100000), which was at a lower
	  priority (i.e. worse priority) than MERIT_DO_NOT_USE. This
	  prevented the LAME Encoder filter from being selected for use by
	  some third-party encoding applications.
	  
	  - Added code to calculate the frame length of the audio frames
	  used for the nBlockSize element of the WAVEFORMATEX output
	  structure. Previously this value was simply hard-coded to 1.

2009-04-11 15:51  jwflynn1

	* dshow/Mpegac.h:
	  Added support for the DirectShow IAMStreamConfig Interface

2009-04-11 15:47  jwflynn1

	* dshow/Property.rc:
	  Updated the embedded "FileVersion" and "ProductVersion" fields

2009-03-31 22:38  robert

	* libmp3lame/util.c, libmp3lame/util.h:
	  fix for tracker item 2723518: resampling in 3.98 and 3.99alpha

2009-03-30 14:38  robert

	* libmp3lame/lame.c:
	  ensure we pad with 288 samples at least

2009-03-30 13:42  robert

	* frontend/main.c, frontend/main.h, frontend/parse.c:
	  commandline option "--swap-channel" added, as requested. see
	  item: 1118412

2009-03-29 18:28  robert

	* libmp3lame/psymodel.c:
	  take away sandpaper safety margin for lower samplerates.
	  It seems samplerates which have convolution bands containing
	  single lines are affected only (at least I don't have any
	  testcase for lower samplerates to justify the safety margin right
	  now)

2009-03-29 17:35  robert

	* libmp3lame/lame.c, libmp3lame/util.c, libmp3lame/util.h:
	  workaround for FFMPEG bug, which uses to call lame_encode_flush
	  more than once in loop

2009-03-02 23:27  robert

	* libmp3lame/VbrTag.c:
	  GetVbrTag only works for Layer3, so ignore it when Layer1 or 2.

2009-02-14 21:59  robert

	* Makefile.unix:
	  adding CFG=RH_INTEL for Intel C(++) compiler setup

2009-02-13 15:03  robert

	* libmp3lame/fft.c, libmp3lame/vector/xmm_quantize_sub.c,
	  vc_solution/vc9_libmp3lame.vcproj:
	  fix crash in VC9 Release Build

2009-02-13 03:47  robert

	* libmp3lame/fft.c, libmp3lame/quantize.c, libmp3lame/takehiro.c,
	  vc_solution/arch_sse2.vsprops:
	  small changes

2009-02-12 14:32  robert

	* libmp3lame/quantize.c, libmp3lame/takehiro.c,
	  libmp3lame/vector/xmm_quantize_sub.c:
	  some tiny changes

2009-02-12 11:35  robert

	* libmp3lame/fft.c, libmp3lame/vector/lame_intrin.h,
	  libmp3lame/vector/xmm_quantize_sub.c,
	  vc_solution/arch_sse2.vsprops:
	  first try to add fht using SSE intrinsics

2009-02-11 00:22  robert

	* vc_solution/vc9_lame_config.vsprops:
	  adding configuration for SSE2 target architectures

2009-02-07 11:19  robert

	* Dll/Makefile.mingw32:
	  applying patch from item tracker: [ 2406420 ] compile
	  lame_enc.dll under cygwin

2009-02-07 00:44  robert

	* libmp3lame/id3tag.c, libmp3lame/vector/xmm_quantize_sub.c:
	  small changes

2009-02-06 23:27  robert

	* libmp3lame/id3tag.c:
	  silence some GCC compiler warning

2009-02-06 23:26  robert

	* libmp3lame/VbrTag.c, libmp3lame/lame.c:
	  bug-fix: low bitrate CBR incorrectly tried to write LAME-Tag; var
	  inconsistency

2009-02-06 23:22  robert

	* libmp3lame/vector/xmm_quantize_sub.c:
	  - fix compiler warning about strict-aliasing problem
	  - fix possible use of uninitialized vars

2009-02-06 23:20  robert

	* Makefile.unix:
	  adding work-configuration for SSE2 optimization under SuSE 32bit

2009-02-06 00:21  robert

	* vc_solution/arch_sse2.vsprops, vc_solution/arch_x87.vsprops,
	  vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj,
	  vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj,
	  vc_solution/vc9_mpglib.vcproj:
	  adding configuration for SSE2 target architectures

2009-02-06 00:21  robert

	* configMS.h, libmp3lame/vbrquantize.c,
	  vc_solution/arch_nasm.vsprops, vc_solution/vc9_lame.sln,
	  vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj,
	  vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj,
	  vc_solution/vc9_mpglib.vcproj:
	  adding configuration for SSE2 target architectures

2009-01-18 15:57  robert

	* frontend/get_audio.c, frontend/gtkanal.c, frontend/lametime.c,
	  frontend/main.c, libmp3lame/bitstream.c, libmp3lame/lame.c,
	  libmp3lame/psymodel.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/vector/xmm_quantize_sub.c, mpglib/interface.c,
	  mpglib/mpglib.h:
	  replacing C++ style comments by C style comments

2009-01-18 13:59  robert

	* doc/html/switchs.html, doc/man/lame.1:
	  fix for bug tracker item [ 2051870 ] documentation clarifications

2009-01-18 13:10  robert

	* doc/man/lame.1:
	  fix for bug tracker item 2423650

2008-12-26 11:58  robert

	* libmp3lame/presets.c, libmp3lame/psymodel.c:
	  disabling testcode

2008-12-02 03:23  robert

	* libmp3lame/presets.c, libmp3lame/psymodel.c:
	  testing some low quality tuning (VBR-new only)

2008-11-30 00:20  robert

	* Makefile.unix, libmp3lame/presets.c, libmp3lame/psymodel.c:
	  testing some different short block switching and change in
	  masking tonal
	  samples (VBR-NEW only)

2008-11-09 14:16  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  debian/Makefile.in, doc/Makefile.in, doc/html/Makefile.in,
	  doc/man/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	  include/Makefile.in, libmp3lame/Makefile.in,
	  libmp3lame/i386/Makefile.in, libmp3lame/vector/Makefile.in,
	  mac/Makefile.in, macosx/English.lproj/Makefile.in,
	  macosx/LAME.xcodeproj/Makefile.in, macosx/Makefile.in,
	  misc/Makefile.in, mpglib/Makefile.in, vc_solution/Makefile.in:
	  regen

2008-11-09 14:13  aleidinger

	* aclocal.m4, config.h.in, configure:
	  regen (with autoconf 2.62)

2008-11-09 14:10  aleidinger

	* libmp3lame/Makefile.am:
	  Add missing files, remove deleted ones.

2008-11-09 14:06  aleidinger

	* vc_solution/Makefile.am:
	  Add missing automake Makefile.

2008-11-09 14:05  aleidinger

	* configure.in:
	  Add possibility to build frontends with dynamic libmp3lame.

2008-11-09 14:00  aleidinger

	* frontend/Makefile.am:
	  Remove -static in preparation for corresponding configure option.

2008-11-09 13:56  aleidinger

	* ltmain.sh:
	  Update to version from libtool 1.5.26.

2008-11-09 13:50  aleidinger

	* ACM/ADbg/Makefile.am, ACM/Makefile.am, ACM/tinyxml/Makefile.am,
	  Dll/Makefile.am, Makefile.am, debian/Makefile.am,
	  dshow/Makefile.am, frontend/Makefile.am, include/Makefile.am,
	  libmp3lame/i386/Makefile.am, mpglib/Makefile.am:
	  Add files which are new, and remove deleted ones.

2008-11-06 07:10  rbrito

	* doc/html/history.html:
	  Update history file with my changes.

2008-11-06 06:56  rbrito

	* debian/rules:
	  Actually remove the rpath issue part.

2008-11-06 06:55  rbrito

	* debian/changelog, debian/control:
	  Include suggestions of Fabian on the packaging.
	  Clean up the packaging a bit.
	  Update the mainline version package.

2008-11-02 15:26  robert

	* libmp3lame/quantize_pvt.c, libmp3lame/version.h:
	  start of 3.99 development cycle:
	  - demangling "calc_xmin"

2008-11-01 21:39  robert

	* ACM/ADbg/ADbg_vc7.vcproj, ACM/lameACM_vc7.vcproj,
	  ACM/tinyxml/tinyxml_vc7.vcproj, dshow/Mpegac.cpp, dshow/REG.CPP,
	  dshow/REG.H, dshow/aboutprp.cpp:
	  - Name clash with our CRegKey class and ATL::CRegKey class solved
	  by putting ours in namespace Lame.

2008-11-01 21:21  robert

	* vc_solution/vc9_lame_acm.vcproj,
	  vc_solution/vc9_lame_acm_adbg.vcproj,
	  vc_solution/vc9_lame_acm_tinyxml.vcproj,
	  vc_solution/vc9_lame_dll.vcproj,
	  vc_solution/vc9_lame_dll_example.vcproj,
	  vc_solution/vc9_lame_dshow.vcproj,
	  vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj,
	  vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj,
	  vc_solution/vc9_mpglib.vcproj:
	  moving common VS projects settings into own property page

2008-10-23 23:26  robert

	* mpglib/common.c, mpglib/common.h, mpglib/dct64_i386.c,
	  mpglib/dct64_i386.h, mpglib/decode_i386.c, mpglib/decode_i386.h,
	  mpglib/huffman.h, mpglib/interface.c, mpglib/interface.h,
	  mpglib/l2tables.h, mpglib/layer1.c, mpglib/layer1.h,
	  mpglib/layer2.c, mpglib/layer2.h, mpglib/layer3.c,
	  mpglib/layer3.h, mpglib/mpg123.h, mpglib/mpglib.h,
	  mpglib/tabinit.c, mpglib/tabinit.h:
	  fixing indentation

2008-10-23 23:20  robert

	* mpglib/huffman.h, mpglib/interface.c, mpglib/interface.h,
	  mpglib/layer1.h, mpglib/layer2.c, mpglib/layer2.h,
	  mpglib/layer3.c, mpglib/layer3.h, mpglib/mpg123.h,
	  mpglib/tabinit.c, mpglib/tabinit.h:
	  removing some tabs
	  preparing for indent

2008-10-23 23:17  robert

	* frontend/brhist.h, frontend/get_audio.c, frontend/get_audio.h,
	  frontend/main.c, frontend/main.h, frontend/portableio.c,
	  frontend/portableio.h, mpglib/common.c, mpglib/common.h,
	  mpglib/dct64_i386.c, mpglib/dct64_i386.h, mpglib/decode_i386.c,
	  mpglib/decode_i386.h, mpglib/huffman.h:
	  removing some tabs
	  preparing for indent

2008-10-21 23:09  robert

	* mpglib/TODO, mpglib/interface.c, mpglib/layer3.c,
	  mpglib/mpg123.h, mpglib/mpglib.h:
	  re-applying some of our changes to decoding lib

2008-10-21 22:35  robert

	* mpglib/README, mpglib/common.c, mpglib/common.h,
	  mpglib/dct64_i386.c, mpglib/dct64_i386.h, mpglib/decode_i386.c,
	  mpglib/decode_i386.h, mpglib/huffman.h, mpglib/interface.c,
	  mpglib/interface.h, mpglib/l2tables.h, mpglib/layer1.c,
	  mpglib/layer1.h, mpglib/layer2.c, mpglib/layer2.h,
	  mpglib/layer3.c, mpglib/layer3.h, mpglib/mpg123.h,
	  mpglib/mpglib.h, mpglib/tabinit.c, mpglib/tabinit.h:
	  replacing mpglib by libhip

2008-10-21 22:34  robert

	* include/lame.h:
	  fix small issues with C99

2008-10-12 19:47  robert

	* libmp3lame/lame.rc, libmp3lame/logoe.ico, libmp3lame/version.c,
	  libmp3lame/version.h, vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj:
	  Adding resources to EXE and DLL

2008-10-11 18:58  robert

	* frontend/gtkanal.c, libmp3lame/mpglib_interface.c,
	  libmp3lame/util.h:
	  fixing mp3x build

2008-10-11 18:04  robert

	* doc/html/history.html, frontend/gtkanal.c, include/lame.def,
	  include/lame.h, libmp3lame/id3tag.c,
	  libmp3lame/mpglib_interface.c, mpglib/layer3.c, mpglib/mpglib.h,
	  vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj:
	  Library API change: lame_decode functions are now obsolete but
	  still present, please use hip_decode instead.
	  
	  The reason for this change is: lame_decode functions use a single
	  global variable within the library to store decoder setup,
	  hip_decode functions don't.
	  
	  The encoder now uses hip_decode internally and it is now possible
	  to use clipdetect feature while reencoding mp3 to mp3.

2008-10-07 21:57  robert

	* doc/html/history.html, frontend/parse.c:
	  - let ignore-tag-errors effect albumart option too
	  - updating history

2008-09-21 15:29  robert

	* doc/man/lame.1:
	  fixing Rogerios patch

2008-09-19 07:02  rbrito

	* doc/man/lame.1:
	  Fixing warnings generated by nroff.

2008-09-14 15:21  robert

	* frontend/parse.c:
	  replacing stricmp by local_strcasecmp

2008-09-14 11:55  robert

	* USAGE, doc/html/history.html, doc/html/id3.html, doc/man/lame.1,
	  frontend/parse.c, libmp3lame/id3tag.c:
	  Fixing some ID3 tagging issues:
	  - some sloppier search for genre names
	  - new switch --pad-id3v2-size <n> which allows some user defined
	  padding

2008-09-12 19:41  robert

	* frontend/parse.c, include/lame.def, include/lame.h,
	  libmp3lame/id3tag.c, libmp3lame/id3tag.h:
	  new frontend switch "--pad-id3v2-size <value>":
	  allow id3v2 padding of 0 to 128000 bytes

2008-09-11 00:49  robert

	* frontend/parse.c:
	  replace common suffixes by MP3/WAV when no output filename was
	  given

2008-09-08 22:46  robert

	* frontend/main.c, frontend/parse.c, include/lame.h,
	  libmp3lame/mpglib_interface.c:
	  eleminating some compiler warnings

2008-08-31 19:31  robert

	* include/lame.h, libmp3lame/i386/nasm.h:
	  fixing the fix to get it assembling for ELF again

2008-08-31 17:52  robert

	* include/lame.h:
	  remove some debugging noise

2008-08-31 16:14  robert

	* frontend/get_audio.c, frontend/gtkanal.c, frontend/parse.c,
	  include/lame.def, include/lame.h, libmp3lame/bitstream.c,
	  libmp3lame/lame.c, libmp3lame/mpglib_interface.c,
	  libmp3lame/util.c, libmp3lame/util.h, mpglib/layer3.c,
	  mpglib/mpglib.h:
	  Fix for API problem:
	  lame decoding functionality used one global data structure in
	  libmp3lame for all decoding ativities. This is a big problem with
	  dynamic linking!
	  New API functions added, which use handles to work with.
	  Old API functions are still there, but are deprecated.

2008-08-31 12:28  robert

	* libmp3lame/i386/choose_table.nas, libmp3lame/i386/fft3dn.nas,
	  libmp3lame/i386/fftsse.nas, libmp3lame/i386/nasm.h:
	  fixing none PIC assembling problem

2008-08-27 10:27  rbrito

	* libmp3lame/i386/Makefile.am, libmp3lame/i386/choose_table.nas,
	  libmp3lame/i386/fft3dn.nas, libmp3lame/i386/fftsse.nas,
	  libmp3lame/i386/nasm.h:
	  Committing the changes from Gentoo and PaX Team to the HEAD.

2008-08-16 12:49  robert

	* doc/man/lame.1:
	  adding MPEG-2.5 bitrate table

2008-08-13 21:01  robert

	* libmp3lame/tables.h:
	  revert

2008-08-13 20:38  robert

	* libmp3lame/tables.c, libmp3lame/tables.h:
	  fix compilation via configure/make

2008-08-11 20:56  robert

	* libmp3lame/takehiro.c:
	  loop rewritten; result of discussion with Michael Stoner

2008-08-08 20:34  robert

	* libmp3lame/takehiro.c:
	  tiny speed-up

2008-08-07 20:55  robert

	* Makefile.unix, doc/html/switchs.html, doc/man/lame.1,
	  frontend/parse.c, libmp3lame/lame.c:
	  making some switches developer only switches

2008-08-07 14:53  robert

	* mpglib, mpglib/common.c, mpglib/dct64_i386.h, mpglib/huffman.h,
	  mpglib/interface.c, mpglib/l2tables.h, mpglib/layer1.h,
	  mpglib/mpg123.h, mpglib/mpglib.h, mpglib/tabinit.h:
	  sync with HIP development

2008-08-07 14:52  robert

	* libmp3lame/lame.c:
	  we did init bitstream (Xing header) before final decisions were
	  made

2008-08-06 17:12  robert

	* doc/html/history.html, frontend/parse.c:
	  fix for tracker item [ 2039648 ] potential memory leak in
	  parse_args() function in parse.c

2008-08-06 16:14  robert

	* frontend/parse.c:
	  internal switches are available only when compiled with
	  preprocessor symbol _ALLOW_INTERNAL_OPTIONS
	  defined.

2008-08-06 16:11  robert

	* USAGE, doc/html/switchs.html, doc/man/lame.1, frontend/parse.c:
	  removing some obsolete switches

2008-08-05 17:45  robert

	* doc/html/history.html, frontend/parse.c, libmp3lame/lame.c:
	  fix for bugtracker item [ 2029282 ] Frequency filtering API
	  broken in 3.98

2008-08-05 14:19  robert

	* doc/html/history.html:
	  updating history

2008-08-05 12:33  robert

	* libmp3lame/id3tag.c:
	  fix for bug: LAME writes ID3v2 tag when some ID3v1 field length
	  is too short to hold the text, even in case ID3v1 only is
	  specified.

2008-08-05 12:32  robert

	* libmp3lame/bitstream.c, libmp3lame/util.h,
	  libmp3lame/vbrquantize.c:
	  changes after doing some linting

2008-08-04 19:53  robert

	* libmp3lame/VbrTag.c, libmp3lame/VbrTag.h, libmp3lame/bitstream.c,
	  libmp3lame/encoder.c, libmp3lame/encoder.h, libmp3lame/fft.c,
	  libmp3lame/fft.h, libmp3lame/gain_analysis.c,
	  libmp3lame/gain_analysis.h, libmp3lame/id3tag.c,
	  libmp3lame/id3tag.h, libmp3lame/lame-analysis.h,
	  libmp3lame/lame.c, libmp3lame/machine.h,
	  libmp3lame/mpglib_interface.c, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	  libmp3lame/quantize.c, libmp3lame/quantize.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/set_get.c, libmp3lame/tables.c, libmp3lame/tables.h,
	  libmp3lame/takehiro.c, libmp3lame/util.c, libmp3lame/util.h,
	  libmp3lame/vbrquantize.c, libmp3lame/vbrquantize.h:
	  changes after doing some linting

2008-07-28 17:18  robert

	* libmp3lame/lame.c, misc/abx.c:
	  fixing swapped parameters on calloc call

2008-07-28 16:57  robert

	* libmp3lame/psymodel.c:
	  fixing small typo

2008-07-28 16:38  robert

	* include/lame.h, libmp3lame/VbrTag.c, libmp3lame/VbrTag.h,
	  libmp3lame/bitstream.c, libmp3lame/bitstream.h,
	  libmp3lame/encoder.c, libmp3lame/encoder.h, libmp3lame/id3tag.c,
	  libmp3lame/id3tag.h, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/machine.h,
	  libmp3lame/newmdct.c, libmp3lame/psymodel.c,
	  libmp3lame/psymodel.h, libmp3lame/quantize.c,
	  libmp3lame/quantize.h, libmp3lame/quantize_pvt.c,
	  libmp3lame/quantize_pvt.h, libmp3lame/reservoir.c,
	  libmp3lame/reservoir.h, libmp3lame/set_get.c,
	  libmp3lame/takehiro.c, libmp3lame/util.c, libmp3lame/util.h,
	  libmp3lame/vbrquantize.c:
	  reorganizing the huge lame_internal_flags structure

2008-07-23 14:59  robert

	* libmp3lame/util.c:
	  removed extra line.
	  tracker item: [ 2022101 ] tiny bug(?) in fill_buffer_resample()

2008-07-23 14:46  robert

	* libmp3lame/lame.c:
	  fix for tracker item: [ 2022035 ] encoder_padding value and
	  resampling

2008-07-19 13:34  rbrito

	* HACKING:
	  Fixed HACKING documentation.

2008-07-19 13:09  rbrito

	* HACKING:
	  Fix documentation for set_get/get_set confusion.

2008-07-19 12:54  rbrito

	* doc/html/history.html, frontend/mp3rtp.c, frontend/rtp.c:
	  Fixed compilation of mp3rtp and closed bug on sourceforge
	  tracker.

2008-07-18 22:43  robert

	* libmp3lame/VbrTag.c, libmp3lame/bitstream.c,
	  libmp3lame/encoder.c, libmp3lame/gain_analysis.c,
	  libmp3lame/id3tag.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/quantize_pvt.h, libmp3lame/vbrquantize.c:
	  - removing some unused variables
	  - fix a possible 'divide by zero' in vbrpsy_mask_add

2008-07-12 15:59  rbrito

	* Makefile.unix:
	  Tidying up the Makefile.unix file. Possibly more to come.

2008-07-12 14:32  rbrito

	* debian/changelog:
	  Mention changes to the build system on debian/ubuntu/whatever
	  systems.

2008-07-12 14:28  rbrito

	* debian/rules:
	  Include changes so that the linker only includes libraries
	  directly needed.

2008-07-12 14:26  rbrito

	* Makefile.unix:
	  Include a clue for emacs to know that this is a makefile.

2008-07-08 07:14  rbrito

	* doc/man/lame.1:
	  Small updates to the manpage

2008-07-07 23:50  robert

	* doc/html/history.html, libmp3lame/presets.c:
	  linear interpolate preset param sf21mod

2008-07-07 10:20  rbrito

	* Makefile.unix:
	  Fixed typo in one option.

2008-07-07 09:32  rbrito

	* Makefile.unix:
	  Include flags for compilation for newer machines running Linux.
	  Comment the use of gtk1.2 for Linux at least (don't know about
	  *BSD).

2008-07-07 02:18  rbrito

	* doc/html/history.html:
	  Many fixes to the HTML file (too numerous to mention here). Now,
	  it
	  validates at w3.org (and let us keep it this way, please).

2008-07-07 00:17  rbrito

	* misc/abx.c:
	  Finally fix the endianness issue and be able to close the
	  reported bug.

2008-07-07 00:16  rbrito

	* misc/abx.c:
	  Fix a memory leak (detected by running valgrind).

2008-07-07 00:14  rbrito

	* misc/abx.c:
	  Remove inactive/commented coded that doesn't seem to be
	  necessary.

2008-07-05 11:51  robert

	* lame_clients_vc6.dsw, lame_projects_vc6.dsp, lame_vc6.dsw:
	  we don't support VC6 anymore

2008-07-05 07:50  robert

	* ACM/ADbg/ADbg.dsp, ACM/lameACM_vc6.dsp, ACM/tinyxml/test.dsp,
	  ACM/tinyxml/test.dsw, ACM/tinyxml/tinyxml.dsp,
	  Dll/Example_vc6.dsp, Dll/Example_vc6.dsw, Dll/LameDll_vc6.dsp,
	  dshow/dshow.dsp, dshow/dshow.dsw, frontend/lame_vc6.dsp,
	  frontend/mp3x_vc6.dsp, libmp3lame/libmp3lame_dll_vc6.dsp,
	  libmp3lame/libmp3lame_vc6.dsp, mpglib/mpglib_vc6.dsp:
	  we don't support VC6 anymore

2008-07-05 07:38  robert

	* configure.in, libmp3lame/version.h:
	  Main branch at 3.99 alpha

2008-06-30 23:31  robert

	* configMS.h, dshow/Property.rc, dshow/aboutprp.cpp:
	  updating LAME version property

2008-06-29 21:40  rbrito

	* configure, configure.in, debian/changelog:
	  New updated options for compiling with expopt (to be cleaned up
	  latter).
	  Fixes to the Debian packaging for the pending release.

2008-06-29 03:25  rbrito

	* doc/html/history.html:
	  Fixed my name on an older entry of the history.

2008-06-28 22:36  robert

	* doc/html/Makefile.am, doc/html/Makefile.in:
	  removing presets.html, it is not in repository anymore

2008-06-27 20:47  robert

	* Makefile.unix, testcase.mp3:
	  updating testcase for 3.98 stable release

2008-06-26 21:26  robert

	* vc_solution/vc9_lame.sln, vc_solution/vc9_lame_acm.vcproj,
	  vc_solution/vc9_lame_acm_adbg.vcproj,
	  vc_solution/vc9_lame_acm_tinyxml.vcproj,
	  vc_solution/vc9_lame_dll.vcproj,
	  vc_solution/vc9_lame_dll_example.vcproj,
	  vc_solution/vc9_lame_dshow.vcproj,
	  vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj,
	  vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj,
	  vc_solution/vc9_mpglib.vcproj:
	  removing blanks from configuration and project names (because of
	  NASM rule)

2008-06-26 10:26  bouvigne

	* doc/html/index.html, doc/html/presets.html, doc/man/lame.1,
	  frontend/parse.c:
	  simplified --preset docs

2008-06-26 10:09  bouvigne

	* doc/html/history.html, doc/html/index.html:
	  updated the html docs for 3.98

2008-06-26 08:57  bouvigne

	* libmp3lame/psymodel.c:
	  revert my calc_energy changes

2008-06-25 21:59  robert

	* mpglib/layer2.c, mpglib/layer3.c, mpglib/mpg123.h:
	  cosmetic changes, some more compiler (gcc) warnings eliminated

2008-06-25 12:45  aleidinger

	* ChangeLog:
	  recent changes

2008-06-25 12:43  aleidinger

	* doc/html/history.html:
	  a little bit of history

2008-06-25 12:40  aleidinger

	* configure:
	  regen

2008-06-25 12:37  aleidinger

	* configure.in:
	  fix --diable-cpml switch

2008-06-25 12:17  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  debian/Makefile.in, doc/Makefile.in, doc/html/Makefile.in,
	  doc/man/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	  include/Makefile.in, libmp3lame/Makefile.in,
	  libmp3lame/i386/Makefile.in, libmp3lame/vector/Makefile.in,
	  mac/Makefile.in, macosx/English.lproj/Makefile.in,
	  macosx/LAME.xcodeproj/Makefile.in, macosx/Makefile.in,
	  misc/Makefile.in, mpglib/Makefile.in:
	  regen (math lib change)

2008-06-25 12:13  aleidinger

	* configure.in:
	  export the math lib, allow to disable the use of the alpha
	  optimized math lib

2008-06-25 12:12  aleidinger

	* libmp3lame/Makefile.am:
	  add the math lib explicitely to the build of the lib

2008-06-25 08:20  robert

	* frontend/parse.c, mpglib/decode_i386.c, mpglib/interface.c,
	  mpglib/interface.h, mpglib/layer1.c, mpglib/layer2.c,
	  mpglib/mpglib.h:
	  Some cosmetic changes, now the vc9 compiles the workspace
	  vc9_lame without any warning

2008-06-24 19:07  rbrito

	* doc/html/history.html:
	  Add some modifications of mine to the history

2008-06-24 18:39  rbrito

	* debian/changelog, debian/control, debian/rules:
	  Updates to the Debian packaging.

2008-06-24 17:06  rbrito

	* misc/abx.c:
	  Quick and dirty fix for some memory leak (detected via Valgrind).

2008-06-22 18:42  robert

	* doc/html/contributors.html, doc/html/history.html:
	  tracker item [ lame-Patches-1990643 ] DShow direct file writer
	  output
	  patch by Anton Sergunov (setosha)

2008-06-22 18:31  robert

	* dshow/Encoder.cpp, dshow/Encoder.h, dshow/Mpegac.cpp,
	  dshow/Mpegac.h:
	  tracker item [ lame-Patches-1990643 ] DShow direct file writer
	  output
	  patch by Anton Sergunov (setosha)

2008-06-22 18:29  robert

	* vc_solution/vc9_lame_acm.vcproj,
	  vc_solution/vc9_lame_acm_adbg.vcproj,
	  vc_solution/vc9_lame_acm_tinyxml.vcproj,
	  vc_solution/vc9_lame_dll_example.vcproj,
	  vc_solution/vc9_lame_dshow.vcproj:
	  linking against multithreaded (debug) DLL

2008-06-17 20:57  robert

	* frontend/parse.c, libmp3lame/presets.c:
	  bug fix: preset INSANE wasn't a CBR preset anymore, but preset
	  help said it should be

2008-06-10 19:24  rbrito

	* misc/abx.c:
	  Fixes for consistency (lack of PATH on some commands)

2008-06-10 19:14  rbrito

	* misc/abx.c:
	  Removing spurious whitespaces at the end of lines.

2008-06-10 16:10  rbrito

	* misc/abx.c:
	  Corrected the abx.c file to work on Linux x86-64 (it should work
	  on ia32 too).
	  
	  I think that I can remove latter the commented lines. They were
	  prejudicial
	  to playing the file on Linux (i.e., a 1min file was played in
	  less than 5s,
	  which is not exactly something that useful for doing an abx
	  test).

2008-05-24 08:40  aleidinger

	* ChangeLog:
	  Add nearly a year of history.

2008-05-24 08:37  aleidinger

	* Makefile.in, configure:
	  regen

2008-05-24 08:31  aleidinger

	* macosx/English.lproj/Makefile.in,
	  macosx/LAME.xcodeproj/Makefile.in, macosx/Makefile.in:
	  regen

2008-05-24 08:28  aleidinger

	* configure.in, macosx/English.lproj/Makefile.am,
	  macosx/LAME.xcodeproj/Makefile.am, macosx/Makefile.am:
	  Add some more macosx stuff

2008-05-22 17:32  audiofileeng

	* macosx/English.lproj, macosx/English.lproj/InfoPlist.strings,
	  macosx/LAME.xcodeproj, macosx/LAME.xcodeproj/project.pbxproj:
	  adding files in subdirectories in macosx

2008-05-22 06:26  aleidinger

	* Makefile.am, configure.in, macosx/Makefile.am:
	  add the new macosx directory

2008-05-21 03:05  audiofileeng

	* macosx, macosx/Info.plist, macosx/LAME_Prefix.pch:
	  added XCode framework project for Mac OS X

2008-05-19 07:41  bouvigne

	* libmp3lame/psymodel.c, libmp3lame/util.h:
	  faster calc_energy: don't loop if there is a single line within
	  the band

2008-05-18 17:49  bouvigne

	* libmp3lame/psymodel.c:
	  faster calc_energy: dont' loop if there is a single line within
	  the band

2008-05-14 07:43  rbrito

	* debian/watch:
	  New file for detecting new versions of the package.

2008-05-14 07:42  rbrito

	* debian/changelog, debian/control, debian/copyright,
	  debian/lame.docs, debian/libmp3lame0-dev.docs,
	  debian/libmp3lame0-dev.files, debian/rules:
	  Updates to the Debian packaging.

2008-04-28 20:32  robert

	* frontend/get_audio.c:
	  fixing LIBSNDFILE compile problem found by Rogério Brito

2008-04-23 01:50  robert

	* frontend/main.c, frontend/parse.h, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/machine.h,
	  libmp3lame/psymodel.c:
	  fix for bug-tracker item:[ 1948101 ] Memory not freed (lame-3.97,
	  lame-3.98b8)
	  plus, we didn't call lame_close in decode-only case

2008-04-22 23:01  robert

	* libmp3lame/machine.h, libmp3lame/newmdct.c,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  mpglib/interface.c, mpglib/layer1.c:
	  fixing a problem if you are using --fast-math compiler switch

2008-04-13 22:03  robert

	* doc/html/history.html, libmp3lame/version.h:
	  updating history, we are now at 3.98 beta 8

2008-04-13 21:27  robert

	* frontend/get_audio.c, frontend/main.h, frontend/parse.c,
	  libmp3lame/psymodel.c:
	  found some problem in Naoki's additive masking code and fixed it
	  for VBR_NEW

2008-04-13 13:45  robert

	* frontend/get_audio.c, testcase.mp3:
	  changed compile-time test for machine byte order into run-time
	  test,
	  this should solve issues PPC users seem to have

2008-04-13 02:52  robert

	* libmp3lame/psymodel.c:
	  some SNR testcode to try with -Z3

2008-04-12 18:18  robert

	* frontend/parse.c, frontend/timestatus.c, include/lame.def,
	  include/lame.h, libmp3lame/VbrTag.c, libmp3lame/bitstream.c,
	  libmp3lame/encoder.c, libmp3lame/fft.c,
	  libmp3lame/gain_analysis.c, libmp3lame/id3tag.c,
	  libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	  libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	  libmp3lame/presets.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/reservoir.c, libmp3lame/set_get.c,
	  libmp3lame/tables.c, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/vbrquantize.c:
	  extended VBR quality scale: 0, ..., 9.999 as floating point value

2008-04-06 15:07  robert

	* doc/html/history.html, frontend/main.c:
	  updating history.html

2008-04-06 02:38  robert

	* libmp3lame/lame_global_flags.h, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/set_get.c,
	  libmp3lame/version.h, mpglib/layer3.c:
	  some simpler spreading function for VBR NEW

2008-04-05 17:38  robert

	* Makefile.unix, frontend/brhist.c, frontend/brhist.h,
	  frontend/main.c, frontend/parse.c, frontend/timestatus.c:
	  removing "#ifdef/#endif" from code bocks, which were always
	  compiled in

2008-04-05 17:13  robert

	* debian/copyright, lame.spec.in, libmp3lame/id3tag.c, misc/abx.c,
	  misc/lameGUI.html:
	  changing some links from "www.mp3dev.org/mp3" to "www.mp3dev.org"
	  and from "www.sulaco.org/mp3" to "www.mp3dev.org"

2008-03-20 22:28  robert

	* include/lame.h:
	  keep 'lame_mp3_tags_fid' alive at least for next stable release

2008-03-12 11:23  robert

	* libmp3lame/psymodel.c, vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj,
	  vc_solution/vc9_mpglib.vcproj:
	  bug fix: stack corruption in vbrpsy_compute_masking_s

2008-03-11 21:57  robert

	* libmp3lame/set_get.c, libmp3lame/vbrquantize.c:
	  fixing some more compiler warnings

2008-03-11 21:17  robert

	* libmp3lame/VbrTag.c, libmp3lame/fft.c, libmp3lame/id3tag.c,
	  libmp3lame/lame.c, libmp3lame/mpglib_interface.c,
	  libmp3lame/quantize.c, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/vbrquantize.c, vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj:
	  fixing some more compiler warnings

2008-03-11 00:56  robert

	* libmp3lame/set_get.c:
	  fixing some more compiler warnings

2008-03-11 00:21  robert

	* vc_solution/vc9_libmp3lame.vcproj:
	  update for nasm file config

2008-03-10 23:47  robert

	* libmp3lame/bitstream.c, libmp3lame/encoder.c,
	  libmp3lame/gain_analysis.c, libmp3lame/id3tag.c,
	  libmp3lame/lame.c, libmp3lame/machine.h,
	  libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	  libmp3lame/psymodel.c, libmp3lame/quantize.c,
	  libmp3lame/quantize.h, libmp3lame/quantize_pvt.c,
	  libmp3lame/quantize_pvt.h, libmp3lame/set_get.c,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c,
	  libmp3lame/vbrquantize.h:
	  fixing some compiler warnings

2008-03-09 22:37  robert

	* frontend/parse.c:
	  for now, keep old ID3 tag switches passing raw character encoded
	  strings
	  some experimental switches for Linux systems:
	  
	  (ID3v1/ID3v2)
	  --lTtitle <some song title to be stored as Latin-1 string>
	  --lArtist <some artist to be stored as Latin-1 string>
	  --lAlbum <some album title to be stored as Latin-1 string>
	  --lGenre <some genre to be stored as Latin-1 string>
	  --lComment <some comment to be stored as Latin-1 string>
	  --lFieldvalue <some fieldvalue to be stored as Latin-1 string>
	  
	  (ID3v2)
	  --uTitle <some song title to be store as UCS-2 string>
	  --uArtist <some artist to be stored as UCS-2 string>
	  --uAlbum <some album title to be stored as UCS-2 string>
	  --uGenre <some genre to be stored as UCS-2 string>
	  --uComment <some comment to be stored as UCS-2 string>

2008-03-09 22:29  robert

	* include/lame.h:
	  under Linux we need some C-library includes here (why not on
	  Win32?)

2008-03-09 19:31  robert

	* libmp3lame/takehiro.c, libmp3lame/vbrquantize.c:
	  fixing some compiler warnings about:
	  - integer constant overflow
	  - signed/unsigned mismatch

2008-03-09 17:13  robert

	* Dll/BladeMP3EncDLL.c, dshow/aboutprp.cpp, frontend/brhist.c,
	  frontend/mp3x.c, frontend/parse.c, include/lame.h:
	  removing unneccessary stdlib includes from lame.h

2008-03-09 16:33  robert

	* vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj,
	  vc_solution/vc9_nasm.rules:
	  adding NASM build rule

2008-02-23 20:58  robert

	* frontend/parse.c, libmp3lame/id3tag.c:
	  adding ICONV character conversion (NOT for WIN32), because ID3
	  tags have to
	  be in ISO Latin-1 or UCS-2 text encoding. Previously we wrote
	  bytes into ID3
	  tags, as we got them from the commandline, in locale text
	  encoding.
	  
	  There are some experimental switches to store UCS-2 encoded ID3
	  tags:
	  --uArtist, --uAlbum, --uTitle, --uGenre and --uComment

2008-02-23 12:58  robert

	* libmp3lame/id3tag.c, libmp3lame/id3tag.h, libmp3lame/util.c:
	  locate and replace {TXXX,COMM} field if LANGUAGE and DESCRIPTION
	  match new one

2008-02-22 02:48  robert

	* libmp3lame/id3tag.c, libmp3lame/id3tag.h, libmp3lame/util.c:
	  preparing unicode id3v2 tags

2008-02-22 02:38  robert

	* libmp3lame/lame.c, libmp3lame/vbrquantize.c,
	  libmp3lame/version.c:
	  fixing some compiler warnings

2008-02-20 03:04  robert

	* vc_solution/vc9_lame_dll_example.vcproj:
	  VC9 Solution files

2008-02-20 02:40  robert

	* vc_solution/vc9_lame_dshow.vcproj:
	  VC9 Solution files

2008-02-20 01:53  robert

	* vc_solution/vc9_lame_acm.vcproj:
	  VC9 Solution files

2008-02-20 00:38  robert

	* vc_solution, vc_solution/vc9_lame.sln,
	  vc_solution/vc9_lame_acm.vcproj,
	  vc_solution/vc9_lame_acm_adbg.vcproj,
	  vc_solution/vc9_lame_acm_tinyxml.vcproj,
	  vc_solution/vc9_lame_clients.sln,
	  vc_solution/vc9_lame_dll.vcproj,
	  vc_solution/vc9_lame_dll_example.vcproj,
	  vc_solution/vc9_lame_dshow.vcproj,
	  vc_solution/vc9_lame_lame.vcproj,
	  vc_solution/vc9_lame_mp3x.vcproj,
	  vc_solution/vc9_libmp3lame.vcproj,
	  vc_solution/vc9_libmp3lame_dll.vcproj,
	  vc_solution/vc9_mpglib.vcproj:
	  VC9 Solution files

2008-02-15 01:27  robert

	* Dll/BladeMP3EncDLL.c:
	  use new API function for LAME-tag frame update

2008-02-15 00:23  robert

	* libmp3lame/VbrTag.c:
	  let the dummy Xing frame have a valid mp3 sync word

2008-02-10 18:38  robert

	* include/lame.def, include/lame.h, libmp3lame/id3tag.c:
	  fixes:
	  id3tag.c - some block scope missing
	  lame.h, lame.def: - some exported function was missing

2008-02-10 17:36  robert

	* frontend/main.c, include/lame.def, include/lame.h,
	  libmp3lame/VbrTag.c, libmp3lame/VbrTag.h, libmp3lame/id3tag.c,
	  libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	  libmp3lame/set_get.c, libmp3lame/version.h:
	  Adding some new API functions
	  - to en-/dis- able automatic ID3 tag writing into audio stream
	  (default on):
	  
	  void CDECL lame_set_write_id3tag_automatic(lame_global_flags *
	  gfp, int);
	  int CDECL lame_get_write_id3tag_automatic(lame_global_flags
	  const* gfp);
	  
	  - to query ID3 tags into a buffer:
	  
	  size_t CDECL lame_get_id3v1_tag(
	  lame_global_flags * gfp, unsigned char* buffer, size_t size);
	  size_t CDECL lame_get_id3v2_tag(
	  lame_global_flags * gfp, unsigned char* buffer, size_t size);
	  
	  - to query the final Xing/LAME tag frame into a buffer:
	  size_t CDECL lame_get_lametag_frame(
	  const lame_global_flags *, unsigned char* buffer, size_t size);
	  
	  Those new functions allow to encode a complete input file into
	  RAM first,
	  before writing it into a file/socket/whatever...

2008-02-03 14:28  robert

	* libmp3lame/psymodel.c:
	  VBRPSY: don't use ATH in 'additive masking' function

2008-01-09 20:46  rbrito

	* debian/changelog, debian/compat, debian/control, debian/rules:
	  Updated the Debian packaging.

2008-01-06 16:46  robert

	* libmp3lame/lame.c, libmp3lame/quantize.c:
	  VBR-NEW can be mixed with free format now. The result will be a
	  free format
	  stream using VBR-NEW quantization routine.
	  
	  note: following free format bitrates are maximum bitrates which
	  make sense:
	  samplerate: 8 11 12 16 22 24 32 44 48
	  kbps 109 151 164 218 301 327 435 600 640(652)
	  
	  Using the maximum bitrate one may look and see how the VBR code
	  behaves
	  when the bitrate pressure is lowered to the theoretical minimum,
	  like:
	  lame -V0 -b600 --freeformat x.wav x.mp3

2008-01-03 00:03  aleidinger

	* configure:
	  regenerate with autoconf 2.61

2008-01-03 00:02  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  debian/Makefile.in, doc/Makefile.in, doc/html/Makefile.in,
	  doc/man/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	  include/Makefile.in, libmp3lame/Makefile.in,
	  libmp3lame/i386/Makefile.in, libmp3lame/vector/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:
	  regenerate with automake 1.10

2008-01-03 00:01  aleidinger

	* aclocal.m4:
	  update with stuff from more recent autotools

2008-01-03 00:00  aleidinger

	* ltmain.sh:
	  update to a libtool 1.5.24 version

2008-01-02 23:58  aleidinger

	* configure.in:
	  After installing sndfile:
	  - fix SNDFILE_xxx
	  
	  Give a better failure description for some errors (sizeof check).
	  
	  If there are intXX_t but no uintXX_t, use the intXX_t with
	  "unsigned" instead
	  of trying to find the right K&R-C integral type.
	  
	  Use macho as the format type for NASM on OSX, but disable the
	  nasm use by
	  default there, as there seems to be a problem with the nasm code
	  on OSX.

2008-01-02 22:00  aleidinger

	* configure.in:
	  - If SNDFILE_xxx are defined and the fileio is sndfile, then
	  assume the
	  user is knowing what he does (some systems don't have pkg-config
	  but
	  have sndfile).
	  - Fix the problem case where SNDFILE_CFLAGS has spaces at the
	  beginning.

2008-01-02 20:30  robert

	* libmp3lame/id3tag.c:
	  fix for tracker item: [ 1861450 ] TLEN tag fixed on encode from
	  stdin with ID3v2 tags

2007-12-26 22:04  robert

	* ACM/ACMStream.cpp, Dll/BladeMP3EncDLL.c:
	  removing obsolete function calls

2007-12-26 13:12  robert

	* Makefile.MSVC, frontend/parse.c, include/lame.h,
	  libmp3lame/encoder.c, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/set_get.c, libmp3lame/set_get.h, libmp3lame/util.h:
	  removing dead code

2007-12-25 16:15  robert

	* libmp3lame/vbrquantize.c:
	  some small code simplification

2007-12-25 00:16  robert

	* libmp3lame/presets.c, libmp3lame/psymodel.c:
	  clean code from obsolete branches

2007-12-24 16:00  robert

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/set_get.c, libmp3lame/takehiro.c, libmp3lame/util.h,
	  libmp3lame/vbrquantize.c:
	  - removing legacy ISO quantization code
	  - vbr-new now has only two -qx settings left: q0 and q5
	  - vbr-new can't use legacy GPSYCHO anymore
	  
	  TODO:
	  + remove legacy GPSYCHO code, as we don't use it anymore
	  + remove superflouos psy-model selection switches
	  + remove superflouos psy-model configuration switches like
	  --cwlimit

2007-12-20 14:44  robert

	* libmp3lame/vbrquantize.c:
	  in rare cases, where one channel is completely zero, some illegal
	  "scalefactor
	  selection info" might be used in VBR-NEW. fixed

2007-12-17 20:54  robert

	* doc/html/history.html:
	  fixing typo

2007-12-17 00:08  robert

	* libmp3lame/vbrquantize.c:
	  fixing typo

2007-12-16 17:56  robert

	* doc/html/history.html, libmp3lame/psymodel.c:
	  disabling the use of the "interchannel masking feature" in
	  dual-channel case

2007-12-16 17:18  robert

	* libmp3lame/psymodel.c, libmp3lame/vbrquantize.c:
	  VBR-NEW:
	  -quantization: another "out of bits" strategy
	  -psymodel: dropped "inter channel effect", because the effect
	  doesn't save
	  many bits, but raises the chance of annoying artefacts a lot.

2007-12-14 02:52  robert

	* libmp3lame/psymodel.c:
	  found new test sample SNAPS which needs some more short blocks

2007-12-09 22:47  robert

	* libmp3lame/encoder.c, libmp3lame/lame.c, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/util.h:
	  merger from test branch:
	  - features a new psy model, a modification from NSPSY
	  
	  VBR NEW uses the new psy model, unless you call lame with
	  --nspsytune, or
	  the developer only switch --psymodel x, with x in {1,2}
	  
	  features of the new psy model:
	  - speed: it does determine the resulting block type before doing
	  the fft
	  and other psy stuff and will calc long/short blocks only as
	  necessary
	  - interchannel masking effect: it will be calculated after the
	  mid-side fix
	  and it's working on convolution bands, instead of scalefactor
	  bands
	  - mid-side fix: calculated on convolution bands, instead of sf
	  bands
	  - mask_adjust feature: it's now used earlier in the convolution
	  calculation

2007-11-26 00:14  robert

	* Makefile.unix, frontend/get_audio.c, frontend/parse.c,
	  libmp3lame/psymodel.c, libmp3lame/vbrquantize.c:
	  psymodel.c:
	  - bug fix in init_numlines: it returned sometimes a too large
	  npart_[sl]
	  - fixing some more compiler warnings
	  get_audio.c:
	  - some fix in error-report in case of unsupported input format

2007-11-21 21:30  robert

	* libmp3lame/quantize.c, libmp3lame/quantize_pvt.h:
	  bug fix for bin_search_StepSize. It returned illegal values,
	  leading to
	  assertion failures in fast encoding mode, which only adjusts
	  global step size.

2007-11-01 19:52  robert

	* frontend/get_audio.c:
	  enabling --signed / --unsigned switches for 8 bit raw pcm input
	  data

2007-11-01 19:25  robert

	* frontend/get_audio.c, frontend/parse.c:
	  [ 1823881 ] lame 3.97 produces complete garbage
	  now invalid WAV/AIFF files are rejected, instead of trying to
	  encode them as
	  raw pcm files.

2007-11-01 19:23  robert

	* doc/man/lame.1:
	  [ 1158193 ] Man page doesn't tell about stereo format in raw
	  [ 1158253 ] Data format is not described in the manpage
	  added some info to manpage

2007-11-01 19:16  robert

	* libmp3lame/lame.c:
	  bitrate_index may have been uninitialized under some rare
	  circumstances

2007-10-24 02:04  robert

	* libmp3lame/psymodel.c:
	  back to the roots. Maybe I'll branch from here

2007-10-23 23:23  robert

	* libmp3lame/vbrquantize.c:
	  turn of scalefac scale feature

2007-10-23 02:46  robert

	* libmp3lame/psymodel.c:
	  yeah, ok it's C and not C++
	  open block scope for local variable

2007-10-23 02:31  robert

	* libmp3lame/psymodel.c, libmp3lame/vbrquantize.c:
	  dropping Naoki's idea of "simultaneous masking addition" for the
	  newer VBR code
	  for now

2007-10-22 12:00  robert

	* libmp3lame/presets.c, libmp3lame/psymodel.c:
	  re-establishing previous mask adjustments

2007-10-21 00:45  robert

	* libmp3lame/lame.c, libmp3lame/presets.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize.c, libmp3lame/version.h:
	  recalibration of VBR new's compression level settings, because of
	  recent bug fixes

2007-10-19 00:10  robert

	* Makefile.unix:
	  moving GTK config script to MP3x target compilation, it's not
	  needed outside MP3x

2007-10-18 02:54  robert

	* frontend/get_audio.c:
	  seems, VC compiler doesn't like redundant semicolon, fixed

2007-10-18 02:09  robert

	* libmp3lame/machine.h, libmp3lame/psymodel.c,
	  libmp3lame/quantize.c, libmp3lame/set_get.c:
	  PSY: the newer vbr code uses tonalality estimation from long
	  blocks for short blocks

2007-10-16 01:07  robert

	* doc/html/history.html, frontend/get_audio.c:
	  Fix for bugtracker item: [ 1813496 ] AIFF parsing bug

2007-10-14 20:18  robert

	* frontend/get_audio.c, libmp3lame/id3tag.h, libmp3lame/util.c:
	  some more compiler and compiler-warning fixes

2007-10-14 19:54  robert

	* frontend/get_audio.c, frontend/get_audio.h, frontend/mp3x.c,
	  frontend/parse.c, frontend/portableio.c, include/lame.h,
	  libmp3lame/bitstream.c, libmp3lame/id3tag.c, libmp3lame/lame.c,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/set_get.c, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/vector/xmm_quantize_sub.c:
	  eliminating some of the several hundred compiler warnings

2007-10-14 14:16  robert

	* doc/html/history.html:
	  updating history to latest changes:
	  - bug fix scalefactor selection in vbr new code
	  - feature added: WAVE_FORMAT_EXTENSIBLE

2007-10-14 13:33  robert

	* frontend/get_audio.c:
	  feature request [ 1811483 ] WAVE_FORMAT_EXTENSIBLE support
	  
	  We still support PCM wave files only with our little wave reader,
	  it is just that we now accept them when written in wave format
	  extensible.

2007-10-13 20:34  robert

	* libmp3lame/vbrquantize.c:
	  Bug-fix: the quantization-find-routine could under some
	  circumstances return
	  some way too large quantization step size. For example, the song
	  Piku from
	  The Chemical Brothers had almost 550 scalefactors wrong. For most
	  songs this
	  fix makes no difference.

2007-10-08 20:59  robert

	* frontend/brhist.c:
	  replaced variable 'lines' by 'lines_used', because term.h has
	  some macro
	  definition for 'lines'.

2007-09-29 19:17  robert

	* libmp3lame/vbrquantize.c:
	  - Removing dead code.
	  - Avoiding unnecessary search for quantization step sizes. This
	  speeds-up lower quality encodings.
	  If energy is below masking threshold, the resulting step size
	  will be at 255. So no need to search what we already know.

2007-08-29 13:44  aleidinger

	* configure:
	  regen

2007-08-29 13:43  aleidinger

	* configure.in:
	  Don't change the include/library path, if there's no
	  corresponding soundfile
	  path set.
	  
	  This is supposed to fix the compile problem with soundfile
	  Rogério sees on
	  Debian.

2007-08-20 21:54  robert

	* Makefile.MSVC:
	  removing duplicate target_dir references

2007-08-12 18:30  robert

	* Makefile.MSVC:
	  let targets link against multi threaded C-library

2007-08-12 00:07  robert

	* doc/html/history.html, libmp3lame/vbrquantize.c,
	  libmp3lame/version.h:
	  small speedup in VBR NEW
	  
	  we are now at 3.98 beta 5, a release candidate for 3.98 stable?

2007-08-12 00:04  robert

	* logo:
	  Removing the 6 MB fat logo files from encoder sources.
	  We can expect the logo files to be almost static and
	  having them in a separate directory seems to be the
	  better choice.

2007-08-11 23:06  robert

	* testcase.mp3:
	  updating "testcase.mp3" for LAME 3.98 beta 5

2007-08-11 21:44  robert

	* libmp3lame/psymodel.c:
	  Short block masking: the CBR/ABR code seems to rely on the old
	  masking definition. The VBR NEW code on the other hand needs the
	  lowered masking.

2007-07-30 06:51  aleidinger

	* ChangeLog:
	  Add the changelog for the last ~10 months.

2007-07-30 06:39  aleidinger

	* configure:
	  regen with autoconf 2.61

2007-07-30 06:37  aleidinger

	* configure.in:
	  oops, previous fix for the gcc version pattern matching was
	  wrong...

2007-07-30 06:30  aleidinger

	* configure.in:
	  - fix the pattern matching for the gcc version check
	  - improve the optimization stuff for gcc 4.x

2007-07-30 06:28  aleidinger

	* config.h.in:
	  regen with autoconf 2.61

2007-07-30 06:28  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  aclocal.m4, debian/Makefile.in, doc/Makefile.in,
	  doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	  frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  libmp3lame/vector/Makefile.in, mac/Makefile.in, misc/Makefile.in,
	  mpglib/Makefile.in:
	  regen with automake 1.10

2007-07-29 22:46  robert

	* doc/html/history.html:
	  adding latest bug fixes to history

2007-07-29 22:08  robert

	* ACM/ADbg/ADbg.dsp, ACM/lameACM_vc6.dsp, ACM/tinyxml/tinyxml.dsp,
	  Dll/LameDll_vc6.dsp, dshow/dshow.dsp, frontend/lame_vc6.dsp,
	  frontend/mp3x_vc6.dsp, include/lame.def, lame_vc6.dsw,
	  libmp3lame/libmp3lame_dll_vc6.dsp, libmp3lame/libmp3lame_vc6.dsp,
	  mpglib/mpglib_vc6.dsp:
	  updating VC6 project files
	  
	  from MSDN: DLLs should be linking against multi-threaded MS VC
	  rountime library

2007-07-29 16:02  robert

	* Dll/BladeMP3EncDLL.c, Dll/BladeMP3EncDLL.h:
	  Fixing a possible resource leak

2007-07-28 12:48  aleidinger

	* configure:
	  regen (new LAME version)

2007-07-28 00:41  robert

	* frontend/get_audio.c:
	  task tracker item [ 1445175 ] Input being stdin fails in Windows
	  on WAV files
	  and item [ 1576370 ] Fix for piping in a non PCM file via stdin
	  under Windows
	  
	  The workaround tests the actual file descriptor being a pipe or
	  not.
	  In case being a pipe, the number of bytes to skip are simply
	  read.

2007-07-27 08:49  bouvigne

	* README:
	  3.98

2007-07-24 17:46  bouvigne

	* frontend/brhist.c, frontend/brhist.h, frontend/get_audio.c,
	  frontend/get_audio.h, frontend/gpkplotting.c,
	  frontend/gpkplotting.h, frontend/gtkanal.c, frontend/gtkanal.h,
	  frontend/lametime.c, frontend/lametime.h, frontend/main.c,
	  frontend/main.h, frontend/parse.c, frontend/timestatus.c,
	  frontend/timestatus.h, include/lame.h, libmp3lame/VbrTag.c,
	  libmp3lame/VbrTag.h, libmp3lame/bitstream.c,
	  libmp3lame/bitstream.h, libmp3lame/encoder.c,
	  libmp3lame/encoder.h, libmp3lame/fft.h, libmp3lame/id3tag.c,
	  libmp3lame/l3side.h, libmp3lame/lame-analysis.h,
	  libmp3lame/lame.c, libmp3lame/machine.h,
	  libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	  libmp3lame/newmdct.h, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	  libmp3lame/quantize.c, libmp3lame/quantize.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/reservoir.c, libmp3lame/reservoir.h,
	  libmp3lame/set_get.c, libmp3lame/set_get.h, libmp3lame/tables.c,
	  libmp3lame/tables.h, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c,
	  libmp3lame/vbrquantize.h, libmp3lame/vector/lame_intrin.h,
	  libmp3lame/vector/xmm_quantize_sub.c, libmp3lame/version.c,
	  libmp3lame/version.h:
	  Library GPL -> Lesser GPL

2007-07-24 15:26  robert

	* frontend/get_audio.c, frontend/parse.c:
	  bug item [ 1160757 ] --big-endian and --little-endian don't work
	  with -m s -a
	  and item [ 1160741 ] --big-endian and --little-endian are swapped
	  
	  the --big-endian/--little-endian switches do now work with our
	  minimal
	  wave and pcm reader too.
	  
	  The problems reported in the above bug tracker items should be
	  solved now

2007-07-22 18:49  robert

	* libmp3lame/lame.c:
	  bug fix: [ 1746336 ] Incorrect Bitrate with ABR und --resample,
	  LAME 3.98b4
	  
	  There was a typo in patch Revision 1.294 "restrict mpeg 2.5 to
	  64kbps"
	  which set the average bitrate up to the maximum allowed bitrate.

2007-07-20 23:23  robert

	* libmp3lame/bitstream.c:
	  fixing task tracker item: [ 1755981 ] Percent signs in print
	  format not escaped

2007-07-16 20:06  bouvigne

	* include/lame.h:
	  gpl -> lgpl (we forgot about it a long time ago)

2007-07-10 21:05  robert

	* dshow/Property.rc:
	  updating version info

2007-07-01 20:05  robert

	* mpglib/common.c, mpglib/common.h, mpglib/interface.c,
	  mpglib/layer1.c, mpglib/layer2.c, mpglib/layer2.h,
	  mpglib/mpg123.h:
	  we will always use Layer1 and 2 decoding

2007-07-01 16:17  robert

	* doc/html/history.html:
	  word wrapping fixed

2007-07-01 16:16  robert

	* doc/html/history.html:
	  adding latest changes for Task tracker item [ 1719593 ] and [
	  1742623 ]

2007-07-01 14:39  robert

	* frontend/get_audio.c, frontend/get_audio.h, frontend/gtkanal.c,
	  frontend/main.c, frontend/parse.c:
	  trying to fix Bugs item #1742623

2007-06-30 17:14  robert

	* USAGE, frontend/parse.c, include/lame.h, libmp3lame/id3tag.c:
	  bug fix: [ 1719593 ] Track numbers > 255 not allowed even with
	  --id3v2-only

2007-06-27 21:23  robert

	* configMS.h, configure.in:
	  changing version number 3.97 to 3.98

2007-06-27 21:22  robert

	* include/lame.def:
	  adding newly id3tag functions to DLL export definition

2007-06-26 01:33  robert

	* libmp3lame/VbrTag.c:
	  I missed the swapped arguments in the patch by Jonathan Stott,
	  now fixed.

2007-06-26 00:57  robert

	* doc/html/contributors.html, doc/html/history.html,
	  libmp3lame/VbrTag.c, libmp3lame/lame.c:
	  Patch by Jonathan Stott:
	  
	  Bug tracker items: [ 1590693 ] ID3v2 tag not writing, [ 1636267 ]
	  ID3v2 tags overwritten
	  If the output file is opened 'write-only', then LAME can't update
	  the LAME tag.
	  In this case LAME silently overwrote the first bytes of the file
	  and an
	  optional ID3v2 tag disappeared. Now an error message will be
	  printed and
	  no data is written in this case.

2007-06-23 18:43  robert

	* libmp3lame/id3tag.c, libmp3lame/util.c, libmp3lame/util.h:
	  fixing another possible memory leak

2007-06-23 17:39  robert

	* frontend/main.c, frontend/parse.c, libmp3lame/id3tag.c,
	  libmp3lame/id3tag.h, libmp3lame/util.c, libmp3lame/version.h:
	  Some simplifications on ID3 tag usage:
	  - specifying an unlisted ID3v1 genre does not count as an error
	  anymore, it is mapped to "Other" and passed as-is to an ID3v2
	  genre tag
	  - an ID3 track argument is passed directly to an ID3v2 TRCK tag,
	  allowing for example "002/012"

2007-06-23 15:16  robert

	* libmp3lame/id3tag.c, libmp3lame/util.c:
	  Now ID3 tag are local copies of given parameters. This allows to
	  pass strings located on the program stack and you don't have to
	  think about the lifetime of your strings you pass as arguments.

2007-06-23 13:27  robert

	* libmp3lame/util.c:
	  Bug fix: Nyaochi's "ID3v2 extension" patches introduced some
	  memory leaks

2007-06-04 22:31  robert

	* doc/html/history.html:
	  ups: moved history entry "TLEN bug" up into correct list

2007-06-04 22:25  robert

	* doc/html/history.html:
	  added: bugfix TLEN computation

2007-06-04 22:04  robert

	* libmp3lame/id3tag.c:
	  bug fix: [ 1730875 ] TLEN calculation wrong
	  fixing the calculation of "playlength in ms" written into the
	  ID3v2 tag TLEN

2007-05-30 23:17  rjamorim

	* logo, logo/logoERGB.ai, logo/logoEncodedRGB.ai, logo/logoPDF.pdf,
	  logo/logoRGB.ai, logo/logoRGB.eps, logo/logoRGB.svg,
	  logo/logoe.ai, logo/logoe.eps, logo/logoe.svg, logo/logofull.ai,
	  logo/logofull.eps, logo/logofull.svg, logo/logomini.ai,
	  logo/logomini.eps, logo/logomini.svg:
	  Initial import of the Lame logo in several vectorial formats

2007-05-25 03:38  robert

	* libmp3lame/vbrquantize.c:
	  VBR_NEW: more tuned 'out of bits' strategy

2007-05-24 13:26  bouvigne

	* doc/html/contributors.html, doc/html/history.html,
	  doc/html/id3.html, doc/man/lame.1, frontend/parse.c:
	  support for total tracks count in the frontend (id3 tags)

2007-05-24 13:10  bouvigne

	* libmp3lame/id3tag.c:
	  adding a total track count should add an id3 V2 tag

2007-05-24 12:58  bouvigne

	* doc/html/history.html, doc/html/id3.html, frontend/main.c,
	  frontend/parse.c, frontend/parse.h, include/lame.h,
	  libmp3lame/id3tag.c, libmp3lame/id3tag.h:
	  Albumart (APIC ID3v2.3 frame) patch by Nyaochi

2007-05-24 12:29  bouvigne

	* doc/html/contributors.html, doc/html/history.html,
	  doc/html/id3.html, frontend/parse.c, include/lame.h,
	  libmp3lame/id3tag.c, libmp3lame/id3tag.h:
	  Ability to set user-defined ID3v2.3 frame (patch from Nyaochi)

2007-05-23 14:44  bouvigne

	* doc/html/contributors.html, doc/html/history.html,
	  doc/html/index.html:
	  Updated history

2007-05-22 10:10  robert

	* libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/version.h:
	  ok, now the real bug fix, forget the last commit:
	  the ABR routine did not apply format specific bitrate constrains
	  when allocating bits; now it does

2007-05-22 08:39  robert

	* libmp3lame/quantize.c, libmp3lame/quantize_pvt.c:
	  bug fix: reduce side was given a too large 'max bits' parameter,
	  resulting in assertion aborts

2007-05-21 22:20  robert

	* libmp3lame/lame.c, libmp3lame/util.c, libmp3lame/util.h:
	  bug fix for feature request:
	  "adjust user min/max bitrate if outside of allowed range (ex: -V9
	  -B320)
	  Requested by Benski"
	  
	  Some input files with unusual sample frequencies couldn't be
	  encoded at CBR anymore, no matter what resample/bitrate options
	  where passed to LAME.
	  (Testsample: FX319.WAV)

2007-05-20 18:07  robert

	* libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c,
	  libmp3lame/version.h:
	  VBR_NEW: 'out of bits' situation improved

2007-05-17 22:25  robert

	* ACM/ACM.cpp, libmp3lame/VbrTag.c:
	  Bugs item #1693461: fixing memory leaks in LAME ACM

2007-05-16 02:43  robert

	* libmp3lame/version.h:
	  we are now at 3.98 beta 1 (of many more to come)

2007-05-16 01:30  robert

	* frontend/parse.c, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/psymodel.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/set_get.c,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c:
	  - some code clean-up
	  - bug fix: in rare cases 'on_pe' returned target bits violating
	  the 4095 bit
	  maximum constrain for a granule
	  - VBR-NEW: modified strategy to handle 'out of bits' cases

2007-05-13 18:31  robert

	* libmp3lame/VbrTag.c, libmp3lame/bitstream.c,
	  libmp3lame/bitstream.h, libmp3lame/encoder.c,
	  libmp3lame/id3tag.c, libmp3lame/lame_global_flags.h,
	  libmp3lame/util.h, libmp3lame/version.h:
	  bug fix: [ 1711980 ] LAME writes invalid Xing header when ID3
	  tags exist

2007-03-12 21:56  bouvigne

	* libmp3lame/util.c:
	  adjust user min/max bitrate if outside of allowed range (ex: -V9
	  -B320)
	  
	  Requested by Benski

2007-01-13 18:02  robert

	* libmp3lame/encoder.c, libmp3lame/lame.c, libmp3lame/util.h:
	  bug fix.
	  bug tracker entry: [ 1634092 ] encoder.c doesn't compile with
	  --disable-brhist

2007-01-09 23:10  robert

	* Makefile.unix:
	  adding vector/xmm_quantize_sub.c

2007-01-09 22:24  bouvigne

	* libmp3lame/libmp3lame_vc8.vcproj:
	  directory x86_64 -> vector

2007-01-09 12:02  aleidinger

	* libmp3lame/lame.c, libmp3lame/mpglib_interface.c,
	  libmp3lame/psymodel.c:
	  fix the easy warnings

2007-01-09 10:37  aleidinger

	* libmp3lame/x86_64:
	  Remove all files, they reside in the vector directory now.
	  
	  This breaks the VC build until Gabriel or Robert catch up with
	  those
	  changes.

2007-01-09 10:31  aleidinger

	* libmp3lame/quantize.c:
	  include the right intrinsics header and only if we need it

2007-01-09 10:29  aleidinger

	* Makefile.MSVC:
	  use the code in the vector directory

2007-01-09 10:27  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  config.h.in, configure, debian/Makefile.in, doc/Makefile.in,
	  doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	  frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:
	  regen

2007-01-09 10:24  aleidinger

	* libmp3lame/lame.c, libmp3lame/quantize.c:
	  remove the CPUCCODE check, it is not needed anymore

2007-01-09 10:23  aleidinger

	* libmp3lame/i386/Makefile.am:
	  the quoting does not work out as expected, remove it

2007-01-09 10:20  aleidinger

	* configure.in:
	  Use the vector lib on amd64 and x86.
	  
	  This only works with gcc when -msse is specified in CFLAGS at
	  configure
	  time. Currently I get a sigbus with gcc 3.4.6 with the vector
	  lib.
	  
	  Remove the HAVE_GTK define, it is not used anymore.

2007-01-09 10:18  aleidinger

	* libmp3lame/Makefile.am:
	  add the vector lib and remove the x86_64 part

2007-01-09 10:15  aleidinger

	* libmp3lame/vector, libmp3lame/vector/Makefile.am,
	  libmp3lame/vector/Makefile.in, libmp3lame/vector/lame_intrin.h,
	  libmp3lame/vector/xmm_quantize_sub.c:
	  this is a copy of the x86_64 parts with modified automake stuff

2007-01-07 21:28  robert

	* Makefile.MSVC:
	  do not build legacy BLame DLL on make target all

2007-01-07 20:00  aleidinger

	* libmp3lame/i386/Makefile.in:
	  regen

2007-01-07 20:00  aleidinger

	* libmp3lame/i386/Makefile.am:
	  fftsse.nas is used now.

2007-01-07 18:03  robert

	* frontend/lame_vc6.dsp, frontend/mp3x_vc6.dsp, lame_vc6.dsw,
	  libmp3lame/libmp3lame_dll_vc6.dsp, libmp3lame/libmp3lame_vc6.dsp,
	  mpglib/mpglib_vc6.dsp:
	  VC6 project files updated, added project to generate
	  Libmp3lame-dynamic.lib/dll

2007-01-07 14:51  robert

	* Makefile.MSVC:
	  Makefile with some basic Libmp3lame-dynamic.lib generation
	  ability

2007-01-07 14:31  robert

	* include/lame.def:
	  export definition for Libmp3lame-dynamic.lib

2007-01-07 14:30  robert

	* Makefile.unix, frontend/parse.c, include/lame.h,
	  libmp3lame/fft.c, libmp3lame/lame.c, mpglib/mpg123.h:
	  adding FFTSSE assembler code to the HAVE_NASM conditional code

2007-01-07 14:28  robert

	* ., frontend, lame_clients_vc6.dsw:
	  collecting all LAME client projects in lame_clients_vc6.dsw
	  workspace.

2007-01-07 14:24  robert

	* dshow/README, dshow/dshow.dsp:
	  DirectShow Filter links against Libmp3lame-dynamic.lib now

2007-01-07 14:23  robert

	* Dll/LameDll_vc6.dsp:
	  BLAME DLL links against Libmp3lame-dynamic.lib now

2007-01-07 14:22  robert

	* ACM/ADbg/ADbg.dsp, ACM/lameACM_vc6.dsp, ACM/tinyxml/tinyxml.dsp:
	  ACM links against Libmp3lame-dynamic.lib now

2007-01-07 14:21  robert

	* ACM/ADbg/ADbg.dsp, ACM/lameACM_vc6.dsp:
	  ACM links against Libmp3lame-dynamic.lib now

2006-12-28 21:56  robert

	* Dll/BladeMP3EncDLL.c:
	  we are now at 3.98a11

2006-12-28 21:49  robert

	* dshow/dshow.dsp, libmp3lame/version.h:
	  we are now at 3.98a11

2006-12-28 21:41  robert

	* doc/html/history.html:
	  update history

2006-12-28 20:41  robert

	* dshow/Encoder.cpp, dshow/Encoder.h, dshow/Property.rc,
	  dshow/dshow.dsp, dshow/dshow.dsw:
	  DirectShow filter uses LAME Library API now

2006-12-27 22:19  robert

	* libmp3lame/reservoir.c:
	  small change in the bitreservoir handling, enable the old
	  --strictly-enforce-ISO switch again

2006-12-27 22:09  robert

	* doc/html/history.html:
	  updating history entries

2006-12-25 21:37  robert

	* ACM/ACM.cpp, ACM/ACM.h, ACM/ACMStream.cpp, ACM/ACMStream.h,
	  ACM/AEncodeProperties.cpp, ACM/DecodeStream.h, ACM/acm.rc,
	  ACM/lameACM_vc6.dsp, ACM/main.cpp:
	  some changes, now I can compile the ACM stuff at least

2006-12-25 16:15  robert

	* libmp3lame/reservoir.c:
	  relaxing the FhG bitreservoir restriction a little bit:
	  at 320 kbps it seems to be possible to use the reservoir if we
	  limit it to almost the size of bits used for sideinfo

2006-12-23 13:54  aleidinger

	* libmp3lame/x86_64/Makefile.in:
	  regen

2006-12-23 13:54  aleidinger

	* libmp3lame/x86_64/Makefile.am:
	  fix the build on non x86 CPUs

2006-12-21 09:19  aleidinger

	* libmp3lame/x86_64/quantize_sub.c:
	  Add a comment to the #endif so that you know where it belongs.

2006-12-21 09:16  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in, configure,
	  debian/Makefile.in, doc/Makefile.in, doc/html/Makefile.in,
	  doc/man/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	  include/Makefile.in, libmp3lame/Makefile.in,
	  libmp3lame/i386/Makefile.in, libmp3lame/x86_64/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:
	  regen

2006-12-21 09:14  aleidinger

	* libmp3lame/Makefile.am:
	  Handle CPU specific C code in a generic way.

2006-12-21 09:09  aleidinger

	* libmp3lame/i386/Makefile.am:
	  Quote some parts in case directory names contain spaces.

2006-12-21 09:08  aleidinger

	* aclocal.m4, config.h.in:
	  regen

2006-12-21 09:04  aleidinger

	* configure.in:
	  Additional stuff for x86_64. First cut...

2006-12-21 09:03  aleidinger

	* acinclude.m4:
	  Properly quote some parts according to the new rules auf aclocal.

2006-12-21 09:02  aleidinger

	* libmp3lame/x86_64/Makefile.am:
	  First cut on adding the x86_64 code. Only tested on IA32.

2006-12-21 09:00  aleidinger

	* libmp3lame/lame.c, libmp3lame/quantize.c:
	  On x86 we also have the xmmintrin header, but we don't use such
	  code there.
	  So not only check for the header, but also for a CPUCCODE define.
	  This may
	  be refined later depending on further inline C code showing up or
	  not.

2006-12-21 02:18  robert

	* libmp3lame/machine.h, libmp3lame/version.h:
	  we are now at patch level 10

2006-12-21 02:17  robert

	* libmp3lame/psymodel.c:
	  fixing some divide by zero error

2006-12-20 00:17  robert

	* frontend/get_audio.c, frontend/parse.c:
	  let LAME be more strict when it comes to unrecognized program
	  options or unsupported input file formats

2006-12-19 18:50  bouvigne

	* libmp3lame/libmp3lame_vc8.vcproj:
	  include paths

2006-12-19 01:23  robert

	* frontend/parse.c:
	  add some help text entries

2006-12-19 01:23  robert

	* libmp3lame/lame.c:
	  disabling temporal masking effect by default for vbr-mtrh, it
	  works against other tunings in this mode

2006-12-18 23:11  robert

	* libmp3lame/psymodel.c:
	  fixing some index problems in convolution loops

2006-12-17 23:21  robert

	* libmp3lame/version.h:
	  we are at 3.98 alpha 9

2006-12-17 21:16  robert

	* libmp3lame/psymodel.c:
	  fixing two possible out of range index errors accessing fftenergy
	  array
	  for GPSYCHO too

2006-12-17 20:53  robert

	* libmp3lame/psymodel.c, libmp3lame/util.h:
	  fixing two possible out of range index errors accessing fftenergy
	  array
	  
	  convert partition to scalefac:
	  as we replaced ISO tables with own calculations we forgot to add
	  proper
	  weightening for the convolution band where the transition from
	  one scalefactor
	  to th next scalefactor happens. Now added.

2006-12-17 20:49  robert

	* libmp3lame/bitstream.c:
	  assert didn't match valid input range: bitrate 8 - 640 kbps

2006-12-15 22:16  robert

	* libmp3lame/version.h:
	  we are now at 3.98 alpha 8

2006-12-15 22:15  robert

	* libmp3lame/psymodel.c:
	  2 bug fixes
	  a) in some cases we did access uninitialized data in conversion
	  from partition bands to scalefac bands
	  b) in nsspy-code the conversion from partition to scalefac bands
	  for short blocks did not match the long block case, nor gpsycho.

2006-12-07 10:50  robert

	* frontend/main.c, libmp3lame/util.c:
	  disabling the "process affinity kludge"

2006-11-27 20:28  robert

	* libmp3lame/lame.c:
	  - removed unused function parameter nVbrScale in function
	  PutVbrTag

2006-11-20 20:02  robert

	* libmp3lame/VbrTag.c, libmp3lame/VbrTag.h:
	  - removed unused function parameter nVbrScale in function
	  PutVbrTag
	  - reduced compilation warnings

2006-11-15 02:25  robert

	* libmp3lame/lame.c:
	  bug fix: [ 1596306 ] lame 3.97: "fatal error during
	  initialization" with this wav
	  
	  an invalid MPEG samplerate was returned by optimum_samplefreq
	  function

2006-11-15 02:21  robert

	* Makefile.MSVC, libmp3lame/quantize.c:
	  fixing compile problem with quantize_sub.c

2006-11-12 11:44  bouvigne

	* doc/html/history.html:
	  history

2006-11-11 17:58  bouvigne

	* libmp3lame/libmp3lame_vc8.vcproj, libmp3lame/quantize.c,
	  libmp3lame/x86_64, libmp3lame/x86_64/lame_intrin.h,
	  libmp3lame/x86_64/quantize_sub.c:
	  intrinsics functions are now in a separate directory (as in v4)

2006-11-11 17:32  bouvigne

	* frontend/mp3x_vc8.vcproj:
	  bring back mp3x to life (vc8)

2006-11-11 17:14  bouvigne

	* Dll/LameDll_vc8.vcproj, README.WINGTK, frontend/lame_vc8.vcproj,
	  lame_vc8.sln, libmp3lame/libmp3lame_vc8.vcproj,
	  mpglib/mpglib_vc8.vcproj:
	  bring back mp3x to life (vc8)

2006-11-08 01:53  robert

	* frontend/get_audio.c, frontend/main.c, frontend/main.h,
	  frontend/parse.c:
	  feature request: [ 1588283 ] Flushing output stream in lame.exe
	  
	  'flush' option added

2006-11-07 01:35  robert

	* libmp3lame/gain_analysis.c, libmp3lame/id3tag.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/util.c:
	  fixing some compiler warnings, removing some unused
	  lame_global_flags elements

2006-11-07 00:36  robert

	* frontend/parse.c, libmp3lame/VbrTag.c, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/quantize.c,
	  libmp3lame/set_get.c, libmp3lame/util.h:
	  removing dead code:
	  side channel sparsing didn't work as hoped

2006-11-06 22:39  robert

	* frontend/brhist.c, frontend/get_audio.c, frontend/parse.c:
	  eliminating some compiler warnings

2006-11-05 18:54  robert

	* frontend/console.c:
	  bug tracker item:
	  [ 1585942 ] lame not --silent when TERM not set
	  
	  in case LAME was build with TERMCAP defined and no TERM
	  environment is
	  defined, now we do not issue an error message and silently
	  fallback to the default
	  behaviour as if LAME was compiled without TERMCAP defined.

2006-11-05 17:49  robert

	* frontend/timestatus.c:
	  include string header file added
	  unused variable removed in encoder_progress_end

2006-11-05 16:08  robert

	* frontend/main.c, frontend/timestatus.c, frontend/timestatus.h:
	  refactoring progress display code out of encoding loop
	  it's located in timestatus.c now
	  
	  Windows specific:
	  fixed parameter type for SetProcessAffinityMask
	  Gabriel: do we need similar things for Win64 too?

2006-11-05 13:37  robert

	* frontend/console.c:
	  dead code removed

2006-11-05 02:30  robert

	* libmp3lame/libmp3lame_vc8.vcproj:
	  using fftsse.nas

2006-11-05 01:55  robert

	* Makefile.MSVC:
	  using fftsse.nas

2006-11-04 18:59  robert

	* Makefile.MSVC, Makefile.unix, frontend/parse.c, libmp3lame/fft.c,
	  libmp3lame/i386/fft3dn.nas, libmp3lame/i386/fftsse.nas,
	  libmp3lame/i386/nasm.h, libmp3lame/lame.c, libmp3lame/version.h:
	  we are now at patch level 7
	  
	  changes in lame frontend switches
	  -k removed,
	  call lowpass and highpass if you need to change them
	  --short/noshort/allshort - degraded into DEVELOPER ONLY switches
	  normal users shouldn't use them
	  -X -Z degraded to DEVELOPER ONLY switches
	  -X is too tough to communicate to end users
	  -Z isn't used actualy
	  
	  fft3dnow and fftsse nasm code taken from LAME4 branch
	  but not added to the configure stuff/VC project files

2006-10-18 20:29  bouvigne

	* Dll/LameDll_vc8.vcproj:
	  added back the .def config

2006-10-05 21:07  bouvigne

	* libmp3lame/lame.c:
	  error in a test (noticed by Robert)

2006-09-30 19:55  kylev

	* lame.spec.in:
	  we distribute a .gz, not a .bz2, and there really isn't a public
	  URL for the file

2006-09-30 15:37  aleidinger

	* Dll/Makefile.in, Makefile.in, configure, frontend/Makefile.in,
	  libmp3lame/Makefile.in, mpglib/Makefile.in:
	  regen

2006-09-30 15:35  aleidinger

	* configure.in:
	  Only check for sndfile if it is requested.

2006-09-30 09:17  bouvigne

	* Dll/Makefile.am, Makefile.am, frontend/Makefile.am,
	  libmp3lame/Makefile.am, mpglib/Makefile.am:
	  updated the .am files to change vc7 to vc8

2006-09-24 16:17  bouvigne

	* doc/html/history.html:
	  updated history

2006-09-23 21:46  bouvigne

	* doc/html/history.html:
	  release 3.97

2006-09-23 19:30  aleidinger

	* configure:
	  regen

2006-09-23 19:29  aleidinger

	* config.h.in, configure.in:
	  check for xmmintrin.h

2006-09-23 08:25  bouvigne

	* Dll/BladeMP3EncDLL.c:
	  fix in boolean comparison for Delphi progs (bug #1536751)

2006-09-22 19:18  aleidinger

	* ChangeLog:
	  update from CVS history

2006-09-22 18:51  aleidinger

	* configMS.h:
	  Borland C seems to follow the lead of MSC.
	  
	  Bug ID: 1563522

2006-09-10 14:25  bouvigne

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/tables.c,
	  libmp3lame/util.c:
	  restrict mpeg 2.5 to 64kbps

2006-09-03 15:07  bouvigne

	* Dll/LameDll_vc7.vcproj, frontend/lame_vc7.vcproj,
	  frontend/mp3x_vc7.vcproj, lame_vc7.sln,
	  libmp3lame/libmp3lame_vc7.vcproj, mpglib/mpglib_vc7.vcproj:
	  removed unmaintained VC7 project files

2006-07-30 13:53  bouvigne

	* configMS.h, libmp3lame/util.c:
	  enable SSE code when using x64

2006-07-30 09:51  bouvigne

	* Dll/LameDll_vc8.vcproj, frontend/lame_vc8.vcproj, lame_vc8.sln,
	  libmp3lame/libmp3lame_vc8.vcproj, mpglib/mpglib_vc8.vcproj:
	  x64 builds

2006-07-30 09:32  bouvigne

	* Dll/LameDll_vc8.vcproj:
	  updated project

2006-07-30 09:11  bouvigne

	* Dll/LameDll_vc8.vcproj, lame_vc8.sln:
	  added lame DLL VC8 project

2006-07-14 16:06  bouvigne

	* frontend/lame_vc8.vcproj, lame_vc8.sln,
	  libmp3lame/libmp3lame_vc8.vcproj, mpglib/mpglib_vc8.vcproj:
	  VC8 projects

2006-07-14 15:58  bouvigne

	* libmp3lame/psymodel.c:
	  slight change in the short block detection safety threshold

2006-06-28 23:05  robert

	* libmp3lame/lame.c:
	  full outer loop search disabled because of audible distortions it
	  may generate

2006-06-28 21:05  robert

	* libmp3lame/psymodel.c:
	  normalizing the spreading function (vbr-new)

2006-06-24 15:19  robert

	* libmp3lame/lame.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/version.h:
	  enabling the conditional RH_ATHAA_FIX code for vbr-new
	  we are now at patch level 6

2006-06-24 01:57  robert

	* libmp3lame/lame.c, libmp3lame/quantize_pvt.c:
	  tuning ATHAA_FIX for high quality VBR new presets

2006-06-23 23:40  robert

	* libmp3lame/lame.c, libmp3lame/quantize.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/vbrquantize.c:
	  tuning ATHAA_FIX for midrange VBR new presets

2006-06-23 23:09  robert

	* libmp3lame/machine.h:
	  always compile in assertions for alpha builds

2006-06-23 23:06  robert

	* Makefile.MSVC:
	  updating LibSndFile support, it's used by default now

2006-06-23 20:52  aleidinger

	* libmp3lame/version.h:
	  bump the patchlevel for the updated sndfile support

2006-06-23 20:49  aleidinger

	* doc/html/history.html:
	  document the updated libsndfile support

2006-06-23 20:46  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  aclocal.m4, configure, debian/Makefile.in, doc/Makefile.in,
	  doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	  frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:
	  regen

2006-06-23 20:41  aleidinger

	* configure.in, frontend/Makefile.am, frontend/get_audio.c:
	  Add support for a recent sndfile library.
	  
	  Submitted by: Erik de Castro Lopo <erikd@mega-nerd.com> (sndfile
	  author)

2006-06-18 23:02  robert

	* libmp3lame/lame.c:
	  developer only switch "--tune x" mow modifies current mask_adjust
	  settings
	  instead of assigning x to it

2006-06-18 21:32  robert

	* Makefile.unix, libmp3lame/quantize.h:
	  adding RH_TEST_ATHAA_FIX to the Makefile config RH
	  matching declaration and implementation of
	  trancate_smallsspectrums

2006-06-18 20:49  robert

	* libmp3lame/bitstream.c:
	  fixing asserts

2006-06-18 20:48  robert

	* libmp3lame/psymodel.c:
	  bugfix: in NSPSY highpass filter, out of bounds access in fircoef
	  bugfix: loss of fraction in equal loudness weighting

2006-06-18 19:20  robert

	* libmp3lame/quantize_pvt.c:
	  small update to the ATHAA problem fix

2006-06-18 18:16  robert

	* Makefile.MSVC, libmp3lame/machine.h, libmp3lame/quantize.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/reservoir.c:
	  trying to fix ATHAA problem for low volume files
	  to enable the code, one has to define RH_TEST_ATHAA_FIX at
	  compile time

2006-06-18 16:45  robert

	* frontend/gtkanal.c:
	  needs console.h

2006-06-18 16:44  robert

	* libmp3lame/bitstream.c:
	  fixed assertion

2006-06-16 00:16  robert

	* libmp3lame/quantize.c, libmp3lame/util.h, mpglib/interface.c:
	  few more include dependencies sorted

2006-06-15 23:51  robert

	* frontend/gtkanal.c, frontend/mp3x.c, libmp3lame/VbrTag.c,
	  libmp3lame/VbrTag.h, libmp3lame/bitstream.c,
	  libmp3lame/bitstream.h, libmp3lame/encoder.c,
	  libmp3lame/encoder.h, libmp3lame/fft.c, libmp3lame/fft.h,
	  libmp3lame/gain_analysis.c, libmp3lame/gain_analysis.h,
	  libmp3lame/id3tag.c, libmp3lame/id3tag.h, libmp3lame/l3side.h,
	  libmp3lame/lame-analysis.h, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/lameerror.h,
	  libmp3lame/machine.h, libmp3lame/mpglib_interface.c,
	  libmp3lame/newmdct.c, libmp3lame/newmdct.h, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	  libmp3lame/quantize.c, libmp3lame/quantize.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/reservoir.c, libmp3lame/reservoir.h,
	  libmp3lame/set_get.c, libmp3lame/set_get.h, libmp3lame/tables.c,
	  libmp3lame/tables.h, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c,
	  libmp3lame/version.c, libmp3lame/version.h, mpglib/interface.c,
	  mpglib/layer3.c, mpglib/mpglib.h:
	  some more header dependencies, indentation

2006-06-15 23:07  robert

	* libmp3lame/VbrTag.h, libmp3lame/bitstream.c,
	  libmp3lame/bitstream.h, libmp3lame/encoder.c,
	  libmp3lame/encoder.h, libmp3lame/fft.c, libmp3lame/fft.h,
	  libmp3lame/gain_analysis.c, libmp3lame/gain_analysis.h,
	  libmp3lame/lame.c, libmp3lame/libmp3lame_vc6.dsp,
	  libmp3lame/machine.h, libmp3lame/mpglib_interface.c,
	  libmp3lame/newmdct.c, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	  libmp3lame/quantize.c, libmp3lame/quantize.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/reservoir.c, libmp3lame/reservoir.h,
	  libmp3lame/tables.c, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c,
	  libmp3lame/vbrquantize.h, libmp3lame/version.c,
	  libmp3lame/version.h:
	  making arguments and variables const where possible

2006-06-15 16:03  robert

	* libmp3lame/VbrTag.c, libmp3lame/VbrTag.h, libmp3lame/bitstream.c,
	  libmp3lame/bitstream.h, libmp3lame/encoder.c,
	  libmp3lame/encoder.h, libmp3lame/fft.c, libmp3lame/fft.h,
	  libmp3lame/gain_analysis.h, libmp3lame/id3tag.c,
	  libmp3lame/id3tag.h, libmp3lame/l3side.h,
	  libmp3lame/lame-analysis.h, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/machine.h,
	  libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	  libmp3lame/presets.c, libmp3lame/psymodel.c,
	  libmp3lame/psymodel.h, libmp3lame/quantize.c,
	  libmp3lame/quantize.h, libmp3lame/quantize_pvt.c,
	  libmp3lame/quantize_pvt.h, libmp3lame/reservoir.c,
	  libmp3lame/set_get.c, libmp3lame/set_get.h, libmp3lame/tables.c,
	  libmp3lame/tables.h, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c,
	  libmp3lame/version.c:
	  tried to avoid includes within include headers to make
	  dependencies more obvious

2006-06-03 13:34  aleidinger

	* ChangeLog:
	  Add nearly a year of history.

2006-06-03 13:14  aleidinger

	* doc/html/history.html:
	  add todays history

2006-06-03 13:12  aleidinger

	* ltconfig, mkinstalldirs, stamp-h.in:
	  Remove obsolete files (at least after the use of the new
	  autotools,
	  they are not created anymore).

2006-06-03 13:11  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.am.global,
	  Makefile.in, aclocal.m4, config.h.in, configure, configure.in,
	  debian/Makefile.in, doc/Makefile.in, doc/html/Makefile.in,
	  doc/man/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	  include/Makefile.in, libmp3lame/Makefile.in,
	  libmp3lame/i386/Makefile.am, libmp3lame/i386/Makefile.in,
	  ltmain.sh, mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:
	  Update to:
	  - libtool 1.5.22
	  - automake 1.9
	  - autoconf 2.59

2006-06-03 13:03  aleidinger

	* libmp3lame/lame.c:
	  - Fix bug introduced in last revision.
	  - Don't segfault in lame_close() in case of an error on
	  initialisation.

2006-06-03 11:41  aleidinger

	* libmp3lame/lame.c:
	  Plug some memory leaks in the error case.
	  
	  Noticed by: Christophe Fergeau <teuf@users.sf.net>
	  SF-Bug: 1443630

2006-06-03 11:05  aleidinger

	* lame.spec.in:
	  - Remove requirements for specific gcc versions, since modern
	  ones "just work".
	  - Remove out-dated hyper-optimizations (some of which weren't
	  valid compiler
	  flags anymore).
	  - Update to current RPM techniques and macros (inspired by
	  freshrpms.net spec).
	  
	  Submitted by: Kyle VanderBeek <kylev@kylev.com>
	  SF-Patch: 1488468

2006-05-04 19:50  bouvigne

	* libmp3lame/reservoir.c, libmp3lame/version.h:
	  restrict max mp3 buf to solve compatibility issue with FhG
	  directshow filter

2006-05-04 19:43  bouvigne

	* libmp3lame/psymodel.c:
	  attack detection: workaround against "low freq" periodic signals
	  (like trumpet)

2006-04-16 09:02  takehiro

	* configure.in:
	  better socket library configuration.

2006-04-16 07:06  takehiro

	* config.h.in, configure.in:
	  remove winsock check. It seems we do not need it anymore.

2006-04-08 07:12  takehiro

	* libmp3lame/id3tag.c:
	  fix genre tag spelling as reported by CrazySoul <hicrazysoul at
	  gmail com>

2006-04-08 07:08  takehiro

	* doc/html/id3.html:
	  fix spelling as reported by CrazySoul <hicrazysoul at gmail com>

2006-02-18 16:35  takehiro

	* frontend/get_audio.c:
	  remove redundant description.

2006-02-18 16:35  takehiro

	* frontend/main.c:
	  fix decoding problem when the output is stdout, reported by
	  john.edwards33
	  (sf.net bugid #1430719)

2006-02-03 06:52  vitaly-ivanov

	* dshow/README:
	  typo fix

2006-01-30 15:41  takehiro

	* frontend/get_audio.c:
	  fix error message when unsupported format AIFF file.
	  (related bugid #1414515,
	  http://sourceforge.net/tracker/index.php?func=detail&aid=1414515&group_id=290&atid=100290
	  )

2006-01-22 17:52  robert

	* include/lame.h, libmp3lame/encoder.c, libmp3lame/lame-analysis.h,
	  libmp3lame/lame.c, libmp3lame/psymodel.c, libmp3lame/quantize.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/reservoir.c, libmp3lame/util.h, libmp3lame/version.h:
	  bug fixes: psy code used long block ATH in short block case
	  workaround: quantization routines of new vbr code failed on
	  strong tonal
	  samples, due to over optimistic masking promises from psy model

2006-01-21 13:10  takehiro

	* libmp3lame/id3tag.c:
	  patch #1379187, "id3tag_write_v2 doesn't allocate enough memory
	  for track"

2005-12-21 21:41  robert

	* frontend/parse.c:
	  bug fix: implementation of the priority commandline switch did
	  not what
	  the documentation says (windows only)

2005-12-18 18:26  robert

	* frontend/brhist.c:
	  fixing display glitch with very long files

2005-12-05 15:57  takehiro

	* libmp3lame/id3tag.c:
	  fix id3v2 genre tag problem, reported by wylda@volny.
	  now LAME won't crash with "--id3v2-only --tg 14".

2005-11-29 21:21  robert

	* frontend/mp3rtp.c, frontend/mp3x.c:
	  commit was pending, needed for John33's decoding patch

2005-11-29 19:49  robert

	* doc/html/history.html:
	  updating history

2005-11-28 10:09  vitaly-ivanov

	* dshow/Encoder.h, dshow/Mpegac.cpp, dshow/Mpegac.h,
	  dshow/PropPage.cpp, dshow/PropPage.h, dshow/PropPage_adv.cpp,
	  dshow/PropPage_adv.h, dshow/Property.rc, dshow/README,
	  dshow/iaudioprops.h, dshow/resource.h:
	  Property page update - moved "set duration" check box to the
	  advanced page, added "allow sample overlap" check box (uncheck it
	  if downstream filter is Avi Mux, otherwise use it for better
	  video/audio synchronization - especially when capturing). Copying
	  terms update (README file)

2005-11-27 15:02  bouvigne

	* doc/html/history.html, doc/man/lame.1, frontend/parse.c,
	  libmp3lame/VbrTag.c, libmp3lame/bitstream.c,
	  libmp3lame/encoder.c, libmp3lame/fft.c, libmp3lame/lame.c,
	  libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	  libmp3lame/presets.c, libmp3lame/psymodel.c,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/reservoir.c, libmp3lame/set_get.c,
	  libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/vbrquantize.c:
	  merge from 3.97 branch

2005-11-22 22:15  robert

	* frontend/console.c, frontend/console.h, frontend/get_audio.c,
	  frontend/get_audio.h, frontend/gtkanal.c, frontend/lametime.c,
	  frontend/main.c, frontend/main.h, frontend/parse.c,
	  frontend/rtp.c:
	  John33's lame decoding fix

2005-11-20 14:24  takehiro

	* libmp3lame/gain_analysis.c:
	  fix built problem with Sun Studio 10, reported by Moinak Ghosh

2005-11-12 18:52  bouvigne

	* libmp3lame/gain_analysis.c:
	  speedup of silent parts analysis

2005-11-12 18:33  bouvigne

	* doc/html/history.html:
	  history from 3.97 branch

2005-11-12 18:21  bouvigne

	* Makefile.MSVC:
	  added console.c

2005-11-09 18:56  aleidinger

	* frontend/rtp.c:
	  Fix bug #1349332

2005-11-09 18:40  aleidinger

	* libmp3lame/id3tag.c:
	  Fix bug #1351021.

2005-11-05 16:35  aleidinger

	* doc/html/history.html:
	  add todays work

2005-11-05 16:20  aleidinger

	* libmp3lame/id3tag.c, libmp3lame/id3tag.h:
	  Add support for total number of tracks per album.
	  
	  Submitted by: Kyle VanderBeek <kylev@users.sourceforge.>
	  
	  While I'm here add some abort() calls in case we overflow some
	  arrays
	  (this is only compile tested, so pass me the pointy hat if it
	  fails).

2005-11-05 15:54  aleidinger

	* libmp3lame/id3tag.c:
	  Add id3v2 TLEN support.
	  
	  Submitted by: Linus Walleij <snirkel@users.sourceforge.>

2005-11-05 15:52  aleidinger

	* frontend/console.c:
	  some compilers really want the void nowadays...

2005-11-05 15:51  aleidinger

	* frontend/Makefile.in:
	  regen

2005-11-05 15:49  aleidinger

	* frontend/console.h:
	  make some pseudo prototypes to real prototypes (fixes gcc
	  warnings)

2005-11-05 15:48  aleidinger

	* frontend/Makefile.am:
	  console.[ch] is now mandatory, so build it

2005-11-05 15:47  aleidinger

	* include/lame.h:
	  remove redundant function prototypes (we need only one prototype)

2005-11-01 20:17  robert

	* frontend/console.c:
	  bug fix: FILE pointer may be NULL for DEBUGF

2005-11-01 13:54  robert

	* frontend/mp3rtp.c, frontend/rtp.c:
	  getting mp3rtp working again

2005-11-01 13:10  robert

	* frontend/mp3x.c:
	  replacing (f)printf by console_printf, error_printf and
	  report_printf. fixes the problem that some messages would be send
	  to stdout instead of stderr. added internal switch '--debug-file
	  <debugfile.txt>', allows to debug the code more comfortably by
	  writing DEBUGF(xyz) at code hot spots.

2005-11-01 13:01  robert

	* frontend/.indent.pro, frontend/amiga_mpega.c, frontend/brhist.c,
	  frontend/brhist.h, frontend/console.c, frontend/console.h,
	  frontend/get_audio.c, frontend/get_audio.h,
	  frontend/gpkplotting.c, frontend/gpkplotting.h,
	  frontend/gtkanal.c, frontend/gtkanal.h, frontend/lame_vc6.dsp,
	  frontend/lame_vc7.vcproj, frontend/lametime.c,
	  frontend/lametime.h, frontend/main.c, frontend/main.h,
	  frontend/mp3rtp.c, frontend/mp3x.c, frontend/mp3x_vc6.dsp,
	  frontend/mp3x_vc7.vcproj, frontend/parse.c, frontend/parse.h,
	  frontend/portableio.c, frontend/portableio.h, frontend/rtp.c,
	  frontend/rtp.h, frontend/timestatus.c, frontend/timestatus.h:
	  replacing (f)printf by console_printf, error_printf and
	  report_printf. fixes the problem that some messages would be send
	  to stdout instead of stderr. added internal switch '--debug-file
	  <debugfile.txt>', allows to debug the code more comfortably by
	  writing DEBUGF(xyz) at code hot spots.

2005-11-01 12:51  robert

	* Makefile.unix, configMS.h:
	  *** empty log message ***

2005-10-31 13:02  bouvigne

	* libmp3lame/quantize.c:
	  fixed bug 1227632

2005-10-31 13:01  bouvigne

	* libmp3lame/lame.c:
	  fixed bug 1337556

2005-10-31 13:00  bouvigne

	* frontend/main.c:
	  spelling of Takehiro's name

2005-10-10 07:06  rbrito

	* COPYING, debian/changelog, debian/copyright, debian/rules,
	  doc/man/lame.1:
	  Updated manpage to include accented characters;
	  Updated debian packaging;
	  Updated documentation to include the new FSF address.

2005-09-29 21:22  robert

	* libmp3lame/i386/fft3dn.nas:
	  taken from lame4 branch:
	  fix possible link problem on cygwin

2005-09-25 22:09  glessard

	* libmp3lame/quantize.c:
	  GCC 4 on OS X was choking on line 615.
	  Given the assignment on line 630, clearly 'work' isn't a pointer
	  to an array
	  of constants anyway.

2005-09-20 19:51  robert

	* libmp3lame/util.c:
	  fix wrong typing

2005-09-20 19:41  robert

	* libmp3lame/quantize.c, libmp3lame/vbrquantize.c,
	  libmp3lame/vbrquantize.h:
	  moved loop from quantize.c to vbrquantize.c

2005-09-20 19:38  robert

	* libmp3lame/util.c, libmp3lame/util.h:
	  malloc with n-bytes alignment

2005-09-20 09:19  robert

	* frontend/parse.c, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/set_get.c:
	  added internal developer switch to select between ISO and x^3/4
	  quantization
	  
	  --quantization-type n n=0: no change, n=1: ISO, n=2: x^3/4

2005-09-18 22:57  robert

	* libmp3lame/vbrquantize.c, libmp3lame/vbrquantize.h,
	  libmp3lame/version.h:
	  vbr new noise shaping: let lame abort in exceptional cases
	  
	  now on alpha 2

2005-09-18 21:38  robert

	* libmp3lame/encoder.c, libmp3lame/lame.c, libmp3lame/quantize.c,
	  libmp3lame/quantize.h, libmp3lame/util.h,
	  libmp3lame/vbrquantize.c:
	  vbr-new: bug fix for "searchGlobalStepSizeMax"
	  
	  demangling vbr_old and vbr_new code

2005-09-11 10:20  bouvigne

	* libmp3lame/version.h:
	  welcome to 3.98

2005-09-11 09:57  bouvigne

	* lame_vc7.sln:
	  missing file

2005-09-11 09:14  bouvigne

	* libmp3lame/version.h:
	  3.97b

2005-09-08 22:57  takehiro

	* doc/html/history.html:
	  fixed style.

2005-09-08 22:57  takehiro

	* doc/html/history.html:
	  added my changes for 3.97.

2005-09-08 02:44  rbrito

	* doc/man/lame.1:
	  Fixed typo.

2005-09-07 21:15  bouvigne

	* testcase.mp3:
	  updated testcase for 3.97b1

2005-09-06 18:24  bouvigne

	* doc/html/history.html:
	  typo

2005-09-05 21:24  bouvigne

	* doc/html/history.html, doc/html/index.html:
	  updated history for 3.97b

2005-09-05 20:49  bouvigne

	* frontend/parse.c:
	  -Vx short help

2005-09-05 04:29  rbrito

	* debian/changelog, debian/rules:
	  Update generation of package with full optimization, now that
	  compilation with GCC 4 works.

2005-09-04 19:52  aleidinger

	* ChangeLog:
	  Update with recent history.

2005-09-04 19:45  aleidinger

	* configure:
	  Regen.

2005-09-04 19:35  aleidinger

	* config.h.in:
	  Add the bits for largefile support.
	  
	  Submitted by: Diego "Flameeyes" Pettenò <flameeyes@gentoo.org>
	  Bug ID: 1271744

2005-09-04 19:11  aleidinger

	* configure.in:
	  Remove some flags which gcc 4.x doesn't understand anymore.
	  
	  Noticed by: Rogério Brito

2005-09-04 19:07  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  aclocal.m4, config.h.in, debian/Makefile.in, doc/Makefile.in,
	  doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	  frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:
	  Regen.

2005-09-04 19:05  aleidinger

	* depcomp, frontend/depcomp, install-sh, libmp3lame/depcomp,
	  ltmain.sh, misc/depcomp, missing, mkinstalldirs, mpglib/depcomp:
	  Update to recent autotools.

2005-09-04 19:02  aleidinger

	* frontend/Makefile.am:
	  Play catchup with the autotools.

2005-09-04 18:54  aleidinger

	* configure.in:
	  Initialize autoconf correctly (with lame mailinglist address).

2005-09-04 11:52  rbrito

	* doc/man/lame.1:
	  Fixed typo in manpage.

2005-09-02 18:09  bouvigne

	* frontend/parse.c:
	  fixed a stupid bug with --preset medium/standard/extreme

2005-09-01 18:12  bouvigne

	* libmp3lame/VbrTag.c:
	  320kbps cbr was flagged as "non optimal" in the info header

2005-08-28 17:30  bouvigne

	* frontend/parse.c, libmp3lame/version.h:
	  Changed the way "--preset xxx" is handled,
	  as I've seen many users passing "--preset standard --vbr-new".
	  Presets are now evaluated during initialisation, so this kind of
	  command
	  line now properly works.

2005-08-28 17:02  bouvigne

	* Makefile.MSVC, frontend/parse.c, libmp3lame/lame.c,
	  libmp3lame/version.c, libmp3lame/version.h:
	  64bits build from within win64 platform sdk

2005-08-27 08:25  takehiro

	* configure, configure.in:
	  fix for configure problem reported by Steven P. Ulrick.

2005-08-25 12:14  takehiro

	* debian/Makefile.am, debian/Makefile.in:
	  follow the file name change.

2005-08-21 17:32  bouvigne

	* ACM/ADbg/ADbg_vc7.vcproj, ACM/ADbg/Makefile.am, ACM/Makefile.am,
	  ACM/lameACM_vc7.vcproj, ACM/tinyxml/Makefile.am,
	  ACM/tinyxml/tinyxml_vc7.vcproj, Dll/LameDll_vc7.vcproj,
	  Dll/Makefile.am, Makefile.am, frontend/Makefile.am,
	  frontend/lame_vc7.vcproj, frontend/mp3x_vc7.vcproj,
	  libmp3lame/Makefile.am, libmp3lame/libmp3lame_vc7.vcproj,
	  mpglib/Makefile.am, mpglib/mpglib_vc7.vcproj:
	  added project files for VC7

2005-08-20 17:48  bouvigne

	* doc/html/switchs.html:
	  typo

2005-08-16 07:56  rbrito

	* debian/changelog, debian/control:
	  Make libmp3lame0 provide and replace liblame0, not conflict with
	  it.

2005-08-16 07:11  rbrito

	* debian/changelog, debian/control, debian/libmp3lame0-dev.files:
	  Fixed development package to not include shared libraries.
	  Other misc fixes.
	  
	  Yet more to come.

2005-08-15 04:25  rbrito

	* debian/changelog, debian/control, debian/liblame0-dev.docs,
	  debian/liblame0-dev.files, debian/liblame0.files,
	  debian/libmp3lame0-dev.docs, debian/libmp3lame0-dev.files,
	  debian/libmp3lame0.files, debian/rules:
	  Update Debian packaging so that the library packages follow the
	  SONAME
	  rules.
	  
	  Also incorporate some changes from Christian Marillat's packages
	  in the
	  basic lame package.
	  
	  More changes to come soon.

2005-08-07 14:07  takehiro

	* doc/man/lame.1:
	  when the input is raw, the input file will be treated as native
	  endian.
	  (bugid 1158189)

2005-08-07 13:24  bouvigne

	* doc/html/switchs.html:
	  update of stereo modes description

2005-08-05 15:22  takehiro

	* doc/man/lame.1:
	  added "per sample" for the description of --bitwidth option.
	  (bugid #1158196)

2005-08-05 09:22  vitaly-ivanov

	* dshow/Mpegac.cpp, dshow/Mpegac.h:
	  Another timestamp fix. Added additional resynchronization points
	  (now there are 4 resynch points) in order to implement absolutely
	  accurate in-out synchronization

2005-08-04 01:42  rbrito

	* debian/changelog, debian/control, debian/rules:
	  Updates for Debian packaging.

2005-08-04 01:40  rbrito

	* doc/man/lame.1:
	  Documentation of switches: --{un,}signed and
	  --{big,little}-endian.

2005-08-01 13:10  vitaly-ivanov

	* dshow/Mpegac.cpp, dshow/Property.rc:
	  Output timestamps fix. There was a serious bug when input audio
	  samples had time gaps between each other - DirectShow timestamps
	  for output samples were calculated wrong in this case

2005-07-28 13:05  rbrito

	* doc/html/basic.html, doc/html/contributors.html,
	  doc/html/examples.html, doc/html/history.html, doc/html/id3.html,
	  doc/html/switchs.html:
	  Minor spelling corrections and other fixes to documentation.

2005-07-28 13:02  rbrito

	* debian/rules:
	  Safe version for compilation with GCC 4.

2005-07-27 21:49  rbrito

	* doc/html/presets.html, doc/html/switchs.html:
	  Spelling fixes for documentation.

2005-07-27 21:38  rbrito

	* doc/man/lame.1:
	  Include description of the "medium" preset in the manpage.
	  
	  Fix some spelling errors on the manpage.

2005-07-27 08:43  rbrito

	* debian/changelog, debian/control, debian/lame.manpages,
	  debian/rules, doc/man/lame.1:
	  Small fixes for lame manpage to make lintian happy. More updates
	  to come.

2005-07-27 07:41  rbrito

	* debian/changelog:
	  Preparation for the new beta release. More changes to come.

2005-07-10 16:13  bouvigne

	* libmp3lame/presets.c, libmp3lame/version.h:
	  alpha 11: update of abr/cbr 160-320

2005-06-29 12:26  vitaly-ivanov

	* dshow/Encoder.cpp, dshow/PropPage.cpp, dshow/PropPage_adv.cpp,
	  dshow/Property.rc:
	  Joint / Standard stereo selection fix. Got rid of automatic joint
	  stereo encoding when the bit rate is relatively low, now it's up
	  to the user

2005-06-25 08:15  vitaly-ivanov

	* dshow, dshow/Encoder.h, dshow/Property.rc, dshow/aboutprp.cpp:
	  *** empty log message ***

2005-06-24 10:04  vitaly-ivanov

	* dshow, dshow/Encoder.cpp, dshow/Encoder.h, dshow/Mpegac.cpp,
	  dshow/Mpegac.def, dshow/Mpegac.h, dshow/PropPage.cpp,
	  dshow/PropPage.h, dshow/PropPage_adv.cpp, dshow/PropPage_adv.h,
	  dshow/Property.rc, dshow/README, dshow/REG.CPP, dshow/UIDS.H,
	  dshow/aboutprp.cpp, dshow/aboutprp.h, dshow/dshow.dsp,
	  dshow/dshow.dsw, dshow/iaudioprops.h, dshow/resource.h:
	  *** empty log message ***

2005-06-24 09:37  vitaly-ivanov

	* dshow/REG.H:
	  *** empty log message ***

2005-05-29 16:10  takehiro

	* debian/changelog, debian/control:
	  fixed version number (upstream -> downstream)
	  
	  patch from Jack, from
	  http://sourceforge.net/tracker/index.php?func=detail&aid=1201172&group_id=290&atid=100290

2005-05-25 14:17  takehiro

	* frontend/get_audio.c, frontend/parse.c:
	  fixed output message even when "--silent"
	  (bug #1145932)

2005-05-25 13:56  takehiro

	* libmp3lame/lame.c:
	  fix format strings to print out the "float" value.
	  (bug #1207470)

2005-05-25 13:47  takehiro

	* frontend/parse.c:
	  removed -Z option description, which has no effects currently.

2005-03-20 17:28  bouvigne

	* libmp3lame/encoder.c, libmp3lame/lame.c, libmp3lame/presets.c,
	  libmp3lame/quantize.c, libmp3lame/quantize.h:
	  allow masking adjustements in ABR/CBR

2005-03-19 18:34  bouvigne

	* libmp3lame/version.h:
	  alpha 10

2005-03-19 17:51  bouvigne

	* libmp3lame/presets.c:
	  updated vbr 0/1/2/3 presets

2005-03-19 15:04  bouvigne

	* libmp3lame/quantize_pvt.c:
	  also use nssfb21 in short blocks

2005-03-19 15:03  bouvigne

	* libmp3lame/quantize.c:
	  typo

2005-03-19 14:44  bouvigne

	* libmp3lame/quantize.c:
	  updated psfb21 analog silence detection

2005-03-18 05:26  rbrito

	* debian/changelog, debian/control, debian/rules, doc/man/lame.1:
	  Slight modifications to debian packaging (with more to come).
	  Minor changes to the frontend manpage.

2005-03-15 00:26  robert

	* libmp3lame/vbrquantize.c:
	  yet another -Y thing: calc_xmin does not compute upto
	  max_nonzero_coeff
	  in the -Y case.

2005-03-14 22:32  robert

	* libmp3lame/vbrquantize.c:
	  bugfix for vbr-new when sub block gain violates IXMAXVAL
	  constrain in -Y case

2005-03-14 21:53  robert

	* libmp3lame/quantize_pvt.c:
	  removed an assert in calc_noise_core_c
	  cod_info->count1 == 0 seems to be a common case

2005-03-13 17:20  robert

	* libmp3lame/presets.c:
	  removing placebo -bx from fast presets
	  it's a placebo with vbr-old too, but keep it that way a little
	  bit longer

2005-03-13 17:01  robert

	* frontend/mp3x.c:
	  forgot to commit this one, removed unused parameter from usage
	  parameter list

2005-03-13 14:46  robert

	* libmp3lame/encoder.c, libmp3lame/set_get.c, libmp3lame/version.c,
	  libmp3lame/version.h:
	  removing unused ATH auto adjust types. JDs is now the only one

2005-03-13 14:43  robert

	* ACM/ACM.cpp:
	  version

2005-03-13 14:42  robert

	* frontend/main.c, frontend/parse.c, frontend/parse.h:
	  print helptext for internal switches only when internal switches
	  are available

2005-03-12 23:01  robert

	* libmp3lame/vbrquantize.c:
	  vbr-new: fixing the -Y bug, that sfb21 wasn't quantized at all

2005-03-12 17:39  bouvigne

	* libmp3lame/lame.c:
	  fix: q2 and higher were NOT enabling substep shaping 2

2005-03-12 17:38  bouvigne

	* mpglib/mpg123.h:
	  fix for replaygain-accurate

2005-03-08 23:07  robert

	* Makefile.unix, frontend/parse.c, libmp3lame/VbrTag.c,
	  libmp3lame/bitstream.c, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/presets.c,
	  libmp3lame/set_get.c, libmp3lame/util.h:
	  removing some unused member of lame_internal_flags structure

2005-03-06 18:59  bouvigne

	* libmp3lame/takehiro.c:
	  faster noquant_count_bits

2005-03-06 16:56  bouvigne

	* doc/html/history.html:
	  history

2005-03-06 16:17  bouvigne

	* libmp3lame/presets.c, libmp3lame/version.h:
	  updated V3 and V2 presets

2005-03-05 18:26  bouvigne

	* libmp3lame/quantize.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/takehiro.c, libmp3lame/vbrquantize.c:
	  slightly faster quantization (not totally sure if it is really
	  faster)
	  
	  Also fixed a severe bug in ISO quantization when not using the
	  IEEE hack

2005-03-05 13:45  bouvigne

	* configMS.h, libmp3lame/lame.c, libmp3lame/quantize.c,
	  libmp3lame/util.h:
	  update of the intrinsics coding style

2005-03-05 12:40  bouvigne

	* libmp3lame/quantize_pvt.c:
	  minor speed increase in calc_noise

2005-02-28 22:45  bouvigne

	* libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/util.h:
	  calc_noise is back to the C version

2005-02-27 22:03  bouvigne

	* libmp3lame/quantize_pvt.c:
	  calc_noise:
	  fixed an assertion failure in frames with no big_values

2005-02-27 20:43  bouvigne

	* libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/util.h:
	  sse version of calc_noise (speedup is very small)

2005-02-27 15:09  bouvigne

	* configMS.h, libmp3lame/quantize.c, libmp3lame/util.h:
	  slightly faster init_xrpow_core_sse

2005-02-26 06:21  takehiro

	* frontend/get_audio.c:
	  fix mp3 frame # estimation (bugid #934072).

2005-02-25 19:01  bouvigne

	* configMS.h:
	  intrinsics support for ICL

2005-02-25 01:21  robert

	* frontend/brhist.c, frontend/timestatus.c:
	  RH_HIST: don't print unused channel modes and block types

2005-02-24 00:27  robert

	* frontend/brhist.c:
	  fix scrolling problem I introduced with the last commit

2005-02-23 17:58  bouvigne

	* libmp3lame/quantize_pvt.c:
	  slightly faster calc_noise

2005-02-22 02:06  robert

	* libmp3lame/psymodel.c:
	  Compile time option to enable GPSYCHO like block type switching
	  in NSPSYTUNE.
	  Due to differences in convolution, the switching does not happen
	  exactly
	  as in GPSYCHO. (disabled by default, edit psymodel.c to activate)

2005-02-19 22:47  robert

	* frontend/brhist.c, frontend/brhist.h, frontend/main.c:
	  some statistics about block type distribution

2005-02-19 18:48  bouvigne

	* configMS.h:
	  conditionnal intrinsics support for MSVC (probably also works for
	  ICL)

2005-02-19 15:32  bouvigne

	* libmp3lame/lame.c, libmp3lame/quantize.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/util.h:
	  SSE intrinsic version of init_xrpow
	  It is now using 1% of total time (using 4% in the standard
	  version)

2005-02-13 14:42  bouvigne

	* libmp3lame/psymodel.c:
	  minor speedup

2005-02-07 22:02  robert

	* configure.in, libmp3lame/Makefile.am, libmp3lame/Makefile.in:
	  fixing mingw32 configure problems

2005-02-06 23:05  robert

	* libmp3lame/quantize.c, libmp3lame/vbrquantize.c,
	  libmp3lame/vbrquantize.h:
	  some MSVC warning level 4 issues resolved

2005-02-06 20:23  robert

	* libmp3lame/quantize.c, libmp3lame/takehiro.c,
	  libmp3lame/vbrquantize.c:
	  resolved compiler warnings

2005-02-06 19:49  robert

	* libmp3lame/lame.c, libmp3lame/machine.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/util.c, libmp3lame/util.h,
	  libmp3lame/vbrquantize.c:
	  lame.c: fixed lost break in lame_init_parms
	  reduced calloc/free calls (where called once per frame, now once
	  per run)
	  machine.h: removed IIPOW20
	  util.c, util.h: removed VBR_t, added in_buffer_[0/1] to
	  lame_internal_flags
	  vbrquantize.c: fixed some small rounding problem in quantize
	  routines

2005-02-05 14:14  robert

	* libmp3lame/vbrquantize.c:
	  eleminating dead code
	  expanding preprocessor defines
	  works probably not with GPsycho anymore, but NSPSYTUNE only
	  (G.not tested)
	  doesn't try to use 126 bits at minimum per granule anymore, less
	  bloating
	  on mono like signals where the difference signal is almost zero.

2005-02-05 13:32  bouvigne

	* libmp3lame/version.h:
	  bumped alpha

2005-02-05 13:31  bouvigne

	* libmp3lame/lame.c:
	  enabled ath adjustment for abr/cbr

2005-02-04 18:34  bouvigne

	* libmp3lame/lame.c:
	  sorry, I shouldn't have commited this one

2005-02-01 10:29  bouvigne

	* libmp3lame/bitstream.c, libmp3lame/lame.c, libmp3lame/takehiro.c:
	  reduced warnings

2005-01-30 22:31  robert

	* Makefile.unix, libmp3lame/vbrquantize.c:
	  scalefactor allocation should work now as expected

2005-01-30 22:27  robert

	* libmp3lame/machine.h, libmp3lame/quantize_pvt.c,
	  libmp3lame/quantize_pvt.h:
	  off by one bug:
	  we do access iipow20 by values in [0,Q_MAX2] inclusive,
	  that makes Q_MAX2+1 entries in total

2005-01-29 19:40  bouvigne

	* libmp3lame/presets.c:
	  updated vbr presets 9 to 4

2005-01-29 18:42  bouvigne

	* libmp3lame/takehiro.c:
	  fixed a crash

2005-01-29 18:11  bouvigne

	* libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/takehiro.c:
	  quantize_xrpow: also re-use previously computed data in short
	  blocks

2005-01-25 21:47  bouvigne

	* libmp3lame/quantize.c:
	  X9: more bits into reservoir

2005-01-23 16:25  bouvigne

	* libmp3lame/takehiro.c:
	  oops, quantize_xrpow optimization has been accidentally disabled
	  in november

2005-01-23 14:27  bouvigne

	* libmp3lame/lame.c:
	  reinstated old q1 (increase only 1 sf per iteration)

2005-01-22 18:15  bouvigne

	* libmp3lame/quantize_pvt.c:
	  problem with q1 and q0 finally found.
	  I am unable to trace it prior to "the big 3.94 merge".

2005-01-20 16:38  takehiro

	* libmp3lame/quantize.c:
	  to clarify the relationship of "if-then-else" and suppress
	  warnings from gcc,
	  added braces.

2005-01-13 19:18  bouvigne

	* libmp3lame/version.h:
	  bump alpha

2005-01-13 19:17  bouvigne

	* libmp3lame/quantize.c, libmp3lame/quantize_pvt.h:
	  use bits in quant_comp

2005-01-13 18:54  bouvigne

	* libmp3lame/presets.c:
	  updated ath values for abr/cbr

2005-01-13 18:20  bouvigne

	* frontend/gtkanal.c, libmp3lame/lame-analysis.h,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/quantize_pvt.h:
	  Replaced X9 by the former X10 (ssd).
	  The abr/cbr modes are using this comparison

2005-01-10 09:23  takehiro

	* libmp3lame/quantize_pvt.c:
	  seems it cannot build on Linux and some Unix.
	  to fix this, I changed max() -> Max().

2005-01-09 17:31  bouvigne

	* frontend/gtkanal.c, libmp3lame/lame-analysis.h:
	  display SSD in mp3x

2005-01-09 17:31  bouvigne

	* libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/quantize_pvt.h:
	  do not compute noise if best quant has no distorted band and
	  current quant
	  is bigger than the best one

2005-01-08 11:47  bouvigne

	* libmp3lame/version.h:
	  bumped alpha

2005-01-08 11:46  bouvigne

	* libmp3lame/psymodel.c:
	  limited ATH effect in short blocks.
	  This is fundamentally wrong, but otherwise it produces bad
	  quality

2005-01-08 10:58  bouvigne

	* libmp3lame/lame.c, libmp3lame/presets.c, libmp3lame/quantize.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h:
	  updated VBR presets to match the cbr/abr changes
	  (also corrected the --cbr behavior)

2005-01-08 10:56  bouvigne

	* doc/html/history.html:
	  history

2004-12-31 12:07  takehiro

	* frontend/main.c:
	  merge 1.73.2.34 -> 1.73.2.35
	  fix it outputs CR even when --silent/--quiet
	  (bug #973302)

2004-12-31 11:26  takehiro

	* frontend/mp3rtp.c:
	  fix buffer overrun(same in my experimental branch).

2004-12-27 16:13  bouvigne

	* libmp3lame/lame.c:
	  cbr/abr: adjusted lowpass

2004-12-27 15:32  bouvigne

	* libmp3lame/presets.c:
	  abr/cbr: adjusted m/s and short/long

2004-11-29 23:41  takehiro

	* libmp3lame/psymodel.c:
	  fix ATHlower is always "0".

2004-11-28 19:10  bouvigne

	* libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/takehiro.c:
	  some FLOAT -> int

2004-11-28 18:21  takehiro

	* Dll/BladeMP3EncDLL.c:
	  added brancket to fix bugid#1003342 on sf.net

2004-11-17 19:54  bouvigne

	* libmp3lame/quantize.c, libmp3lame/util.h:
	  noise shaping type 3:
	  amplify bands within 50% of distortion,
	  then refine by amplifying the most distorted band

2004-10-24 14:26  bouvigne

	* libmp3lame/version.h:
	  bump alpha

2004-10-24 14:25  bouvigne

	* libmp3lame/lame.c:
	  reworked -q values:
	  noise_shaping_amp 2 removed
	  full Huffman search removed in q0
	  full outer loop search enabled in q0

2004-10-24 14:22  bouvigne

	* libmp3lame/quantize.c, libmp3lame/util.h:
	  full outer loop search:
	  allows to search for better quantization until global_gain==255

2004-08-19 19:49  bouvigne

	* doc/html/history.html:
	  added 3.96.1

2004-08-19 19:36  bouvigne

	* doc/html/modes.html:
	  spelling, clarifications

2004-07-21 18:46  bouvigne

	* ACM/ACM.cpp:
	  fix by Dmitriy Startsev

2004-07-11 18:12  bouvigne

	* ACM/acm.rc:
	  updated version number because of recent fixes

2004-07-11 18:11  bouvigne

	* ACM/ACMStream.cpp:
	  fixed a potential crash

2004-07-11 18:05  bouvigne

	* ACM/ACM.cpp:
	  Should fix the display issue under win95

2004-07-11 17:11  bouvigne

	* ACM/ACM.cpp:
	  fix crash when used through directshow.
	  It still does not work in this configuration, but at least it
	  does not crash anymore.

2004-06-27 13:02  bouvigne

	* libmp3lame/psymodel.c:
	  fixed short block detection using mid and side channels

2004-06-26 15:35  bouvigne

	* libmp3lame/encoder.c:
	  lame_encode_frame_init

2004-06-20 17:28  bouvigne

	* doc/html/history.html, libmp3lame/lame.c:
	  restored use of padding when not using bit reservoir

2004-06-18 19:15  bouvigne

	* libmp3lame/VbrTag.c, libmp3lame/bitstream.c,
	  libmp3lame/encoder.c, libmp3lame/l3side.h, libmp3lame/lame.c,
	  libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	  libmp3lame/psymodel.c, libmp3lame/quantize.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/reservoir.c, libmp3lame/takehiro.c, libmp3lame/util.c,
	  libmp3lame/util.h, libmp3lame/vbrquantize.c,
	  libmp3lame/vbrquantize.h, libmp3lame/version.h:
	  FLOAT8 -> FLOAT

2004-06-06 15:31  bouvigne

	* frontend/gpkplotting.c, frontend/gtkanal.c:
	  more explicit display of noise values

2004-06-06 14:15  bouvigne

	* frontend/gtkanal.c:
	  display more scalefactor band splitting lines.
	  (as in exp branch)

2004-06-06 09:48  bouvigne

	* doc/html/history.html:
	  history

2004-06-05 15:46  bouvigne

	* libmp3lame/quantize.c:
	  small speedup: init_xrpow only up to max non-zero coeff

2004-05-31 17:35  bouvigne

	* libmp3lame/takehiro.c:
	  reduced the number of calls to quantization function

2004-05-27 23:55  robert

	* libmp3lame/version.h:
	  now at 3.97 alpha 2

2004-05-27 23:52  robert

	* libmp3lame/takehiro.c, libmp3lame/vbrquantize.c:
	  bug fix for lame crashing occasionally when using --vbr-new
	  PS: scalefactor allocation is still not optimal

2004-05-26 21:37  bouvigne

	* libmp3lame/takehiro.c:
	  fixed a stupid bug

2004-05-26 21:04  bouvigne

	* libmp3lame/takehiro.c:
	  fixed a bug in quantize_xrpow, but it is still crashing
	  Oddly, cbr/abr are working fine, and low vbr settings are also
	  working fine.
	  -V2 is not working

2004-05-23 13:16  bouvigne

	* libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/takehiro.c, libmp3lame/util.h:
	  Use function pointer to select between quantization methods.
	  This should ease plugin of vectorized versions

2004-05-23 12:47  bouvigne

	* libmp3lame/takehiro.c:
	  factorized code which is selecting which lines to quantize

2004-05-23 12:43  bouvigne

	* configMS.h:
	  version

2004-05-14 19:29  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/ddk/Makefile.in,
	  ACM/tinyxml/Makefile.in, Dll/Makefile.in, Makefile.in,
	  aclocal.m4, configure, debian/Makefile.in, doc/Makefile.in,
	  doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	  frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:
	  regen with new auto* version

2004-05-14 19:20  aleidinger

	* depcomp, frontend/depcomp, install-sh, libmp3lame/depcomp,
	  missing, mpglib/depcomp:
	  update to a new version

2004-05-14 19:12  aleidinger

	* testcase.mp3:
	  update it to have a more sane number

2004-05-14 19:11  aleidinger

	* Makefile.am:
	  Tell the users that they do not have to care about the output of
	  make test.

2004-04-25 12:33  bouvigne

	* frontend/gtkanal.c:
	  fixed mp3x monopolizing processor in its idle loop

2004-04-25 06:13  takehiro

	* libmp3lame/psymodel.c:
	  fix bug id 921798
	  http://sourceforge.net/tracker/index.php?func=detail&aid=921798&group_id=290&atid=100290
	  
	  This is reported as bug for "BCC", but it may happen for every
	  compiler.

2004-04-24 18:29  olcios

	* libmp3lame/gain_analysis.h:
	  changed some constants' types to long

2004-04-24 17:47  olcios

	* libmp3lame/gain_analysis.c, libmp3lame/gain_analysis.h:
	  A better fix for the FP x86 problem. Provided by Andrew Church.
	  Modified by olcios.

2004-04-14 22:15  robert

	* frontend/get_audio.c, mpglib/common.c, mpglib/common.h,
	  mpglib/dct64_i386.c, mpglib/decode_i386.c, mpglib/interface.c,
	  mpglib/layer1.c, mpglib/layer2.c, mpglib/layer2.h,
	  mpglib/layer3.c, mpglib/layer3.h, mpglib/mpg123.h,
	  mpglib/mpglib.h, mpglib/tabinit.c:
	  fixing the decoding issue with the reported "Christmas" song.
	  I've taken Takehiro's modifications and getting the same output
	  as he does on his 4.0 branch. Imho this is not the best solution
	  to the given problem, but it works for now.

2004-04-12 12:29  aleidinger

	* debian/lame.docs:
	  PRESETS.draft does not exists anymore.

2004-04-11 15:39  glessard

	* frontend/main.c, include/lame.h, libmp3lame/set_get.c:
	  Added two sets of set/get functions to the API. They modify and
	  read the
	  nogap_total and nogap_current variables of the internal_flags
	  struct.
	  Added calls to these functions to the gapless-encoding loop of
	  the frontend.

2004-04-11 15:06  aleidinger

	* ChangeLog:
	  update

2004-04-11 15:04  aleidinger

	* configure:
	  regen

2004-04-11 15:00  aleidinger

	* config.h.in:
	  Add some missing LARGEFILE pieces. This patch is also in the
	  generated
	  lame-3.96 tarball, it just enters the CVS repository for 3.97 for
	  organizational reasons.

2004-04-11 14:58  aleidinger

	* configure.in:
	  Welcome to lame 3.97.

2004-04-11 13:05  bouvigne

	* libmp3lame/version.h:
	  3.97a1

2004-04-11 13:03  bouvigne

	* libmp3lame/version.h:
	  release 3.96

2004-04-11 13:03  bouvigne

	* doc/html/history.html:
	  history

2004-04-11 13:02  bouvigne

	* debian/changelog:
	  updated debian changelog

2004-04-11 13:01  bouvigne

	* libmp3lame/presets.c:
	  use X9 to select abr/cbr quantization,
	  use sfscale up to 160kbps

2004-04-11 12:50  bouvigne

	* Makefile.in:
	  manually updated Makefile.in

2004-04-03 17:28  bouvigne

	* frontend/gtkanal.c, libmp3lame/lame-analysis.h,
	  libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	  libmp3lame/quantize_pvt.h:
	  Add X9 quantization selection method.
	  It increases applaud.wav substancially.
	  Not enabled by default

2004-03-28 13:11  bouvigne

	* libmp3lame/version.h:
	  3.96 beta 2

2004-03-28 13:10  bouvigne

	* doc/html/history.html:
	  history

2004-03-28 13:10  bouvigne

	* libmp3lame/presets.c:
	  updated minimal bitrate for V1 and V2

2004-03-23 22:17  robert

	* Makefile.unix, libmp3lame/vbrquantize.c:
	  rewritten vbr-new
	  
	  the scalefactor allocation functions take into account now, that
	  some
	  minimal scalefactor has to be used (the less IXMAX_VAL case)
	  
	  the output of vbr-new is not bit identical to previous ones, but
	  the
	  code is much more straight forward now.

2004-03-23 22:11  robert

	* libmp3lame/util.c:
	  patch for resampling code, found by Takehiro
	  
	  this patch removes some unneccessary integer rounding
	  resulting mp3s where bit identical, but resampling is faster now

2004-03-23 03:07  olcios

	* frontend/parse.c:
	  fixed a compile-time issue in --longhelp

2004-03-23 01:57  olcios

	* USAGE, doc/html/switchs.html, doc/man/lame.1, frontend/main.c,
	  frontend/parse.c, include/lame.h, libmp3lame/VbrTag.c,
	  libmp3lame/bitstream.c, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/set_get.c,
	  libmp3lame/util.h:
	  1. added --noreplaygain switch that disables RG 2. added
	  --replaygain-fast switch that complements --replaygain-accurate.
	  The new switch is enabled by default in the frontend. 3. Made RG
	  analysis no longer default in libmp3lib. RG can still be fully
	  controlled via the libmp3lib interface, but for other interfaces,
	  like DLL or ACM, that provide no RG control, RG analysis is now
	  _disabled_. 4. updated documentation

2004-03-19 22:09  olcios

	* libmp3lame/gain_analysis.c:
	  changed the pre-processor condition related to the x86's extended
	  FP bug when compiled by GCC with optimizations

2004-03-19 18:18  olcios

	* libmp3lame/gain_analysis.c:
	  improved comment

2004-03-19 13:17  olcios

	* libmp3lame/gain_analysis.c:
	  workaround for the gcc ceil() bug when compiled with
	  optimizations

2004-03-18 22:00  olcios

	* libmp3lame/gain_analysis.h:
	  fixed compile-time problem with uint32_t on gcc

2004-03-18 14:27  aleidinger

	* libmp3lame/gain_analysis.c, libmp3lame/gain_analysis.h:
	  Replace Uint32_t and Int32_t with uint32_t and int32_t. There are
	  only few
	  instances of them used, so there's no need to typedef new types
	  for them.
	  
	  I hope this fixes problems on OSX reported on lame-dev.
	  
	  While I'm here, fix a cast (rgData->sampleWindow is long, not
	  int).

2004-03-17 18:56  aleidinger

	* libmp3lame/bitstream.c, libmp3lame/gain_analysis.c,
	  libmp3lame/gain_analysis.h, libmp3lame/lame.c:
	  - remove config.h (prerequisite) include from gain_analysis.h
	  - make sure prerequisites get included in every file before
	  gain_analysis.h

2004-03-14 18:22  bouvigne

	* libmp3lame/gain_analysis.h:
	  solved the potential data type problem

2004-03-11 23:43  olcios

	* libmp3lame/bitstream.c:
	  fixed a bug related to the usage of mpglib when decoding on the
	  fly

2004-03-11 19:35  olcios

	* libmp3lame/lame.c:
	  fixed compile-time problem when mpglib is disabled

2004-03-10 20:49  robert

	* doc/html/contributors.html, doc/html/history.html:
	  history

2004-03-10 00:50  robert

	* mpglib/interface.c:
	  patch for freeformat decoding bug

2004-03-09 19:04  bouvigne

	* libmp3lame/lame.c:
	  typo

2004-03-09 00:35  robert

	* libmp3lame/vbrquantize.c:
	  found a sample which did not give bit identical result with the
	  previous
	  patch. found out why and corrected it, so now the results for
	  find_scalefac_ave_[x34|ISO] are identical to the original code,
	  but --preset fast standard is ~7 percent faster now.

2004-03-08 00:54  robert

	* libmp3lame/vbrquantize.c:
	  faster "find_scalefac_ave_[x34|ISO]":
	  this patch gave bit identical results on all tested samples
	  compared to
	  previous version, so I'm pretty much confident that I don't
	  introduce
	  a new bug here.
	  the speeding up of this functions results in an overall speed
	  increase of
	  almost 7 percent for --preset fast standard

2004-03-07 23:55  robert

	* Makefile.MSVC, Makefile.unix:
	  in case of single precision (FLOAT8==float) we have to make sure
	  that
	  the mpglib uses REAL==float too. otherwise the decoder will moan
	  about
	  too small buffers

2004-03-06 15:36  bouvigne

	* libmp3lame/version.h:
	  entering beta stage

2004-03-06 15:34  bouvigne

	* doc/html/history.html:
	  history

2004-03-01 22:21  robert

	* configMS.h, libmp3lame/version.h:
	  we are now at 3.96 alpha 4

2004-03-01 22:20  robert

	* libmp3lame/psymodel.c:
	  bug fix: the highly optimized loops did an off by one access
	  resulting
	  in often invalid energy and threshold calculations. (both psy
	  models
	  affected). added a workaround and some assertions.

2004-02-29 19:55  robert

	* libmp3lame/bitstream.c, libmp3lame/takehiro.c:
	  fixing the "huffman decode overrun" and "mp3x problem"

2004-02-29 18:20  bouvigne

	* doc/html/contributors.html, doc/html/history.html:
	  no message

2004-02-29 17:17  takehiro

	* mpglib/layer1.c:
	  fix layer1 decoding bug

2004-02-26 17:20  takehiro

	* frontend/get_audio.c:
	  fixed Layer2 decoding bug reported by Goran Markovic

2004-02-25 22:10  robert

	* libmp3lame/util.c:
	  fixing some aliasing problem in fastlog2 calculation

2004-02-25 21:46  robert

	* libmp3lame/vbrquantize.c:
	  getting rid of a warning about a function being defined but not
	  used

2004-02-25 21:46  robert

	* libmp3lame/gain_analysis.c:
	  fixing code relying on compiler implementation details

2004-02-25 21:41  robert

	* frontend/parse.c, libmp3lame/VbrTag.c, libmp3lame/lame.c,
	  libmp3lame/psymodel.c, libmp3lame/quantize.c,
	  libmp3lame/set_get.c, libmp3lame/util.c:
	  getting rid of some compiler warnings:
	  - about too long string constants
	  - about C++ stylish comments
	  there is still a warning about the use of a C99 hexadecimal
	  floating
	  constant in portableio.c. will this compile on older C-compilers?

2004-02-24 01:57  olcios

	* libmp3lame/lame.c:
	  fixed a bug with --resample and ReplayGain analysis of input
	  data. With certain parameters the data sent to analysis was
	  mangled (some samples missing, some doubled, some in the wrong
	  order). With most natural music the error wasn't vast (below
	  1dB), but with e.g. a sine wave the gain error was audible.

2004-02-23 19:48  bouvigne

	* libmp3lame/gain_analysis.h:
	  now works under gcc, but I am not sure about the typedefs on
	  different platforms.

2004-02-23 18:53  bouvigne

	* libmp3lame/gain_analysis.h, libmp3lame/util.h:
	  moved replaygain_t to gain_analysis.h

2004-02-22 21:17  bouvigne

	* libmp3lame/bitstream.c, libmp3lame/gain_analysis.c,
	  libmp3lame/gain_analysis.h, libmp3lame/lame.c, libmp3lame/util.c,
	  libmp3lame/util.h:
	  made ReplayGain reentrant

2004-02-22 21:16  bouvigne

	* libmp3lame/quantize_pvt.c:
	  yet another "usefullsize" bug (found by passing the python tests)

2004-02-22 21:14  bouvigne

	* test/CBRABR.op, test/VBR.op, test/misc.op, test/shortCBRABR.op,
	  test/shortVBR.op:
	  Updated test files.
	  As the cbr/abr and vbr ones are quite long, I also added some
	  short ones.

2004-02-17 00:37  robert

	* libmp3lame/lame.c:
	  bug fix: in mono mode all block type where of short type due to
	  forced
	  block type coupling

2004-02-16 21:51  robert

	* libmp3lame/gain_analysis.c:
	  bug fix by John Edwards (48 kHz replay gain segmentation fault)

2004-02-15 21:39  robert

	* libmp3lame/lame.c, libmp3lame/vbrquantize.c:
	  standard ISO quantization for vbr-mtrh

2004-02-15 19:05  robert

	* libmp3lame/lame.c, libmp3lame/takehiro.c:
	  bug fix: usefullsize may become negativ due to some optimizations

2004-02-15 01:20  robert

	* libmp3lame/takehiro.c:
	  a simple -V9 -f line lets LAME crash,
	  there seems to be something wrong with scalefactor width
	  at least my inserted assertions indicate this

2004-02-10 02:04  robert

	* libmp3lame/vbrquantize.c:
	  try to make some use of max_nonzero_coeff in vbr-mtrh

2004-02-08 19:00  bouvigne

	* libmp3lame/presets.c:
	  reduced the number of short blocks

2004-02-08 14:08  bouvigne

	* Makefile.am, lame.dsw:
	  removed old workspace

2004-02-08 12:44  bouvigne

	* libmp3lame/quantize_pvt.c, libmp3lame/takehiro.c:
	  inverted a while statement, some int ->unsigned.
	  I hope that they will be safe this time.

2004-02-08 03:10  robert

	* libmp3lame/takehiro.c:
	  sorry Gabriel, reverting your signed->unsigned patch due to
	  exceptions
	  while encoding awe32_20sec.wav using --preset standard

2004-02-08 03:06  robert

	* libmp3lame/quantize_pvt.c:
	  sorry Gabriel, reverting your signed->unsigned patch because of
	  exceptions in awe32_20sec.wav using --preset standard

2004-02-08 03:01  robert

	* libmp3lame/vbrquantize.c:
	  bug fix: scalefactors may have been read from uninitialized
	  memory

2004-02-08 02:12  robert

	* libmp3lame/takehiro.c, libmp3lame/vbrquantize.c:
	  calculating xrpow_max for vbr_mtrh too

2004-02-07 19:38  bouvigne

	* libmp3lame/quantize_pvt.c, libmp3lame/takehiro.c:
	  some int -> unsigned int

2004-02-06 16:56  takehiro

	* frontend/get_audio.c, mpglib/interface.c:
	  mp3 decoding patch from Dmitriy Startsev

2004-02-04 20:17  bouvigne

	* libmp3lame/version.h:
	  bump alpha because of the fixed crash

2004-02-04 20:16  bouvigne

	* libmp3lame/takehiro.c:
	  fixed a crash in quantize_xrpow occuring when using low bitrates
	  (32kbps)

2004-02-02 15:20  olcios

	* USAGE, doc/html/switchs.html:
	  reworded the RG part. Discussed with: Alexander Leidinger

2004-02-02 14:17  olcios

	* testcase.mp3:
	  oops, committed an experimental file, reverting back to 1.80

2004-02-02 13:28  aleidinger

	* configure:
	  regen

2004-02-02 13:25  aleidinger

	* configure.in:
	  Add a check for 64 bit off_t's ("LARGEFILE" support).
	  
	  This may not be enough as lame uses ints and longs where other
	  types
	  may be more correct, but it may work in some cases.
	  
	  HOWTO provided by: Dan Nelson <dnelson@allantgroup.com>

2004-02-02 13:02  aleidinger

	* doc/man/lame.1:
	  - reformatted the replaygain part (less than 80 characters per
	  line)
	  - reworded some parts
	  - add a note about the decoder requierement for the --decode,
	  --replaygain-accurate and --clipdetect options
	  
	  Discussed with: Aleksander Korzynski

2004-02-02 12:59  aleidinger

	* config.h.in, configure:
	  regen

2004-02-02 12:57  aleidinger

	* configMS.h:
	  Add the DECODE_ON_THE_FLY define in the HAVE_MPGLIB case.

2004-02-02 12:57  aleidinger

	* configure.in, include/lame.h:
	  - enable bitrate histogram by default
	  discussed with Gabriel in Sept. 03
	  
	  - define DECODE_ON_THE_FLY for the replaygain feature in the
	  HAVE_MPGLIB
	  case too (moved from include/lame.h, I think it's cleaner this
	  way)
	  discussed with Aleksander Korzynski

2004-02-02 12:38  aleidinger

	* libmp3lame/id3tag.c:
	  Patch from Ti Kan <ti@amb.org>:
	  ---snip---
	  Below is a patch to make Lame 3.95.1 compile and run on AIX,
	  HP-UX,
	  IRIX, Solaris, UnixWare, SCO Open Server and SunOS 4.1.x.
	  
	  The change involves the call to snprintf() in
	  libmp3lame/id3tag.c.,
	  but snprintf() is not available on many of these platforms. I
	  know
	  that in general replacing snprintf() with sprintf() removes a
	  layer
	  of string buffer overflow protection, but in this case it should
	  be safe because the size of string is bounded.
	  ---snip---

2004-01-31 20:05  olcios

	* frontend/main.c, libmp3lame/lame.c, testcase.mp3:
	  disabled peak sample detection when LAME tag is not written into
	  the file

2004-01-29 16:39  bouvigne

	* doc/html/history.html:
	  history

2004-01-29 16:31  bouvigne

	* libmp3lame/version.h:
	  bump alpha because of the fixed crashes

2004-01-29 16:26  bouvigne

	* libmp3lame/takehiro.c:
	  fixed bug #886989

2004-01-26 14:00  olcios

	* USAGE, doc/html/switchs.html, doc/man/lame.1, frontend/parse.c:
	  updated documentation and --longhelp on RG

2004-01-26 12:05  olcios

	* frontend/main.c, frontend/main.h, frontend/parse.c,
	  include/lame.h, libmp3lame/VbrTag.c, libmp3lame/VbrTag.h,
	  libmp3lame/bitstream.c, libmp3lame/lame.c, libmp3lame/set_get.c,
	  libmp3lame/util.h:
	  removed ReportLameTagProgress (it is not LAME API). Fixed
	  --replaygain-accurate and --clipdetect.

2004-01-21 13:50  aleidinger

	* ACM/Makefile.in, Dll/Makefile.in, Makefile.in,
	  frontend/Makefile.in, libmp3lame/Makefile.in, mpglib/Makefile.in:
	  regen

2004-01-21 13:48  aleidinger

	* frontend/main.h:
	  only include limits.h if it is present on the system

2004-01-21 10:17  bouvigne

	* libmp3lame/quantize.c:
	  missing {} in last fix

2004-01-21 09:41  bouvigne

	* ACM/ACM.dsw, ACM/Makefile.am, ACM/lameACM.dsp, Dll/Example.dsp,
	  Dll/Example.dsw, Dll/MP3EncDll.dsp, Dll/MP3EncDll.dsw,
	  Dll/Makefile.am, Makefile.B32, Makefile.DJGPP, Makefile.am,
	  PRESETS.draft, README.B32, README.DJGPP, frontend/Makefile.am,
	  frontend/lame.dsp, frontend/lame.dsw, frontend/mp3x.dsp,
	  frontend/mp3x.dsw, libmp3lame/Makefile.am,
	  libmp3lame/libmp3lame.dsp, mpglib/Makefile.am, mpglib/mpglib.dsp:
	  removed old unmaintained files

2004-01-20 18:41  bouvigne

	* libmp3lame/quantize.c:
	  fixed a crash:
	  sometimes quantization could overflow because of big xr_pow
	  values

2004-01-15 19:05  aleidinger

	* frontend/parse.c:
	  We should not need errno... introduced in the last commit, remove
	  it.

2004-01-15 19:04  aleidinger

	* frontend/parse.c:
	  Different fix for the priority parsing bug, uses less code.
	  
	  Tested by: Gabriel

2004-01-15 13:54  bouvigne

	* ACM/TODO, doc/html/history.html, doc/html/index.html,
	  doc/html/switchs.html:
	  doc, history

2004-01-15 11:15  bouvigne

	* include/lame.h, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/set_get.c:
	  made lame.h identical with or without DECODE_ON_THE_FLY.
	  made gfp identical with or without DECODE_ON_THE_FLY.

2004-01-15 01:24  olcios

	* USAGE, frontend/parse.c, libmp3lame/lame.c:
	  changed the behaviour of --clipdetect to force RG analysis on
	  decoded data (not input data). Updated --longhelp and
	  documentation

2004-01-14 14:38  bouvigne

	* libmp3lame/psymodel.c:
	  minor code change in mask_add

2004-01-14 14:16  bouvigne

	* libmp3lame/psymodel.c:
	  minor code change in mask_add

2004-01-13 19:23  bouvigne

	* frontend/parse.c:
	  isnumber ->is_number

2004-01-13 18:35  glessard

	* frontend/get_audio.c:
	  Removed a spurious fprintf that occurred during AIFF-C decoding.

2004-01-13 17:36  bouvigne

	* USAGE:
	  ReplayGain ->89dB

2004-01-13 17:30  takehiro

	* frontend/get_audio.c:
	  fix mp3 decoding...

2004-01-13 13:30  bouvigne

	* frontend/parse.c:
	  fixed issue when --priority is not followed by a number but by
	  another
	  argument.
	  
	  Btw, the situation is the same with a lot of other settings.

2004-01-13 12:36  bouvigne

	* libmp3lame/version.h:
	  3.96a1

2004-01-12 09:03  bouvigne

	* doc/html/history.html:
	  history

2004-01-12 08:59  bouvigne

	* libmp3lame/gain_analysis.c:
	  changed RG level to 89dB

2004-01-12 08:42  bouvigne

	* libmp3lame/version.h:
	  back into 3.95 because of the fixed crash

2004-01-12 08:41  bouvigne

	* libmp3lame/takehiro.c:
	  fixed a potential crash with fast vbr (introduced by myself)

2004-01-11 15:01  bouvigne

	* libmp3lame/lame.c:
	  small cleanup in the lowpass/samplefreq selection code

2004-01-11 11:22  aleidinger

	* configure:
	  regen

2004-01-11 11:20  aleidinger

	* configure.in:
	  Welcome to 3.96.

2004-01-11 10:21  bouvigne

	* libmp3lame/version.h:
	  We are now in 3.96

2004-01-10 21:20  olcios

	* doc/html/history.html:
	  cosmetic

2004-01-10 17:28  olcios

	* USAGE:
	  cosmetic change

2004-01-10 16:14  takehiro

	* libmp3lame/lame.c:
	  fix the display of lowpass fileter config.

2004-01-10 12:29  aleidinger

	* testcase.mp3:
	  testcase for 3.95

2004-01-10 12:29  takehiro

	* doc/html/history.html:
	  added mpglib fix

2004-01-10 12:18  aleidinger

	* ChangeLog:
	  update CVS history

2004-01-10 12:13  aleidinger

	* libmp3lame/version.h:
	  Preperation for 3.95 RELEASE.
	  
	  Please notify me and Gabriel in case you change something from
	  this
	  point in time upto the 3.96 version bump.

2004-01-10 12:10  aleidinger

	* doc/html/history.html:
	  faster on PPC

2004-01-10 12:03  aleidinger

	* libmp3lame/util.h:
	  do not use FastLog implicitely

2004-01-10 12:02  aleidinger

	* configMS.h:
	  explicit use of FastLog

2004-01-10 11:42  aleidinger

	* configure:
	  regen

2004-01-10 11:35  aleidinger

	* configure.in:
	  - use the IEEE 754 hack and FastLog on x86 and PPC only
	  - make the use of FastLog explicit
	  
	  PPC performance:
	  1GHz G4
	  "Standard" : 396 s (100%)
	  FastLog : 371 s ( 93%)
	  FastLog, 754 : 365 s ( 92%)
	  754 : 388 s ( 98%)
	  
	  2GHz G5 (dual), cbr, vbr
	  "Standard" : 166 s (100%), 328 s (100%)
	  FastLog : 169 s (102%), 338 s (102%)
	  FastLog, 754 : 148 s ( 90%), 288 s ( 88%)
	  754 : 145 s ( 87%), 279 s ( 85%)
	  
	  On a G5 we shouldn't use FastLog (I assume highly optimized for
	  G5 log*()
	  routines in the standard math library), but configure doesn't
	  know ATM how
	  do check for a G5.

2004-01-10 10:38  takehiro

	* frontend/get_audio.c:
	  backport from my experimental branch to fix the crash when
	  invalid input.

2004-01-10 10:27  takehiro

	* mpglib/common.c, mpglib/interface.c, mpglib/layer1.c,
	  mpglib/layer3.c:
	  backport from my experimenhtal branch, to fix the crash when
	  invalid input.

2004-01-10 09:55  takehiro

	* doc/html/history.html:
	  effetc->affect reported at sf.net (BugID #867502)

2004-01-08 19:55  olcios

	* libmp3lame/gain_analysis.c:
	  comment update (clarification)

2004-01-08 19:14  olcios

	* USAGE:
	  Removed --replaygain from USAGE, because it had been defaulted
	  and the option removed from LAME. Updated information on
	  --replaygain-accurate.

2004-01-08 15:58  bouvigne

	* configMS.h, doc/html/history.html, doc/html/index.html:
	  predicted release date: January 11th

2004-01-07 17:58  aleidinger

	* frontend/Makefile.in:
	  regen

2004-01-07 17:57  aleidinger

	* frontend/Makefile.am:
	  Add mp3x_vc6.dsp.
	  
	  Requested by: Gabriel

2004-01-07 17:35  bouvigne

	* README.WINGTK, frontend/lame_vc6.dsp, frontend/mp3x_vc6.dsp,
	  lame_vc6.dsw, libmp3lame/libmp3lame_vc6.dsp,
	  mpglib/mpglib_vc6.dsp:
	  added back mp3x to the VC6 projects

2004-01-07 15:57  aleidinger

	* configure:
	  regen

2004-01-07 15:51  aleidinger

	* configure.in:
	  - bump version to 3.95
	  - disable layer1 decoding by default
	  - reword the layer options and some option descriptions
	  - enable the use of the fast log function on every CPU (for x86
	  this
	  is implicit by the ieee hack)

2004-01-07 15:26  aleidinger

	* config.h.in:
	  add the fast log option

2004-01-07 13:26  bouvigne

	* mpglib/mpglib_vc6.dsp:
	  disable layer I

2004-01-06 14:38  bouvigne

	* libmp3lame/version.h:
	  bump alpha

2004-01-06 13:53  bouvigne

	* libmp3lame/VbrTag.c:
	  do not include the vbr header into the vbr seek table as it
	  breaks a player

2004-01-05 16:25  bouvigne

	* doc/html/history.html:
	  history

2004-01-05 16:19  bouvigne

	* ACM/ACMStream.cpp:
	  fixed a buffer requirement error

2004-01-05 09:45  bouvigne

	* libmp3lame/l3side.h, libmp3lame/quantize.c,
	  libmp3lame/takehiro.c:
	  faster count_bits

2004-01-04 11:04  bouvigne

	* libmp3lame/lame.c:
	  corrected -k

2004-01-03 16:47  bouvigne

	* doc/html/history.html:
	  history

2004-01-02 19:53  bouvigne

	* libmp3lame/lame.c:
	  changed quality mapping

2004-01-02 19:51  bouvigne

	* libmp3lame/takehiro.c:
	  faster count_bits

2004-01-02 19:49  bouvigne

	* libmp3lame/quantize.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/takehiro.c, libmp3lame/vbrquantize.c:
	  Faster quantizations
	  Only 5% speedup when using Takehiro's ieee754 hack, but about 60%
	  speedup otherwise. (Should please Mac users)

2003-12-22 16:36  bouvigne

	* doc/html/history.html:
	  history

2003-12-22 09:44  bouvigne

	* libmp3lame/quantize_pvt.c:
	  reduced warnings

2003-12-21 18:41  bouvigne

	* frontend/get_audio.c, frontend/main.c, frontend/parse.c:
	  reduced warnings

2003-12-21 18:14  bouvigne

	* libmp3lame/encoder.c, libmp3lame/psymodel.c,
	  libmp3lame/psymodel.h, libmp3lame/quantize.c,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/util.h:
	  FLOAT8 -> FLOAT

2003-12-21 12:46  bouvigne

	* libmp3lame/encoder.c, libmp3lame/lame.c, libmp3lame/presets.c,
	  libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	  libmp3lame/quantize.c, libmp3lame/quantize.h,
	  libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	  libmp3lame/util.h:
	  FLOAT8 -> FLOAT

2003-12-21 10:16  bouvigne

	* libmp3lame/VbrTag.c, libmp3lame/lame.c, libmp3lame/psymodel.c,
	  libmp3lame/util.c, libmp3lame/util.h:
	  FLOAT8 -> FLOAT

2003-12-20 14:48  bouvigne

	* libmp3lame/psymodel.c:
	  fixed calc_interchannel_masking when encoding to mono

2003-12-20 14:33  bouvigne

	* libmp3lame/lame.c:
	  fixed lowpass value for high bitrate vbr profiles

2003-12-20 14:31  bouvigne

	* libmp3lame/version.h:
	  Using 3.95 as version number.
	  We will decide latter what to choose about version numbers

2003-12-19 13:55  bouvigne

	* libmp3lame/version.h:
	  Moved back to 3.94b in order to not have some 3.95b spreading on
	  the web.
	  We now have to decide if we should go in the 3.94release
	  direction or in the 3.95b direction

2003-12-18 18:47  bouvigne

	* libmp3lame/version.h:
	  welcome in 3.95

2003-12-18 17:13  aleidinger

	* ChangeLog:
	  ChangeLog for 3.94b.

2003-12-18 15:46  bouvigne

	* libmp3lame/version.h:
	  3.94b

2003-12-18 12:54  aleidinger

	* frontend/get_audio.c:
	  Takehiro noticed a bug in the pipe fix, it results in a click
	  sound at
	  the end of the encoding of BlackBirds.wav.
	  
	  This fix is a merge from the experimental branch and doesn't seem
	  to be
	  harmful while encoding over a pipe, but I'm not sure if I was
	  able to
	  reproduce the situation where the original fix was needed.
	  
	  I've tested:
	  mkfifo pipetest
	  lame -preset 96 pipetest pipetest.mp3
	  other shell: cat wav >pipetest

2003-12-17 18:45  bouvigne

	* frontend/parse.c:
	  help

2003-12-17 11:52  bouvigne

	* libmp3lame/psymodel.c:
	  updated comment regarding spreading function

2003-12-15 17:07  bouvigne

	* mpglib/layer3.c:
	  fixed 8kHz decoding

2003-12-09 17:22  olcios

	* frontend/parse.c:
	  Fixed typo.

2003-12-09 17:19  olcios

	* frontend/parse.c:
	  Fixed an error message.

2003-12-09 16:08  aleidinger

	* ACM/Makefile.in:
	  regen

2003-12-09 16:01  aleidinger

	* configure:
	  regen

2003-12-09 15:51  aleidinger

	* ACM/ddk/Makefile.in:
	  Add the autoconf Makefile.

2003-12-09 15:49  aleidinger

	* configure.in:
	  Add the ACM/ddk subdirectory.

2003-12-09 15:49  aleidinger

	* ACM/Makefile.am:
	  Add the ddk subdirectory.

2003-12-09 15:48  aleidinger

	* ACM/ddk/Makefile.am:
	  Add an automake Makefile.

2003-12-09 15:06  bouvigne

	* libmp3lame/version.h:
	  Bump alpha

2003-12-09 15:05  bouvigne

	* frontend/parse.c:
	  do not display --r3mix in help

2003-12-09 15:03  bouvigne

	* doc/html/history.html:
	  3.94 release date?

2003-12-09 14:59  bouvigne

	* doc/html/basic.html, doc/html/examples.html,
	  doc/html/history.html, doc/html/index.html, doc/html/modes.html,
	  doc/html/presets.html, doc/html/switchs.html:
	  3.94 documentation

2003-12-08 16:52  bouvigne

	* libmp3lame/VbrTag.c:
	  Use integer format for ReplayGain peak value

2003-12-05 12:49  aleidinger

	* libmp3lame/i386/Makefile.in:
	  add missing "

2003-12-04 12:26  aleidinger

	* libmp3lame/i386/Makefile.in:
	  nasm -> NASM fix

2003-12-03 03:09  olcios

	* include/lame.h:
	  comments / doc

2003-12-03 02:18  olcios

	* frontend/get_audio.c, libmp3lame/lame.c,
	  libmp3lame/mpglib_interface.c:
	  Brought back the possibility to run lame_decode_init() more than
	  once

2003-12-03 01:44  olcios

	* frontend/get_audio.c, frontend/parse.c, include/lame.h,
	  libmp3lame/lame.c, libmp3lame/mpglib_interface.c,
	  libmp3lame/set_get.c:
	  Made it impossible to simultaneously use mp3 input and decoding
	  on the fly.

2003-11-29 12:14  aleidinger

	* ChangeLog:
	  update

2003-11-29 12:10  aleidinger

	* test/cvscheck.sh:
	  add the automated test script which mt used to run every day

2003-11-29 12:09  aleidinger

	* configure:
	  regen with autoconf 2.57

2003-11-29 12:06  aleidinger

	* ACM/ADbg/Makefile.in, ACM/Makefile.in, ACM/tinyxml/Makefile.in,
	  Dll/Makefile.in, Makefile.in, debian/Makefile.in,
	  doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	  dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	  libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	  mac/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:
	  regen with automake 1.7

2003-11-29 12:05  aleidinger

	* configure.in:
	  - Check for some features a little bit earlier.
	  - Fix a AC_DEFINE so the newer tools don't moan.

2003-11-29 12:03  aleidinger

	* libmp3lame/i386/Makefile.am:
	  HACK HACK HACK, UGLY UGLY HACK!
	  
	  make this work with libtool 1.5
	  
	  If anybody knows how do this in a more sane way, please teach me
	  how to
	  do it.

2003-11-29 12:01  aleidinger

	* ltmain.sh:
	  update with libtool 1.5 version

2003-11-29 12:00  aleidinger

	* aclocal.m4:
	  update with newer autotools

2003-11-29 11:59  aleidinger

	* config.h.in:
	  add some missing undefs

2003-11-29 11:16  aleidinger

	* frontend/rtp.c:
	  fix some errors which are new with gcc 3.x

2003-11-29 09:49  aleidinger

	* depcomp, frontend/depcomp, install-sh, libmp3lame/depcomp,
	  missing, mkinstalldirs, mpglib/depcomp:
	  use the ones provided by automake 1.7

2003-11-29 09:44  aleidinger

	* config.guess, config.sub:
	  use the ones provided with libtool 1.5

2003-11-28 14:27  bouvigne

	* libmp3lame/set_get.c:
	  Disabled replaygain decode because it crashes when using mp3
	  input

2003-11-27 08:24  bouvigne

	* ACM/ddk, ACM/ddk/msacmdrv.h, ACM/readme.txt:
	  Allow compilation of ACM codec without Microsoft platform DDK

2003-11-26 13:06  bouvigne

	* lame_vc6.dsw:
	  Updated ACM dependencies

2003-11-24 17:05  bouvigne

	* libmp3lame/lame.c:
	  Do not compute ReplayGain when not using vbr header

2003-11-24 13:52  bouvigne

	* libmp3lame/lame.c:
	  Reduced bandwith when encoding in mono

2003-11-24 13:39  bouvigne

	* libmp3lame/lame.c:
	  Fixed low bitrates lowpass and sampling rate values
	  (I probably broke it recently)

2003-11-21 17:07  bouvigne

	* Dll/BladeMP3EncDLL.c:
	  Display issues

2003-11-21 16:50  bouvigne

	* Dll/BladeMP3EncDLL.c:
	  Minor corrections

2003-11-20 16:04  bouvigne

	* Dll/MP3export.pas:
	  Fixed calling convention

2003-11-20 13:30  bouvigne

	* Dll/Example_vc6.dsw:
	  Corrected the dll example project

2003-11-20 11:16  bouvigne

	* frontend/get_audio.c, frontend/main.c, frontend/parse.c,
	  include/lame.h, libmp3lame/set_get.c:
	  Changed some Vorbis messages

2003-11-20 11:08  bouvigne

	* frontend/parse.c, include/lame.h, libmp3lame/VbrTag.c,
	  libmp3lame/encoder.c, libmp3lame/lame.c,
	  libmp3lame/lame_global_flags.h, libmp3lame/set_get.c:
	  Removed mode_automs

2003-11-20 10:57  bouvigne

